2003-06-02  Not Zed  <NotZed@Ximian.com>

	** This and jeffs patch for #43862.

	* mail-folder-cache.c (store_online_cb): If the store is still
	around, then flow on to a get folderinfo update, otherwise just
	clear up.

	* mail-ops.c (mail_store_set_offline): return the msgid of this so
	it can be cancelled.

2003-05-30  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-folder-cache.c (mail_note_store): If the session is
	'online' and we are noting a CamelDiscoStore, make sure that it is
	changed to online status and call mail_get_folderinfo().

2003-05-30  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-local.c (load_metainfo): Stat the XML file before trying to
	parse it to make sure it exists.

2003-05-29  Not Zed  <NotZed@Ximian.com>

	* Makefile.am (BUILT_SOURCES): added server_DATA (*.server) so
	make clean works.  For #42691.

2003-05-30  Radek Doulik  <rodo@ximian.com>

	* mail-config.c (config_write_style): use %02x instead of %2x when
	formatting color for rc file

2003-05-29  Jeffrey Stedfast  <fejj@ximian.com>

	Fixes bug #43805.

	* mail-session.c (session_system_beep): Proxy the gdk_beep() call
	to the main thread.
	(session_play_sound): Proxy the gnome_sound_play() call to the
	main thread.

2003-05-27  Not Zed  <NotZed@Ximian.com>

	* message-tag-editor.c (message_tag_editor_init): set the default
	open size to something reasonable.  For #43410.

	* mail-signature-editor.c (d): turn off debugging.

	* mail-config.c (mail_config_signature_add): save new signature in
	signature list.  For #43688.

2003-05-21  Radek Doulik  <rodo@ximian.com>

	* mail-signature-editor.c (menu_file_save_cb): set signature html
	flag even if it's newly signature, we don't set it in
	format_html_cb as sig could be "live" (when it's not new one)

2003-05-20  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-importer.c: Updated copyright years.

	* mail-callbacks.c (ask_confirm_for_empty_subject): Fixed the
	logic a bit - if the gconf key *isn't* set, we want to return
	TRUE.

	* mail-search.c (mail_search_finalise): We need to weak_unref()
	the mail-display here. Fixes bug #43392.

2003-05-21  Larry Ewing  <lewing@ximian.com>

	* mail-config.glade: remove link hilighting option that isn't
	attached to anything.

2003-05-20  Larry Ewing  <lewing@ximian.com>

	* mail-display.c: filter notification events to keep the redisplay
	count down.

	* mail-composer-prefs.c: remove references to gtkhtml property
	manager.  Connect to missing settings.

	* mail-preferences.c: remove references to gtkhtml property
	manager.  Connect to missing settings.

	* mail-config.glade: remove keybinding setting.

	* mail-display.c (mail_display_destroy): remove notification.
	(display_notify): set animate and redisplay.  We have to redisplay
	because the citation color may have changed.

	* evolution-mail.schemas: add composer and display gconf entries.
	
2003-05-19  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (mail_account_gui_save): Only re-add the
	store to the folder-tree if the account is enabled. Oops. Fixes
	bug #43214.

2003-05-20  Larry Ewing  <lewing@ximian.com>

	* mail-config-factory.c: remove references to font prefs.

	* component-factory.c: Remove stale refernces the the font prefs.
	(make_factory): remove unused variables.

	* mail-config.c (mail_config_init): add a notify callback to the
	spelling color.
	(config_write_style): rename and write out the spell color as
	well.

2003-05-20  Not Zed  <notzed@lostzed.mmc.com.au>

	** See bug #43234
	
	* mail-display.c (mail_display_set_message): if we've been
	destroyed, noop.

2003-05-16  Dan Winship  <danw@ximian.com>

	* mail-ops.c (mail_empty_trash): New async "empty trash" op.

	* mail-callbacks.c (empty_trash): Use it rather than requiring
	that mail_tool_get_vtrash() work without blocking. #43091

2003-05-16  Radek Doulik  <rodo@ximian.com>

	* mail-callbacks.c (footer_info_new): gnome_font_get_descender
	returns negative value

2003-05-17  Larry Ewing  <lewing@ximian.com>

	* GNOME_Evolution_Mail.server.in.in: remove font prefs server from
	the list.

2003-05-17  Jeremy Katz  <katzj@redhat.com>

	* mail-offline-handler.c: Add #include to fix warning.

	* mail-mt.c (mail_msg_new): Use glib macros for pointer/int
	conversions.
	(mail_msg_free): Likewise.
	(mail_msg_cancel): Likewise.
	(mail_msg_wait): Likewise.
	(mail_msg_active): Likewise.
	* mail-session.c (main_register_timeout): Likewise.
	(register_timeout): Likewise.
	(main_remove_timeout): Likewise.
	(remove_timeout): Likewise.
	* message-list.c (ml_value_to_string): Likewise.
	
	* mail-identify.c: Add #include to fix warning.
	
	* mail-config.c (config_write_fonts): Don't pass extra arguments
	to g_warning.
	
	* mail-callbacks.c: Add #include to fix warning.

2003-05-15  Not Zed  <NotZed@Ximian.com>

	** See bug #42838.

	* mail-account-gui.c (mail_account_gui_build_extra_conf): always
	add the extra entry to the hash table, most paths wouldn't.

2003-05-14  Jeffrey Stedfast  <fejj@ximian.com>

	* component-factory.c: Disabled some debugging messages.

2003-05-14  JP Rosevear  <jpr@ximian.com>

	* mail-local.h: add proto

	* mail-local.c (storage_listener_startup): don't listen for
	destruction, because we have a ref and it'll never happen
	(mail_local_storage_shutdown): release and unref the local storage

	* mail-display.c (retrieve_shell_view_interface_from_control):
	return a new copy every time
	(set_status_message): release and unref the shell view

	* folder-browser.c (folder_browser_destroy): guard for multiple
	destroys

	* folder-browser-factory.c (control_activate): release and unref
	the shell view
	(control_destroy_cb): just remove the control from the list
	(folder_browser_factory_new_control): don't weak ref the folder
	browser

	* component-factory.c (owner_unset_cb): shutdown local storage

2003-05-13  Ettore Perazzoli  <ettore@ximian.com>

	* component-factory.c (segv_redirect): Removed.
	(make_factory): No need to set up the SIGSEGV redirect handler
	here, since it's already done in the shell now, and it's in-proc.

	* folder-browser-ui.c (folder_browser_ui_rm_all): Only do the
	bonobo_ui_component() stuff if the component does have a
	container.

2003-05-08  Ettore Perazzoli  <ettore@ximian.com>

	* mail-session.c (mail_session_set_interactive): Set the
	password_dialog pointer to NULL.  Prevents a crash that could
	happen if the shell would quit with the password dialog still up.

2003-05-07  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (mail_display_render): Make sure that we haven't
	been destroyed before we start writing to the html engine. Fixes
	bug #42333.

2003-05-07  Not Zed  <NotZed@Ximian.com>

	** See bug #42456
	
	* mail-composer-prefs.c (spell_language_button_press): set the
	enable/disable button to the right text when we toggle a column.
	Added a fixme about the weird code in the whole routine.

2003-05-07  Jeremy Katz  <katzj@redhat.com>

	* evolution-mail.schemas
	(/schemas/apps/evolution/mail/display/mime_types):  Correct
	default for list.

2003-05-06  Not Zed  <NotZed@Ximian.com>

	** See bug #42400

	* mail-tools.c (meta_data_key): protect against getting an
	unparsable uri.

2003-05-05  Not Zed  <NotZed@Ximian.com>

	** See bug #42294.
	
	* mail-config.c (config_write_fonts): Also set the custom font
	style for *BonoboPlug*GtkHTML.

2003-05-05  Ettore Perazzoli  <ettore@ximian.com>

	* mail-session.c (request_password): Set OK as the default
	response for the password_dialog.

2003-04-30  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (mark_as_unseen): To be consistant with the
	message-list envelope toggle, undelete the message when we unmark
	the Seen flag here as well. Fixes bug #42118.

2003-04-30  Jeffrey Stedfast  <fejj@ximian.com>

	* message-list.c (ml_tree_value_at): Fixed to return the correct
	values (swapped) in order to fix bug #42120.

2003-04-30  Jeffrey Stedfast  <fejj@ximian.com>

	* message-list.c (regen_list_regened): Save the tree state before
	we tear down the tree and then load it back again. yay. Fixes bug
	#42170 and #40074.

2003-04-30  Not Zed  <NotZed@Ximian.com>

	** See bug #41748
	
	* mail-send-recv.c (build_dialogue): make sure we dont add any
	SEND_SEND types to the receive table.  When we add the SEND_SEND
	type, key it on a fixed string SEND_URI_KEY.
	(receive_done): if it is a SEND_SEND type, use SEND_URI_KEY to
	remove it from the active list.
	(mail_receive_uri): make sure we never add a SEND_SEND type to the
	receive list.
	(mail_send): key the send info on SEND_URI_KEY not transport url.

2003-04-29  Jeremy Katz  <katzj@redhat.com>

	* folder-browser-ui.c (fbui_sensitise_item): Don't just blindly
	cast an int to gpointer, use the proper glib magic instead.
	
2003-04-29  Jeffrey Stedfast  <fejj@ximian.com>

	* importers/netscape-importer.c
	(netscape_add_priority_workaround_filters): Updated for API change
	in the filter code.

2003-04-29  Not Zed  <NotZed@Ximian.com>

	** See bug #41972

	* message-list.c (ml_tree_value_at): fix (void *) casts on trinary
	ops.

	* folder-browser.c (on_right_click): Store the label tag in the
	label callback data, not the translated name.

	* mail-config.c (label_defaults[]): Initialise with the tag
	values.
	(config_clear_labels): free tag field.
	(config_cache_labels): setup the tag field based on the position
	of the label name.
	(mail_config_get_label_color_by_name): Lookup colour by the
	untranslated TAG, not the translated/customisable tag.

	* mail-config.h (MailConfigLabel): Add a tag field, we were using
	the translated name as the label(!).

2003-04-29  Dan Winship  <danw@ximian.com>

	* mail-format.c (write_xmailer_header): Remove preceding whitespace

2003-04-28  Ettore Perazzoli  <ettore@ximian.com>

	* mail-session.c (mail_session_forget_passwords): Forget all
	passwords again.  [#41817]

2003-04-25  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config.glade: Made toplevel container widgets set a
	border-width (including toplevel widgets within frames), set the
	table/hbox/vbox spacings, set the spacing between an image and the
	description text in hboxes to 12pts (as suggested by the HIG),
	Changed Add/Delete buttons to the stock Add/Remove buttons, etc

2003-04-24  Jeffrey Stedfast  <fejj@ximian.com>

	Fix for bug #41789

	* mail-config.c (mail_config_init): Cache the allowable
	mime-types.
	(mail_config_get_allowable_mime_types): New public function to get
	an array of allowable mime-types.

	* mail-format.c (mail_lookup_handler): Only allow a
	bonobo-component handler if the mime-type is something handled by
	evolution or the user has specifically chosen that type as
	available for viewing with a bonobo component in the gconf
	database.
	(mime_type_uses_evolution_component): New convenience function.
	(mime_type_can_use_component): Checks gconf to see if the user has
	allowed the mime-type to be viewed by a component.

2003-04-24  Radek Doulik  <rodo@ximian.com>

	* mail-display.c (html_button_press_event): as below
	(update_active): as below

	* folder-browser.c (html_button_press_event): update for changed
	coordinates in gtk-2

2003-04-23  Not Zed  <NotZed@Ximian.com>

	* mail-send-recv.c (get_receive_type): pass an exception to
	get_provider, to silence some warnings/get a valid result.

2003-04-22  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (composer_get_message): Only add the
	Organization: header if it is non-empty. Fixes bug #41730.

2003-04-18  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-composer-prefs.c (spell_set_ui): Protect against a NULL
	strv result from parsing the language list string.

2003-04-17  Jeffrey Stedfast  <fejj@ximian.com>

	Fixes for bug #41142.

	* mail-search.c (dialog_response_cb): Handle a GTK_RESPONSE_CLOSE
	response.
	(mail_search_construct): Changed the Cancel button into a Close
	button.

2003-04-18  Rodney Dawes  <dobey@ximian.com>

	* Makefile.am:
	* folder-browser-ui.c:
	* mail-signature-editor.c:
	* message-browser.c:
	Use PREFIX instead of EVOLUTION_DATADIR for bonobo_ui_util_set_ui ().
	Fixes bug #21499.

2003-04-17  Not Zed  <NotZed@Ximian.com>

	* mail-signature-editor.c (menu_help): remove the help menu item
	handling, as the help menu is removed.  Clean up of #38927.

2003-04-16  Not Zed  <NotZed@Ximian.com>

	* importers/Makefile.am (%.server.in): Remove COMPONENTDIR and set
	BINDIR and VERSION instead.

	* (importers/GNOME_Evolution_Mail_Pine_Intelligent_Importer.server.in.in,
	importers/GNOME_Evolution_Mail_Mbox_Importer.server.in.in,
	importers/GNOME_Evolution_Mail_Outlook_Importer.server.in.in,
	importers/GNOME_Evolution_Mail_Netscape_Intelligent_Importer.server.in.in,
	importers/GNOME_Evolution_Mail_Elm_Intelligent_Importer.server.in.in:) :
	Convert the type back to exe, and point to the main evolution
	executable.  Fixes #41164.

2003-04-16  Jeremy Katz  <katzj@redhat.com>

	* evolution-mail.schemas: schema keys can't be directories (#41419)

2003-04-15  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config-druid.c (config_wizard_set_page): Fixed a logic
	error that was the cause of bug #41389.

2003-04-15  Not Zed  <NotZed@Ximian.com>

	* For bug #41199.

	* subscribe-dialog.glade: New interface from Anna.  Setup the
	wigdet names and add a progress bar, and set the default opening
	size to something reasonable.
	
	* subscribe-dialog.c (subscribe_dialog_construct): changes to
	match the glade file chagnes.  remove the search stuff. hide the
	progress bar by default.
	(sc_activity_cb): show the progress bar when we're active, hide
	it when inactive.  dont set any status.
	(struct _SubscribeDialogPrivate): Remove the appbar.

2003-04-15  Hans Petter Jansson  <hpj@ximian.com>

	* mail-mt.c (mail_msg_check_error): Free the temporary error text.

2003-04-14  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-vfolder.c (vfolder_gui_add_rule): Set the correct border
	width and vbox spacing to be HIG compliant. Fixes bug #41209.
	(vfolder_edit_rule): Same here.

	* local-config.glade: Updated to comply with the HIG. Fixes bug
	#41244.

2003-04-14  Not Zed  <NotZed@Ximian.com>

	* mail-send-recv.c (build_dialogue): create a stock cancel button
	with a cancel all text.
	(build_dialogue): Create stock-like cancel buttons with no
	accelerators.  A workaround for #41043.

	* message-list.c (ml_tree_value_at): if the node is the root node,
	do nothing.  etable shouldn' really be searching the root node if
	it isn't visible ...?  For #41190.

2003-04-14  Larry Ewing  <lewing@ximian.com>

	* evolution-mail.schemas: add proper defaults for the fonts
	settings.

2003-04-11  Jeffrey Stedfast  <fejj@ximian.com>

	Fixes bug #41243.

	* message-tag-followup.c (construct): Change the window border
	width and packing to comply with the HIG.

	* message-tags.glade: Updated to comply with the HIG.

2003-04-11  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-session.c (request_password): Add padding around the
	entry/checkbox and change the border width of the dialog window to
	comply with the HIG. Fixes bug #41004.

2003-04-10  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-search.c (mail_search_construct): Change the action button
	ordering and also change the padding to comply with the HIG. Fixes
	bug #41046 and at least part of bug #41142 (except for the
	s/Search/OK/ thing, which has not been agreed upon yet).

	* mail-send-recv.c (build_dialogue): Change the padding to comply
	with the GNOME HIG. Fixes bug #41001.

2003-04-09  Not Zed  <NotZed@Ximian.com>

	** See bug #40921
	
	* subscribe-dialog.c (subscribe_dialog_finalise): add a finalise
	funciton which actually free's resources.
	(get_short_folderinfo_got): dont call activity callback implicitly
	here, do it from the callers callback.
	(subscribe_get_short_folderinfo): dont call activity callback
	here.
	(fe_got_children): check implicitly if we were cancelled.  also
	add back the node sort, and also call the activity callback from
	here instead of breaking layers of abstraction as above.
	(folder_etree_cancel_all): new method, force a cancel of all ops,
	but dont free anything.
	(store_data_free): dont unref the widget anymore, not needed.
	call cancel all on the ftree if its still active.
	(sc_close_pressed): destroy the subscribe dialogue as well as the
	app, it doesn't seem to get destroyed otherwise.
	(sc_activity_cb): do nothing if we have been cancelled.
	(subscribe_dialog_destroy): trigger a cancel of all outstanding
	ops.  only free most data in the finalise method.
	(subscribe_dialog_class_init): hook onto finalise.
	(store_data_get_widget): dont ref the widget.

	* mail-callbacks.c (manage_subscriptions): sink the dialog.

2003-04-09  Larry Ewing  <lewing@ximian.com>

	* mail-preferences.c 	(font_share_changed): set sensitivity of
	font pickers based on share setting.
	(mail_preferences_construct): initialize font prefs.
	(mail_preferences_apply): set the font prefs.
	(font_changed): add gnome-font-picker changed function.

	* mail-preferences.h: add font pref widgets.

	* mail-config.c (mail_config_init): add notify to on fonts dir.
	(config_write_fonts): write out a gtkrc that overrides the gtkhtml
	fonts settings based on the gconf keys.

	* mail-config.glade: move display font setttings to mail prefs.
	
	* evolution-mail.schemas: add font settings.

2003-04-08  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (do_view_message): Add a check for a NULL uid
	here. Don't see how it can happen, but it seems to have for
	Aaron. Anyways, this should fix bug #40904.

2003-04-08  Dan Winship  <danw@ximian.com>

	* mail-config.glade: Remove color specs from the druid so it will
	use the theme colors

	* importers/GNOME_Evolution_Mail_Elm_Intelligent_Importer.server.in.in:
	* importers/GNOME_Evolution_Mail_Netscape_Intelligent_Importer.server.in.in:
	* importers/GNOME_Evolution_Mail_Pine_Intelligent_Importer.server.in.in: 
	Fix bad XML noticed by Not Zed
	
2003-04-08  Not Zed  <NotZed@Ximian.com>

	* mail-vfolder.c (vfolder_gui_add_rule): swap button order.  For
	#40900.

2003-04-07  Jeffrey Stedfast  <fejj@ximian.com>

	* message-list.c (ml_tree_value_at): For string columns, never
	return NULL - always return "" if the value is empty. Fixes bug
	#40728.

	* mail-composer-prefs.c (sig_add_script_cb): Set the "script" data
	on the GtkEntry to NULL.
	(sig_add_script_response): If the "script" data on the GtkEntry
	object is non-NULL, then we are editing an existing signature, so
	just change the values in place and don't add it to the signature
	db.
	(sig_edit_cb): If sig->script is non-NULL, then we are editing a
	script signature, so pop up the script dialog instead. Fixes bug
	#38929.

2003-04-07  Radek Doulik  <rodo@ximian.com>

	* mail-composer-prefs.c (spell_load_values): use e_iconv_locale_language

2003-04-07  Dan Winship  <danw@ximian.com>

	* GNOME_Evolution_Mail.server.in.in: Clean up server names

	* importers/GNOME_Evolution_Mail_Elm_Intelligent_Importer.server.in.in:
	Likewise, and fix evolution-mail location

	* importers/GNOME_Evolution_Mail_Mbox_Importer.server.in.in:
	Likewise

	* importers/GNOME_Evolution_Mail_Netscape_Intelligent_Importer.server.in.in:
	Likewise

	* importers/GNOME_Evolution_Mail_Outlook_Importer.server.in.in:
	Likewise

	* importers/GNOME_Evolution_Mail_Pine_Intelligent_Importer.server.in.in:
	Likewise

	* importers/Makefile.am (%.server.in): Fix this for evolution-mail
	being a shlib.

2003-04-03  Not Zed  <NotZed@Ximian.com>

	** Bug 40536

	* component-factory.c (send_receive_cb): run the warning dialogue
	asynchronously.  Also, set the mail send/receive dialogue to
	transient for parent.

	* mail-send-recv.c (mail_send_receive): return the dialogue for
	send/receive.

2003-04-02  Rodrigo Moya <rodrigo@ximian.com>

	* importers/evolution-mbox-importer.c (load_file_fn):
	* importers/evolution-outlook-importer.c (load_file_fn): added
        "folder_type" parameter to EvolutionImporterLoadFileFn.

	* importers/elm-importer.c (elm_import_file): pass empty string for
	"folder_type" argument to GNOME_Evolution_Importer_loadFile.
	* importers/pine-importer.c (pine_import_file): ditto.
	* importers/netscape-importer.c (netscape_import_file): ditto.

2003-04-01  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (save_part): Don't allow the 'prefix' argument to
	make_safe_filename() be NULL. If we don't yet have a save_dir in
	gconf, use $HOME, etc. Fixes bug #40608.

2003-04-02  Not Zed  <NotZed@Ximian.com>

	* mail-session.c (mail_session_forget_passwords): Only clear the
	Mail passwords.

	* component-factory.c (interactive_cb): Call
	composer_check_autosave if we're going interactive, to check for
	unsaved files.  Fixes #40300.

2003-04-01  Not Zed  <NotZed@Ximian.com>

	* mail-display.c (mail_display_redisplay): if we're called and the
	idle handler is set, remove it, so we dont go and redisplay it
	again.  Fixes #40522.

2003-03-31  Jeffrey Stedfast  <fejj@ximian.com>

	* message-list.c (regen_list_regened): Save tree state and then
	after building the new tree, re-load the tree state. Finishes the
	fix for bug #40074.

	* mail-session.c: Properly init message_list. Fixed a type-o that
	initialized it to the password_list.

2003-03-31  Not Zed  <NotZed@Ximian.com>

	* mail-session.c (pass_response): need to check for config_service
	!= NULL, not service != NULL before calling set_save_password.
	Fix for #40472.

2003-03-28  Not Zed  <NotZed@Ximian.com>

	* folder-browser-ui.c: include e-meta.h

	* folder-browser.c (on_right_click): remove unused var.

2003-03-28  Jeffrey Stedfast  <fejj@ximian.com>

	* subscribe-dialog.c (fe_check_for_children): Declare a prototype
	for this function prior to fe_got_children() so that
	fe_got_children() can call us.

2003-03-26  Dan Winship  <danw@ximian.com>

	* mail-format.c (write_address): remove extra arg to
	camel_url_encode

2003-03-27  Not Zed  <NotZed@Ximian.com>

	* folder-browser.c (folder_browser_gui_init): dont set the paned
	initial size here, but hook onto the realize signal.
	(paned_realised): set the paned size once we're realised.  Fixes
	#37084, its a bit of a hack, but it seems to work.

2003-03-26  Jeffrey Stedfast  <fejj@ximian.com>

	Fixes bug #40074.

	* folder-browser-factory.c (control_deactivate): Save message-list
	state.

	* message-list.c (message_list_save_state): Save the various
	states.

2003-03-26  Jeffrey Stedfast  <fejj@ximian.com>

	Fixes for bug #39870

	* message-browser.c (transfer_msg_done): Close the
	message-browser. Since the message doesn't exist anymore, we
	should close it.
	(message_browser_delete): New callback to handle deletion in the
	message-browser window.

2003-03-26  Jeffrey Stedfast  <fejj@ximian.com>

	* subscribe-dialog.c (fe_got_children): If the CamelFolderInfo
	node doesn't have \NoInferriors set, then check for
	subfolders. Fixes bug #40314.

2003-03-26  Not Zed  <NotZed@Ximian.com>

	* mail-display.c (popup_window_destroy_cb): Undo jeff's patch
	below for #40275, the destroy timeout is already removed in
	popup_info_free.  Unref the widget 'w' when we're done with it.
	(popup_info_free): Move everything in here to popup_window_destroy
	and remove, since nothing else uses it.
	(make_popup_window): Ref the widget so it doesn't go away before
	we're finished with it.  Really fixes bug #40275/40188.

2003-03-25  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (popup_window_destroy_cb): Remove the
	timeout. Should fix bug #40275.

	* subscribe-dialog.c: Remove search entry which never worked right
	(and can't work as users expect anyway, since we don't do
	namespace stripping). Fixes bug #40083.
	(ftree_node_new): Ignore \NoSelect as far as marking it
	"subscribable". Fixes bug #40124.

2003-03-25  Dan Winship  <danw@ximian.com>

	* mail-account-editor.c: Update for e_notice move
	(apply_changes): Pass a parent_window to e_notice

	* mail-account-gui.c: Update for e_notice move.
	(mail_account_gui_save): Pass a parent_window to e_notice

	* mail-callbacks.c: Update for e_notice move
	* mail-local.c: Likewise
	* mail-signature-editor.c: Likewise
	* mail-vfolder.c: Likewise

	* component-factory.c (interactive_cb): Update prototype

2003-03-25  Not Zed  <NotZed@Ximian.com>

	* mail-tools.c (meta_data_key): strdup the key before freeing the
	url as it is probably pointing there.

2003-03-25  Not Zed  <NotZed@Ximian.com>

	* component-factory.c (got_folder): remove a debug printf that
	made it in a commit.

	* folder-browser-ui.c (folder_browser_ui_add_global): Load
	per-folder setting of show_preview from meta data.
	(folder_browser_ui_add_list): Same, for thread_list.

	* mail-tools.c (mail_tool_get_meta_data)
	(mail_tool_delete_meta_data): helpers to lookup/delete meta data.

	* mail-config.c (mail_config_uri_deleted): delete the meta-data
	for the folder.

	* folder-browser.c (folder_browser_reload): dont reload the uri if
	we're in the process of loading it still.
	(folder_browser_new): load the folder meta data before loading the
	folder.
	(folder_browser_toggle_preview):
	(folder_browser_toggle_threads): save change to meta-data.
	(got_folder): Load the metadata if we have a folder to set, and
	the meta-data has changed from initislisation.

2003-03-23  Chris Toshok  <toshok@ximian.com>

	* mail-callbacks.c (ask_confirm_for_unwanted_html_mail): pass
	FALSE for e_destination_get_textrep's include_email arg.

2003-03-21  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (mail_format_data_wrapper_write_to_stream):
	Default to the charset provied in the MimePart's Content-Type over
	that of the user's mailer charset. Fixes bug #39204.

2003-03-21  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-composer-prefs.c (spell_load_values): "en_us" should not be
	translated. Fixes bug #40088.

2003-03-21  Larry Ewing  <lewing@ximian.com>

	* mail-display.c (pixbuf_gen_idle): remember to disconnect the
	destroy handler if whenever the loader is shut down.

2003-03-20  Jeffrey Stedfast  <fejj@ximian.com>

	* component-factory.c (owner_set_cb): Change the message_destroy
	callback to just gtk_widget_destroy. No need to have a callback
	simply to call this function.
	(warning_response): Removed (see above).

	* mail-composer-prefs.c (sig_add_script_response): Don't forget to
	add the signature to the signature list if it is a valid script.

	* mail-config.c (mail_config_signature_unregister_client): Make
	sure we can find the registered handler before trying to remove it
	from the list.

	* mail-session.c (do_user_message): Make the 5th argument to
	gtk_message_dialog_new() "%s" and move the m->prompt to arg 6 so
	that we are safe if the prompt string contains any %'s. Also
	connect to the response signal for the user_msg dialog and set the
	callback to gtk_widget_destroy so that the user can actually close
	the dialog. We also need to g_object_weak_ref() the dialog so that
	we can set the global message_dialog pointer back to NULL when it
	gets destroyed. Fixes bug #40043.

2003-03-20  Dan Winship  <danw@ximian.com>

	* mail-ops.c (build_from): Remove this since there's a function in
	CamelMimeMessage to do it now.
	(save_messages_save): Use camel_mime_message_build_mbox_from.

2003-03-21  Not Zed  <NotZed@Ximian.com>

	** for mail part of bug #38461.
	
	* importers/evolution-outlook-importer.c (load_file_fn): dont pass
	in create flag to uri_to_folder, the folder must already exist.

	* importers/evolution-mbox-importer.c (folder_created_cb):
	Removed, we now force the caller to create the destination folder
	first.
	(load_file_fn): Dont try and create a folder if it doesn't exist.
	Also, use the uri directly as the destination uri, so we can
	import into any folder.
	(process_item_fn): If we dont have a folder, thats just an error,
	return BAD_FILE.

	* importers/netscape-importer.c (netscape_import_file): As below
	for elm_import_file.
	(import_next): similarly as for pine import_next.
	(importer_cb): just record result.
	(importer_timeout_fn): removed.

	* importers/pine-importer.c (import_next): Similar to below for
	the elm import_next.
	(pine_import_file): As below for elm_import_file.
	(importer_timeout_fn): removed.
	(importer_cb): just record the result, and exit.
	(import_next): change around to behave more like the elm importer,
	cleaning up when we're done.

	* importers/elm-importer.c (elm_import_file): Create the
	destination folder ourselves, dont pass it onto the mbox importer.
	Simplify logic, just do the import within a while loop, polling
	the g main loop as necessary, remove need for idle callbacks and
	other crap.
	(import_next): If elm_import_file fails, then just go straight to
	the next folder, stops it falling in a heap.
	(import_item_idle): removed.
	(importer_cb): just record result/exit.

	* mail-importer.c (mail_importer_create_folder): removed.
	(mail_importer_make_local_folder): new function to create a
	local-only folder from a path.  It runs synchronously by using a
	recursive main loop.
	(folder_created_cb): callback for make_local_folder.

2003-03-19  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config-druid.c (mail_config_druid_new): Revert ettore's
	broken patch.

	* mail-search-dialogue.c: Removed - nothing uses this.

2003-03-19  Ettore Perazzoli  <ettore@ximian.com>

	* importers/GNOME_Evolution_Mail_Mbox_Importer.server.in.in:
	Replace "evolution:menu-name" prop with "evolution:menu_name".
	[#39692]
	* importers/GNOME_Evolution_Mail_Outlook_Importer.server.in.in:
	Likewise.

2003-03-19  Ettore Perazzoli  <ettore@ximian.com>

	* mail-config-druid.c (mail_config_druid_new): Give the druid the
	DIALOG hint.  [#39741 and friends.]

2003-03-19  Radek Doulik  <rodo@ximian.com>

	* mail-composer-prefs.c (spell_load_values): changed default
	language to en_us instead of en
	(spell_language_button_press): new handler, ported from 1.2
	(spell_setup): use spell_language_enable and
	spell_language_button_press

2003-03-18  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (composer_get_message):
	e_msg_composer_get_subject() now returns a const char *, so update
	appropriately.

2003-03-18  Larry Ewing  <lewing@ximian.com>

	* mail-callbacks.c (do_mail_print): fix leak, cleanup variable
	name, and call gtk_window_set_transient_for with a parent that is
	actually a GtkWindow.
	(mark_as_unseen): use g_source_remove.

2003-03-18  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config-druid.c (mail_config_druid_new): Set the type hint
	to DIALOG so that Metacity shows this window on top. Fixes bug
	#39914.

2003-03-18  Not Zed  <NotZed@Ximian.com>

	* mail-vfolder.c (new_rule_clicked): validate rule & rule is
	unique.  Workaround for #39464.  Should this just use
	rule_context_add_rule_gui??

	* mail-search.c (mail_search_destroy): unhook from the html engine
	signals here, before we redisplay the message.  Also make sure
	this processing only happens once.  For #39759.
	(mail_search_finalise): dont unhook from signals here.

2003-03-12  Not Zed  <NotZed@Ximian.com>

	* mail-callbacks.c (expunge_folder): use a hack to find out if the
	message-list was focussed before we desensitise it.
	(expunged_folder): If the message-list was focussed before,
	re-grab the focus.  For bug #29564.

2003-03-17  Ettore Perazzoli  <ettore@ximian.com>

	* mail-signature-editor.c (mail_signature_editor): Give the editor
	the GDK_WINDOW_TYPE_HINT_DIALOG hint.  [#38926]

2003-03-17  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (pixbuf_gen_idle): If we fail to load the pixbuf,
	don't use it (stops some g_warnings).

	Part of a fix for bug #39809

	* mail-vfolder.c (vfolder_edit): Don't add the cancel button here.

	* mail-callbacks.c (filter_edit): Don't add the cancel button here.

2003-03-17  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (do_external_viewer): Lookup the handler for the
	type. If we don't have a registered handler or if the registered
	handler is not meant to be handled via a bonobo component, don't
	use a bonobo component.

	* mail-format.c (mail_lookup_handler): If we register a new
	handler that is to be handled by a bonobo component, set
	handler->is_bonobo to TRUE.

2003-03-14  Dan Winship  <danw@ximian.com>

	* component-factory.c (storage_connect, storage_connected): Update
	for EvolutionStorage change

2003-03-12  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-signature-editor.c (menu_file_save_cb): Rewritten to do the
	same as the composer's build_message() code.

2003-03-11  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-accounts.c (account_add_clicked): Use
	gtk_window_set_transient_for() on the druid with the settings
	dialog as the parent window.

2003-03-10  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-signature-editor.c (do_exit): Remove the yes/no
	buttons. Fixes bug #39382.

	* mail-accounts.c (account_able_toggled): New callback function to
	handle the checkbox getting toggled.
	(mail_accounts_treeview_new): Save the toggle renderer so we can
	later connect to it's toggled signal.
	(mail_accounts_tab_construct): Connect to the toggle-cell's
	toggled signal. Fixes bug #39325.

2003-03-11  Not Zed  <NotZed@Ximian.com>

	* mail-vfolder.c (vfolder_editor_response): Fix the response code,
	because some bastard changed the filter/* code and didn't fix the
	callers.  Partial fix for #39165.

2003-03-10  Not Zed  <NotZed@Ximian.com>

	* Makefile.am (libevolution_mail_la_SOURCES): removed main.c from
	the build.

	* component-factory.c (component_factory_init): Remove, not used
	anymore, causes linking problems some places.
	(factory): Removed the debug printf.  Added a case for the
	composer.  Part of fixing #39256.

2003-03-07  Jeffrey Stedfast  <fejj@ximian.com>

	All this snot just to fix bug #38925 and an attempt to fix bug
	#38926 (but it seems no matter what I do, I can't work around the
	bonoboness/modality/whatever of the shell's preferences dialog).

	* mail-account-gui.c (sig_add_new_signature): Get the toplevel
	parent GtkWindow and pass that along to
	mail_composer_prefs_new_signature() so that window layering can be
	done correctly.

	* mail-composer-prefs.c (mail_composer_prefs_new_signature):
	Simplify. We don't want to add the signature to the list until
	after they have saved.
	(sig_edit_cb): Pass FALSE as the is_new argument to
	mail_signature_editor().
	(sig_event_client): Listen for signatures being added.
	(mail_composer_prefs_new_signature): Now takes a GtkWindow arg as
	the first arg rather than a MailComposerPrefs arg since we don't
	really need it to be a MailComposerPrefs object. We'd rather use
	the first arg as the parent GtkWindow so that we can set
	transience for the editor window.

	* mail-signature-editor.c (mail_signature_editor): Now takes a
	'parent' argument (so we can set transient_for()) and a 'is_new'
	argument specifying whether the editor is editing a new signature
	or not. If it is, when the user saves, it will be added to the
	signature list. otherwise it won't.
	(sig_name_changed): Only use the mail_config_signature_set_name()
	interface if it is *not* a new signature.
	(menu_file_save_cb): If is_new, then save the signature to the
	config - otherwise do what we did before and set the modifications
	to it and emit the CHANGED event.

	* mail-config.c (mail_config_signature_new): Renamed from
	mail_config_signature_add(). We no longer immediately add the
	signature to the list of saved signatures.
	(mail_config_signature_add): New function which adds the signature
	and emits the SIG_ADDED event.

2003-03-07  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (on_url_requested): If the part url is a text
	part, use mail_format_data_wrapper_write_to_stream(). This should
	fix bug #39204.

	* mail-format.c (mail_format_data_wrapper_write_to_stream): Make public.

2003-03-06  Ettore Perazzoli  <ettore@ximian.com>

	* mail-accounts.c (mail_accounts_treeview_new): Set the
	shadow_type of the scrlled window to GTK_SHADOW_IN.

2003-03-06  Ettore Perazzoli  <ettore@ximian.com>

	* mail-config.glade: Add some spacing to the buttons.  [#38227]

2003-03-06  Ettore Perazzoli  <ettore@ximian.com>

	* importers/evolution-mbox-importer.c (IN): Use G_GNUC_FUNCTION
	instead of __FUNCTION__.
	(OUT): Likewise.
	* importers/netscape-importer.c (netscape_import_file): Likewise.
	* mail-send-recv.c (receive_done): Likewise.
	* mail-summary.c (SUMMARY_OUT): Likewise.
	(SUMMARY_IN): Likewise.
	(folder_changed_cb): Likewise.
	(message_changed_cb): Likewise.

2003-03-06  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser-factory.c: #include <string.h>

	* e-searching-tokenizer.c (camel_utf8_getc): Don't use __inline__
	as not all platforms/compilers support this keyword.
	(g): Same.

2003-03-06  Not Zed  <NotZed@Ximian.com>

	* component-factory.c (owner_unset_cb): remove debug printf.

2003-03-05  Not Zed  <NotZed@Ximian.com>

	* component-factory.c (idle_quit): Removed old quit code.
	(owner_unset_cb): Make this call synchronous.  Wont cover all
	cases but should be ok most of the time.

2003-03-04  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-search.c: Prototype some functions to shut the compiler up.

	* mail-callbacks.c (composer_get_message): Go back to using
	e_destination_get_address() but use the camel-address parser on
	the strings to make sure they are non-empty. Fixes bug #37854.

2003-03-03  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-signature-editor.c (menu_file_save_cb): Use 'filename' when
	creating the uri rather than using the uninitialised 'uri'
	variable to create itself. Fixes bug #38864.

2003-03-03  Not Zed  <NotZed@Ximian.com>

	* mail-session.c (do_user_message): Do the same as below for
	request_password, so we dont leave a mainloop lying around.

2003-03-03  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-session.c (request_password): Don't connect to the response
	signal if we are in the main thread - instead just use the return
	value from gtk_dialog_run and then call pass_response() with the
	response value.

2003-03-03  Not Zed  <NotZed@Ximian.com>

	* subscribe-dialog.c (fe_got_children): Remove the
	e_tree_memory_sort_node, currently it crashes inside gal, the root
	node seems to get free'd under it.

2003-02-26  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-preferences.c: Reverted back to using e-iconv

	* mail-composer-preferences.c: Same.

2003-02-26  Dan Winship  <danw@ximian.com>

	* GNOME_Evolution_Mail.server.in.in: add a repo_id and a priority
	level to the startup wizard

2003-02-25  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c: Reverted back to using e-iconv instead of
	camel-iconv.

2003-02-25  Dan Winship  <danw@ximian.com>

	* mail-config-druid.c: Update for new EvolutionWizard interfaces.

2003-02-25  Dan Winship  <danw@ximian.com>

	* mail-config-druid.c: Redo this to not use the CORBA interfaces
	in the local case (in preparation for redoing the CORBA
	interfaces).
	(mail_config_druid_new): Remove unused "shell" arg

	* mail-account-gui.c (mail_account_gui_transport_complete): Don't
	crash if there's no transport selected at all.
	(mail_account_gui_new): Don't try to set cc_addrs/bcc_addrs if
	they're NULL.

	* mail-accounts.c (account_add_clicked): Don't need to pass shell
	to mail_config_druid_new.

	* mail-callbacks.c (configure_mail): Don't need to pass shell to
	mail_config_druid_new.

2003-02-24  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-session.c (request_password): Make sure m->config_service
	is non-NULL before using m->config_service->save_passwd since PGP
	stuff will not have a config_service. Fixes bug #38149.

	* mail-account-gui.c (mail_account_gui_save):
	s/e_account_list_changed/e_account_list_change - otherwise we get
	an undefined symbol and we crash :-)

	* mail-composer-prefs.c (mail_composer_prefs_new_signature): Don't
	always append "[script]" to the signature name. Also cleaned up
	some memory leakage.

2003-02-20  Not Zed  <NotZed@Ximian.com>

	* mail-preferences.c (mail_preferences_apply): fix the g_snprintf
	stuff.

	* mail-config.c (mail_config_add_account): Use new
	e_account_list_add.
	(mail_config_remove_account): Use new e_account_list_remove.
	(mail_config_set_default_account): Similarly for
	e_account_list_set_default.
	(mail_config_get_default_account): Same for
	e_account_list_get_default.
	(mail_config_get_account_by_name): Use e_account_list_find.

	* mail-account-gui.c (mail_account_gui_save): use new
	e_account_list_changed call instead of manual signalling.

2003-02-23  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-local.c: Set the local provider description field to a
	string rather than NULL to prevent a segfault on solaris. Fixes
	bug #38418.

2003-02-23  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (write_text_header): bitwise-or in
	CAMEL_MIME_FILTER_TOHTML_CONVERT_SPACES to fix bug #38499.

	* mail-search.c (mail_search_destroy): New overloaded virtual
	method, does what dialog_destroy_cb was trying to do.
	(mail_search_construct): Connect to the "response" signal rather
	than "clicked" to correspond to the GtkDialog API
	(instead og the old GnomeDialog API).
	(dialog_response_cb): Changed the function name and made it check
	button == GTK_RESPONSE_ACCEPT to search, any other button
	closes. Fixes bug #37947.

2003-02-21  Hans Petter Jansson  <hpj@ximian.com>

	* component-factory.c (factory): Don't try to get a FontPrefs control.

	* mail-config-factory.c (mail_config_control_factory_cb): Just return
	NULL if a FontPrefs control was requested.

	* mail-config.c (mail_config_get_default_account): If no accounts
	are defined, don't try to set the default account.

2003-02-21  Dan Winship  <danw@ximian.com>

	* Makefile.am (libevolution_mail_la_LIBADD): Remove libebook's
	dependencies.

	* importers/Makefile.am (libevolution_pine_importer_la_LIBADD):
	Likewise.

2003-02-21  Dan Winship  <danw@ximian.com>

	* mail-account-gui.c (mail_account_gui_build_extra_conf): Use
	tables instead of vboxes, so that groups of label/entry pairs (as
	in Connector's config page) can line up nicely.

	* mail-config.glade: Turn extra_vbox and extra_mailcheck_vbox into
	tables.

	* mail-config-druid.c (get_fn): s/extra_vbox/extra_table/

	* Makefile.am (libevolution_mail_la_LIBADD):
	s/libcomposer.a/libcomposer.la/

2003-02-20  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (mark_all_as_seen): Use
	camel_folder_free_uids().

	* mail-format.c (write_headers): Use
	camel_charset_canonical_name() here instead of
	e_iconv_charset_name().

	* mail-preferences.c (mail_preferences_construct): Same as below.
	(mail_preferences_apply): Again here.

	* mail-composer-prefs.c (mail_composer_prefs_construct): Use
	camel_charset_locale_name() here instead of
	e_iconv_locale_charset().
	(mail_composer_prefs_apply): Same.

2003-02-20  Dan Winship  <danw@ximian.com>

	* Makefile.am (libevolution_mail_la_LIBADD):
	s/libemiscwidgets.a/libemiscwidgets.la/ and likewise for
	libefilterbar

2003-02-18  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (mark_all_as_seen): Fixed a memory leak - make
	sure to free all uids.

	* mail-config.c (uri_to_key): Removed.
	(lookup_signature): Removed.
	(xml_get_int): Removed.
	(xml_get_bool): Removed.
	(mail_config_get_time_24hour): Removed.

	* evolution-mail.schemas: s/long/int/g and change default_account
	to be a string instead of an int.

	* mail-config.c (mail_config_get_default_account): default_account
	now uses the account uid, so change the code a bit to match uid
	strings rather than use an index.
	(mail_config_remove_account): Same here. simplifies the code a
	bunch.
	(mail_config_set_default_account): Here too.

	* folder-browser-ui.c (folder_browser_ui_setup_view_menus): Update
	the GalView path.

2003-02-14  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-session.c (do_get_pass): Change the logic here
	slightly. Instead of only reprompting the user if the cache is
	empty, also reprompt the user if the backend is forcing a
	reprompt.
	(request_password): If we have a cached passwd string for the
	account, fill-in the GtkEntry box with that value by
	default. This, together with the camel changes, fixes the
	"Evolution forgets my POP passwd if it gets a -ERR response during
	the login phase" bug.

2003-02-13  Jeffrey Stedfast  <fejj@ximian.com>

	* e-searching-tokenizer.c: #include <stdio.h>

	* mail-config-factory.c: #include <string.h>

	* mail-config-druid.c (identity_prepare): Use
	gtk_editable_select_region() since gtk_entry_select_region() has
	been deprecated.
	(construct): Use gtk_window_set_resizable() instead of
	gtk_window_set_policy().
	(wizard_free): account_destroy() is no longer around, use
	g_object_unref() instead. (how did this even compile before?)

	* mail-account-gui.c (mail_account_gui_build_extra_conf): Use
	gtk_label_set_text_with_mnemonic() instead of
	gtk_label_parse_uline() as the latter has been deprecated.

2003-02-12  Jeffrey Stedfast  <fejj@ximian.com>

	* importers/netscape-importer.c: Removed unused variables.

	* importers/pine-importer.c: Removed unused variables.
	(parse_address): Removed - it's unused and we have CamelAddress
	available to us anyway.

	* importers/elm-importer.c: Removed unused variables.

	* importers/evolution-mbox-importer.c (load_file_fn): Removed an
	unused variable.

2003-02-11  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-editor.c (construct): Use
	gtk_window_set_resizable() instead of gtk_window_set_policy().

	* mail-config.c: Fix a bunch of warnings.
	(mail_config_signature_write): Removed.

	* mail-callbacks.c: Removed unused variables.

	* mail-accounts.c (mail_accounts_tab_class_init): Register a
	destroy virtual method.
	(mail_accounts_tab_destroy): Set mail_display->destroyed = TRUE.

	* message-list.c (message_list_destroy): Set
	mail_display->destroyed = TRUE. This is a workaround for the
	GTK_OBJECT_DESTROYED() macro that we used to use before.

	* mail-display.c (mail_display_destroy): Set
	mail_display->destroyed = TRUE. This is a workaround for the
	GTK_OBJECT_DESTROYED() macro that we used to use before.

2003-02-10  Jeffrey Stedfast  <fejj@ximian.com>

	* message-list.c (build_tree): Use g_signal_emit() rather than
	gtk_signal_emit().
	(build_flat): Same here.

	* mail-signature-editor.c: #include <string.h>

	* mail-vfolder.c: #include <string.h>

	* mail-session.c: #include <string.h>

	* mail-search.c: #include <string.h>

	* mail-mt.c: #include <string.h>

	* mail-ops.c (save_part_save): Use strcasecmp() instead of
	g_strcasecmp().

	* mail-local.c: #include <string.h>
	(reconfigure_folder_reconfigured): Use a GtkDialog instead of
	gnome_error_dialog().

	* mail-format.c (find_preferred_alternative): Use g_ascii_strdown
	since g_strdown is deprecated.
	(fake_mime_part_from_data): Removed, no longer used it seems.
	(destroy_part): Also removed.

	* mail-display.c (make_popup_window): Replace call to
	gtk_window_set_polociy() with gtk_window_set_resizable() instead.
	(popup_size_allocate_cb): Use gtk_window_set_position() with
	GTK_WIN_POS_MOUSE instead of calculating the position to put it
	in.

2003-02-10  Ettore Perazzoli  <ettore@ximian.com>

	* importers/Makefile.am: Split the ORBit IDL compilation rules to
	work properly with parallel makes.
	(BUILT_SOURCES): Add this.
	(CLEANFILES): Add this.

	* Makefile.am: Split the ORBit IDL compilation rules to work
	properly with parallel makes.
	(BUILT_SOURCES): Add $(IDL_GENERATED) here.
	(CLEANFILES): Remove from here.

2003-02-10  Rodney Dawes  <dobey@ximian.com>

	* importers/Makefile.am: Add LDFLAGS to ported libs
	
2003-02-10  Larry Ewing  <lewing@ximian.com>

	* mail-display.c (save_url): look in the http cache for images
	when saving
	(image_save_as): remove random warning.
	(do_external_viewer): remove unused variable.
	(do_attachment_header): use g_ascii_strdown

2003-02-07  Larry Ewing  <lewing@ximian.com>

	* mail-display.c (save_data_cb): don't use random memory as a
	gconf client.

2003-02-06  Chris Toshok  <toshok@ximian.com>

	* importers/pine-importer.c (import_addressbook): track change to
	e_book_load_uri type.

2003-02-06  Ettore Perazzoli  <ettore@ximian.com>

	* folder-browser.c (on_right_click): Use
	e_auto_kill_popup_menu_on_selection_done() instead of
	e_auto_kill_popup_menu_on_hide().

2003-02-06  Dan Winship  <danw@ximian.com>

	* Makefile.am (INCLUDES): add EVOLUTION_PRIVDATADIR. Fix
	EVOLUTION_ICONSDIR

	* component-factory.c (owner_set_cb): Use EVOLUTION_PRIVDATADIR
	* mail-autofilter.c (filter_gui_add_from_message): Likewise
	(mail_filter_rename_uri): Likewise
	(mail_filter_delete_uri): Likewise
	* mail-callbacks.c (filter_edit): Likewise.
	* mail-search-dialogue.c (mail_search_dialogue_construct):
	Likewise
	* mail-session.c (main_get_filter_driver): Likewise
	* mail-summary.c (generate_folder_summaries): Likewise
	* mail-vfolder.c (vfolder_load_storage): Likewise

2003-02-06  Dan Winship  <danw@ximian.com>

	* Makefile.am: Remove *dir defs that are in configure.in now
	(INCLUDES): clean up using new *dir variables
	(libevolution_mail_la_LDFLAGS): remove -export-dynamic, add
	-module

	* main.c (main): s/PACKAGE/GETTEXT_PACKAGE/ in gettext init

	* importers/Makefile.am (INCLUDES): change EVOLUTION_DATADIR to
	EVOLUTION_PRIVDATADIR

	* importers/netscape-importer.c (netscape_import_filters): use
	EVOLUTION_PRIVDATADIR

2003-02-06  Larry Ewing  <lewing@ximian.com>

	* mail-session.c (pass_activate): add an activate handler to the
	entry so that hitting return will return an OK response.

2003-02-05  Dan Winship  <danw@ximian.com>

	* main.c (main): s/glade_gnome_init/glade_init/

2003-02-05  Not Zed  <NotZed@Ximian.com>

	* importers/netscape-importer.c: update from ../../importers/.
	(main): Removed.
	(mail_importer_module_init): Setup module init fn.
	(factory_fn): api changes.
	(is_dir_empty): deprecated changes, and clean up logic.
	(importer_cb): pulse progress bar, use idle function for
	processing next item.
	(import_next): Remove link before recursing, also fix memleak, and
	api changes.
	(netscape_import_file): dont release importer.
	(*): gconf'ify

	* importers/elm-importer.c (elm_factory_fn): Track the
	evolution_intelligent_importer, so we can unref it when done.
	(*): gconf'ify.

	* importers/pine-importer.c (parse_line): use gobject stuff rather
	than gtkobject.
	(import_addressfile): close down 'properly' when finished.
	(importer_timeout_fn): Do most processing decisions here, either
	from a timeout or idle function.  This prevents us getting 1 stack
	frame per message and per folder.  Close down properly also.
	(importer_cb): Add a timeout, ignore the callback, or add an idle
	function to process the next item.
	(pine_import_file): dont release the importer if we can't load it,
	its released elsewhere, i think.
	(import_addressfile): step the progress bar as we go.
	(factory_fn): Track the evolution_intelligent_importer, so we can
	unref when done.
	(*): gconf'ify

2003-01-31  Not Zed  <NotZed@Ximian.com>

	* importers/elm-importer.c (elm_can_import): g_file_exists ->
	lstat, and g_build_filename api changes.

	* importers/pine-importer.c: moved from
	../../importers/pine-importer.c
	(factory_fn): oaf->bonobo_activation
	(mail_importer_module_init): setup factory.
	(main): Removed.
	(*): REemove bonobo config stuff.
	(factory_fn): destroy signal -> weak ref.
	(pine_destroy_cb): Fix signature for weak ref notify.
	(import_addressfile): use new glib filename stuff.
	(import_addressbook): same.
	(pine_can_import): and here.
	(import_next): and here.
	(scan_dir): and here
	(pine_create_structure): And here.
	(pine_can_import): g_file_exists -> lstat.
	(importer_cb): If there are more items, use an idle handler to
	drop back a few stack frames rather than recursing for each
	message.
	(import_next): unlink data from dir_list before recursing, and fix
	leak.

2003-01-30  Not Zed  <NotZed@Ximian.com>

	* importers/elm-importer.c (elm_destroy_cb): Change for weak ref
	setup.
	(elm_factory_fn): destroy -> weak ref.

2003-01-29  Not Zed  <NotZed@Ximian.com>

	* importers/elm-importer.c (importer_cb): Pass processItem off to
	an idle handler, so we dont blow our stacks.  Also update to use
	progress_bar_pulse().
	(import_item_idle): Get the next message here instead.
	(import_next): Fix a glist leak.  Unlink the file before we import
	it too.  And close the dialogue and clean up when we've run out of
	folders to import.

2003-01-17  Not Zed  <NotZed@Ximian.com>

	* importers/elm-importer.c (elm_create_structure): use/free elmdir
	rather than double-free maildir.

2003-01-16  Not Zed  <NotZed@Ximian.com>

	* importers/elm-importer.c: update from ../importers/elm-importer.c

2003-02-03  Jeffrey Stedfast  <fejj@ximian.com>

	* message-list.c (mail_regen_list): Get the thread_subject setting
	here instead of in regen_list_regen since that function will be
	called in another thread and we can't make corba calls in anything
	but the main thread.
	(regen_list_regen): Don't make CORBA calls here! (shame on me).

	* mail-identify.c (mail_identify_mime_part): Just use
	gnome_vfs_get_mime_type_from_name() so we can forget all the crap
	I implemented before.

2003-02-01  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (on_link_clicked): Pass in the *address* of the
	GError to gnome_url_show(), otherwise bad things happen :-)

2003-01-31  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config.c (mail_config_get_labels): New function to return a
	cached list of labels.
	(mail_config_get_label_color_by_name): New convenience function to
	search the cached labels.
	(mail_config_get_label_color_by_index): Same.
	(mail_config_init): Cache the labels and also listen for changes
	to them in the gconf db.
	(config_cache_labels): Internal function to cache the labels.

	* folder-browser.c (on_right_click): Fixed the label colours in
	the menu by using the cached linked list of labels.

	* mail-preferences.c (colorpicker_set_color): Now takes a string
	argument allowing us to get rid of converting a string into an rgb
	guint32 all over the place when trying to set defaults, since we
	now store colors in gconf as strings.
	(mail_preferences_construct): Use the cached labels (they are
	already parsed for us).

2003-01-27  Jeffrey Stedfast  <fejj@ximian.com>

	* component-factory.c (storage_remove_folder): Change
	strcmp(fi->path, path) to strcmp(fi->name, name) and now the
	execution takes the right path. My patch base on Callie's patch
	for bug #33525.

	* mail-identify.c (mail_identify_mime_part): Fixed a #warning by
	converting a local path into a file: uri before feeding it to
	gnome-vfs.

	* message-list.c (message_list_set_folder): Removed a FIXME that
	I've decided is no longer needed.

2003-01-22  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config.c (mail_config_add_account): Emit the account-added
	event.
	(mail_config_remove_account): Emit the account-removed event.

	* mail-account-gui.c (mail_account_gui_save): Emit the changed
	event on the account-list for the changed account.

2003-01-24  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser-ui.c (folder_browser_ui_add_global): Set the
	paned_size here.

	* folder-browser.c (folder_browser_gui_init): Don't bother
	connecting to the hide-deleted, message-display-style, paned-size,
	nor show-preview gconf notifications anymore, since we can just
	set them when the view becomes active again in
	folder-browser-ui.c. Cuts down on extra overhead.
	(folder_browser_destroy): No need to disconnect from those
	notifications anymore either.

2003-01-24  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am (iconsdir): Remove, this is now defined in
	configure.in.

2002-12-07 leon.zhang  <leon.zhang@sun.com>

	* component-factory.c (user_create_new_item_cb):  transfer the 
	current acount info, which will be regarded as the sender of 
	new composer, to send_to_url().

	* mail-callbacks.h (send_to_url): Add a new parameter for parent
	folder uri.

	* mail-callbacks.c (send_to_url): Create composer base on source
	account info from parent folder physical uri.
	(post_to_url): create composer based on current account from 
	parent folder physical uri. 

	* mail-display.c (on_link_clicked): Apply new format of function:
	send_to_url.

	Fixes bug #35123 #35289

2003-01-24  Not Zed  <NotZed@Ximian.com>

	* mail-local.c (non_equal): We do actually need to check they are
	file url's, otherwise, all url's match.

2003-01-23  Rodney Dawes  <dobey@ximian.com>

	* folder-browser.c (fb_resize_cb): Use button_release instead of
	size_allocate, and get the position from the Paned widget to prevent
	calling CORBA all the time for GConf stuff
	
2003-01-23  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am (componentdir): Removed definition; this is now
	defined in configure.in.

2003-01-22  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config.c (mail_config_get_thread_list): Removed.
	(mail_config_set_thread_list): Removed.
	(mail_config_uri_renamed): No longer needs to change threaded
	state for each url either.
	(mail_config_write_on_exit): Updated.

	* folder-browser-ui.c (folder_browser_ui_add_list): Get the
	threaded state via gconf.

	* folder-browser.c (folder_browser_toggle_threads): Save the
	threaded state.

2003-01-22  Ettore Perazzoli  <ettore@ximian.com>

	* folder-browser-ui.c (folder_browser_ui_setup_view_menus): Use
	EVOLUTION_GALVIEWSDIR.

	* message-browser.c (set_bonobo_ui): Get
	evolution-mail-messagedisplay.xml from EVOLUTION_UIDIR.

	* mail-signature-editor.c (mail_signature_editor): Get
	evolution-signature-editor.xml from EVOLUTION_UIDIR.

	* folder-browser-ui.c (ui_add): Get the evoluiton-mail* XML files
	from EVOLUTION_UIDIR.

	* Makefile.am (INCLUDES): Define EVOLUTION_GALVIEWSDIR; update
	EVOLUTION_IMAGESDIR to include the $(BASE_VERSION).
	(gladedir): Version using $(BASE_VERSION).
	(etspecdir): Likewise.
	(iconsdir): Likewise.
	(buttonsdir): Likewise.
	(etspecdir): Likewise.

	* component-factory.c (owner_set_cb): Look for vfoldertypes.xml in
	the new version-aware location.
	* mail-summary.c (generate_folder_summaries): Likewise.
	* mail-search-dialogue.c (mail_search_dialogue_construct): Likewise.
	* mail-vfolder.c (vfolder_load_storage): Likewise.

	* mail-autofilter.c (filter_gui_add_from_message): Look for
	filtertypes.xml in the new version-aware location.
	(mail_filter_rename_uri): Likewise.
	(mail_filter_delete_uri): Likewise.
	* mail-session.c (main_get_filter_driver): Likewise.
	* mail-callbacks.c (filter_edit): Likewise.

2003-01-22  Radek Doulik  <rodo@ximian.com>

	* mail-callbacks.c (do_mail_print): put unrealized html widget
	into top level widget (gtk window) before realizing it
	destroy temporary widgets (w, html)

2003-01-21  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config.c (mail_config_remove_account): Don't unref the
	account object, e_list_remove() apparently handles this for us.

	* mail-accounts.c (account_delete_clicked): Don't unref the
	confirm dialog, it was already destroyed.

2003-01-20  Jeffrey Stedfast  <fejj@ximian.com>

	* evolution-mail.schemas: Default to hiding deleted
	messages. Fixes bug #35929.

	* mail-preferences.c (entry_changed): Removed.
	(toggle_button_toggled): Removed.
	(settings_changed): New callback that replaces the two above. No
	need to have multiple callback functions when the signature is the
	same.

	* folder-browser.c (folder_browser_toggle_hide_deleted): Don't
	!atoi (state) for the message_list_set_hidedeleted() call.

2003-01-18  Larry Ewing  <lewing@ximian.com>

	* mail-callbacks.c (save_msg_ok): e_question returns a boolean,
	don't test for a specific value.

	* mail-display.c (html_button_press_event): make the event
	handlers return FALSE so that gtkhtml can process the events.
	(on_link_clicked): call gnome_url_show with all its arguments so
	that it actually does something.  Also pass news and nntp urls to
	gnome_url_show so that they can be handled properly.

2003-01-17  Larry Ewing  <lewing@ximian.com>

	* mail-format.c (handle_text_enriched): wrap eriched entries with
	a table so that they get proper indentation.

2003-01-17  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-session.c (do_get_pass): Updated.
	(request_password): Same.

	* mail-send-recv.c (mail_send): Fixed to use EAccountService.

	* mail-config-druid.c (make_account): Updated to use EAccount and
	friends.

	* mail-account-gui.c (service_check_supported): Updated to use
	EAccountService.
	(mail_account_gui_new): Ref the account passed in and also update
	to use EAccount objects.
	(save_service): Updated to use an EAccountService.
	(add_new_store): Updated to use an EAccount.
	(mail_account_gui_save): Updated to use EAccounts.
	(setup_signatures): Updated because the new account->id->def_sig
	is now an int and not a structure pointer.

	* mail-account-editor.c (construct): Updated.
	(mail_account_editor_new): Now takes an EAccount object as an
	argument instead of a MailConfigAccount.

	* mail-crypto.c (mail_crypto_get_pgp_cipher_context): Updated to
	use EAccounts.

	* subscribe-dialog.c (populate_store_foreach): Removed.
	(populate_store_list): Can't use populate_store_foreach here
	because of the change to EAccountList so do it manually.

	* mail-vfolder.c (uri_is_ignore): Rewrote to use EAccountList and
	EIterator and all that fun.

	* mail-send-recv.c (build_dialogue): Updated to use EAccountList
	and EAccount object stuff. *ugh*
	(mail_send_receive): Here too.
	(mail_autoreceive_setup): Same.

	* mail-callbacks.c (check_send_configuration): Updated.
	(composer_get_message): Updated.
	(compose_msg): "
	(list_add_addresses): "
	(guess_me): "
	(guess_me_from_accounts): Same.
	(forward_get_composer): Here too.
	(mail_generate_reply): Same.
	(redirect_get_composer): "
	(empty_trash): And finally here.

	* mail-accounts.c (account_edit_clicked): Updated.
	(account_delete_clicked): Same.
	(account_default_clicked): Here too.
	(account_able_clicked): "
	(account_cursor_change): "
	(mail_accounts_load): Again here.

	* folder-browser.c (folder_browser_is_drafts): Updated to use
	EAccountList and EAccount stuff.
	(folder_browser_is_sent): Same.

	* component-factory.c (mail_load_storages): Updated to use
	EAccount and EAccountList stuff.
	(owner_set_cb): Same.
	(send_receive_cb): Here too.

	* mail-config.c: Rewritten to use EAccount and EAccountList
	objects.

2003-01-16  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config-druid.c (get_fn): Connect to the toggled event on
	the transport_needs_auth toggle button so if the user turns this
	off after having deleted the username field, the Next button
	becomes re-enabled. Fixes bug #36862.

2003-01-16  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-composer-prefs.c (sig_fill_clist): Same as below.

	* mail-account-gui.c (sig_fill_options):
	mail_config_get_signature_list() now returns a GSList instead of a
	GList.

	* mail-config.c (signature_new_from_xml): New function to parse a
	signature xml blob into a MailConfigSignature structure.
	(config_read_signatures): Rewritten to use above function.
	(signature_to_xml): New function to write a signature to xml.
	(config_write_signatures_num): Removed.
	(config_write_signature): Removed.
	(config_write_signatures): Rewritten to use signature_to_xml and
	gconf.

2003-01-16  Dan Winship  <danw@ximian.com>

	* mail-config.h (MailConfigAccount): Add a UID field (to match
	EAccount), which never changes and can be used by gconf watchers
	to distinguish an account rename from a deletion and creation.

	* mail-config.c (account_copy): Create a new UID on the new
	account.
	(account_new_from_xml): Read the UID. (If it doesn't have one,
	make one.)
	(account_to_xml): Write the UID.

	* mail-config-druid.c (make_account): add a UID to each account

2003-01-15  Not Zed  <NotZed@Ximian.com>

	* mail-accounts.c (account_able_clicked): Change the
	enable/disable button when the state changes.

2003-01-15  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-local.c (save_metainfo): Back to using e_xml_save_file().

2003-01-14  Ettore Perazzoli  <ettore@ximian.com>

	* message-tag-editor.c (message_tag_editor_init): Make dialog
	Cancel/OK to match HIG.

	* mail-signature-editor.c (do_exit): Make confirmation dialog
	Discard/Cancel/Save to match the HIG.

	* mail-composer-prefs.c (mail_composer_prefs_construct): Make
	dialog Cancel/OK to match HIG.

	* mail-account-editor.c (construct): Make the dialog
	Apply/Close/OK to match HIG.

2003-01-14  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (mail_account_gui_save): Call
	mail_config_save_accounts ().

	* mail-config.c (mail_config_save_accounts): New function to save
	accounts without having to re-load them.

2003-01-14  Radek Doulik  <rodo@ximian.com>

	* folder-browser.c (etree_key): use gtk_scrolled_window_*
	functions for mail_display->scroll

	* mail-display.c (mail_display_new): use gtk_scrolled_window_*
	functions

	* mail-display.h: use GtkScrolledWindow instead of EScrollFrame

2003-01-14  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (pixmap_press): Change the user_data argument to
	be of type gpointer instead of EScrollFrame, since, well, it's not
	an EScrollFrame anymore.

2003-01-14  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am (libevolution_mail_la_SOURCES): Add mail-format.h.
	(EXTRA_DIST): Add $(schema_DATA).

2003-01-14  Rodney Dawes  <dobey@ximian.com>

	* Makefile.am: Make the component be unversioned as a shlib
	
2003-01-14  Rodney Dawes  <dobey@ximian.com>

	* folder-browser.c: Use GtkPaned instead of EPaned
	
2003-01-13  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config.c (account_new_from_xml): Perform some sanity
	checking on the auto-check-timeout value.

	* folder-browser.c (folder_browser_copy): Correctly create the
	clipboard buffer by using a nul to delimit the uri and the list of
	uids.

	* folder-browser-ui.c (folder_browser_ui_add_message): Check the
	state of message_style in gconf and set the menus accordingly.

	* folder-browser.c (folder_browser_destroy): Remove listener for
	message_style change notification.
	(folder_browser_gui_init): Connect a listener for changes to
	message_style.

	* mail-config.c (account_to_xml): Save the auto-check timeout
	value.
	(account_new_from_xml): Load the auto-check-timeout value.

2003-01-13  Dan Winship  <danw@ximian.com>

	* folder-info.c: s/BonoboXObject/BonoboObject/

	* mail-config.c: Likewise

	* mail-offline-handler.c: Likewise

2003-01-13  Not Zed  <NotZed@Ximian.com>

	* mail-mt.c (mail_msg_check_error): hook onto destroy to remove
	dialogue from active table.
	(error_response): Just destroy on any response, dont unref either.

2003-01-11  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (mail_format_data_wrapper_write_to_stream):
	g_strdup the md->charset otherwise we'll get memory corruption
	later. This may be why non-usascii text is displaying incorrectly.

2003-01-10  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser-ui.c (folder_browser_ui_add_list): We also need
	to call message_list_set_hidedeleted() here so that any
	deactivated folder controls will change to the currently set state
	when re-activated.
	(folder_browser_ui_add_global): Same for show_preview.

	* folder-browser.c (hide_deleted_changed): Don't call
	message_list_set_hidedeleted() here.
	(folder_browser_toggle_hide_deleted): Instead, call it here. This
	way we get a faster "response time". Also, this will make it so
	that not all folder controls will regen their message-list at the
	same time.
	(folder_browser_toggle_preview): Same idea as the hide-deleted
	changes.
	(show_preview_changed): See above.

	* mail-config-druid.c (make_account): Default the new account to
	enabled.
	(wizard_finish_cb): Don't set enabled here.

2003-01-10  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser.c (hide_deleted_changed): New callback for when
	the HideDeleted state changes.
	(folder_browser_gui_init): Listen for changes to hide_deleted so
	we can update the menu state.
	(folder_browser_destroy): Remove the hide_deleted notify handler.
	(folder_browser_toggle_hide_deleted): When saving the setting,
	remember that it is !atoi (state) rather than atoi (state) because
	show vs hide. yea.

	* mail-session.c (main_get_filter_driver): notify-type is a int,
	not a bool. Duh.

2003-01-10  Jeffrey Stedfast  <fejj@ximian.com>

	* component-factory.c (factory): Updated for function rename.

	* mail-config-factory.c (mail_config_control_factory_cb):
	Namespaced the function name.

	* folder-browser-ui.c (folder_browser_ui_add_global): Don't add
	the listener for show_preview here, it was moved into
	folder-browser.c so we could detach the listener when the
	folder-browser is destroyed. Also prevents a listener being added
	multiple times (which was possible? before).

	* folder-browser.c (folder_browser_destroy): Remove the gconf
	notify handler for show_preview.
	(show_preview_changed): Moved here from folder-browser-ui.c

	* component-factory.c (storage_remove_folder): Fixed a situation
	in which we could notify the shell listener twice.

2003-01-10  Not Zed  <NotZed@Ximian.com>

	* folder-browser.c (folder_browser_gui_init): Save the paned_size
	notify handle.
	(folder_browser_destroy): Remove gconf notify handler.

2003-01-09  Chris Toshok  <toshok@ximian.com>

	* mail-config-druid.c (wizard_finish_cb): enable the account
	before attempting to saving it.

	* mail-accounts.c (account_delete_clicked): need to show the
	buttons added to the dialog.

2003-01-10  Not Zed  <NotZed@Ximian.com>

	* mail-config.glade: Remove info.png from a couple of images, the
	image is set via code at runtime.  Removes some annoying runtime
	warnings.

	* mail-send-recv.c (dialogue_response): dont unref the dialogue.
	(dialog_destroy_cb): null out the send_recv_dialogue after destroy.
	(build_dialogue): show the stop button

2003-01-09  Chris Toshok  <toshok@ximian.com>

	* folder-info.c (evolution_folder_info_notify_ready): pass bag to
	bonobo_pbclient_set_boolean.

2003-01-09  Ettore Perazzoli  <ettore@ximian.com>

	* component-factory.c (owner_set_cb): Don't call
	mail_config_register_factory() or
	evolution_mail_config_wizard_init().

2003-01-09  Not Zed  <NotZed@Ximian.com>

	* mail-config-druid.c: Added druidpagestart1 to the pages list.
	(construct): Change the limits on the page initialisation, and
	widget_show_all on the page rather than the content.

	* GNOME_Evolution_Mail.server.in.in: Make Mail a shlib component.

	* folder-info.c (evolution_folder_info_factory_init): Removed.
	(evolution_folder_info_factory_fn): renamed to evolution_folder_info_new().

	*  mail-config-druid.c  (evolution_mail_config_wizard_factory_fn):
	Renamed to evolution_mail_config_wizard_new().
	(evolution_mail_config_wizard_init): Removed.

	* mail-config-factory.c (mail_config_register_factory): Remove.
	(config_control_factory_cb): make this public.

	* Makefile.am: setup evolution-mail as a shared library.

	* component-factory.c (make_factory): implement the bonobo-plugin
	factory for shlib operation.  Also, preliminary work to setup mailer-specific 
	(factory): Implement the factory which starts various components.

	* mail-config.c (xml_get_prop): g_free->xmlFree
	(account_to_xml): copy xml memory to glib memory when adding the 0
	on the end of the string.
	(accounts_save): Use slightly different logic with appending to
	the tail of the list, we can't use the &node trick with gslists.
	(accounts_changed): Same here.

2003-01-08  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am: Images are now in $(datadir)/evolution/images
	instead of $(datadir)/images/evolution.

2003-01-08  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser-ui.c (folder_browser_ui_add_global): Call
	folder_browser_set_message_preview().

	* mail-config.c (mail_config_get_show_preview): Removed.
	(mail_config_set_show_preview): Removed.

	* folder-browser.c (folder_browser_toggle_preview): Simply set the
	gconf show_preview setting and let the code in folder-browser-ui.c
	detect it and update the UI.

	* folder-browser-ui.c (folder_browser_ui_add_global): Listen for
	changed events on the show_preview setting.

	* mail-config.c (mail_config_set_default_account): Save the
	setting via gconf.
	(mail_config_add_account): Immediately save the list of accounts.
	(mail_config_remove_account): Same.
	(mail_config_signature_run_script): g_free the charset value and
	use the composer's charset rather than the display charset.
	(mail_config_get_default_account_num): Removed.

2003-01-07  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser.c (save_cursor_pos): Use gconf to get the paned
	size.
	(folder_browser_set_message_preview): Same.
	(folder_browser_toggle_hide_deleted): Use gconf to set the
	hide-deleted state.
	(folder_browser_set_message_display_style): Same but for the
	message_display_style.
	(fb_resize_cb): Save the paned_size via gconf.
	(paned_size_changed): Callback for when the paned_size gets
	changed. Change the folder-browser's paned size to the new
	setting.
	(folder_browser_gui_init): Listen to changes to the paned_size and
	also get the initial size from gconf.

	* message-list.c (message_list_set_folder): Use gconf.
	(regen_list_regen): Use gconf.

	* message-browser.c (transfer_msg_done): Use gconf to get the
	hide_deleted setting.

	* mail-account-gui.c (sig_add_new_signature): Use gconf.

	* folder-browser-ui.c (folder_browser_ui_add_list): Use gconf.

	* folder-browser.c (save_cursor_pos): Use gconf.
	(folder_browser_set_message_preview): Same.
	(folder_browser_toggle_hide_deleted): Here too.
	(folder_browser_set_message_display_style): And here.
	(folder_browser_gui_init): Here too.
	(done_message_selected): And here.

	* mail-config.c (mail_config_get_thread_subject): Removed.
	(mail_config_set_thread_subject): Removed.
	(mail_config_get_empty_trash_on_exit): Removed.
	(mail_config_set_empty_trash_on_exit): Removed.
	(mail_config_get_last_filesel_dir): Removed.
	(mail_config_set_last_filesel_dir): Removed.
	(mail_config_get_hide_deleted): Removed.
	(mail_config_set_hide_deleted): Removed.
	(mail_config_get_paned_size): Removed.
	(mail_config_set_paned_size): Removed.
	(mail_config_get_send_html): Removed.
	(mail_config_set_send_html): Removed.
	(mail_config_get_confirm_unwanted_html): Removed.
	(mail_config_set_confirm_unwanted_html): Removed.
	(mail_config_get_citation_highlight): Removed.
	(mail_config_set_citation_highlight): Removed.
	(mail_config_get_citation_color): Removed.
	(mail_config_set_citation_color): Removed.
	(mail_config_get_do_seen_timeout): Removed.
	(mail_config_set_do_seen_timeout): Removed.
	(mail_config_get_mark_as_seen_timeout): Removed.
	(mail_config_set_mark_as_seen_timeout): Removed.
	(mail_config_get_prompt_empty_subject): Removed.
	(mail_config_set_prompt_empty_subject): Removed.
	(mail_config_get_prompt_only_bcc): Removed.
	(mail_config_set_prompt_only_bcc): Removed.
	(mail_config_get_confirm_expunge): Removed.
	(mail_config_set_confirm_expunge): Removed.
	(mail_config_get_confirm_goto_next_folder): Removed.
	(mail_config_set_confirm_goto_next_folder): Removed.
	(mail_config_get_goto_next_folder): Removed.
	(mail_config_set_goto_next_folder): Removed.
	(mail_config_get_http_mode): Removed.
	(mail_config_set_http_mode): Removed.
	(mail_config_get_default_forward_style): Removed.
	(mail_config_set_default_forward_style): Removed.
	(mail_config_get_default_reply_style): Removed.
	(mail_config_set_default_reply_style): Removed.
	(mail_config_get_message_display_style): Removed.
	(mail_config_set_message_display_style): Removed.
	(mail_config_get_default_charset): Removed.
	(mail_config_set_default_charset): Removed.
	(mail_config_get_x_mailer_display_style): Removed.
	(mail_config_set_x_mailer_display_style): Removed.

	* subscribe-dialog.c (populate_store_list): Use the list of
	accounts. We can't get the list of sources anymore.
	(populate_store_foreach): Updated.

	* mail-callbacks.c (guess_me_from_accounts): Use account->enabled.
	(mail_generate_reply): Same.
	(empty_trash): Here too.

	* mail-accounts.c (account_delete_clicked): Use account->enabled
	rather than source->enabled.
	(account_able_clicked): Same.
	(account_cursor_change): Here too.
	(mail_accounts_load): And here.

	* component-factory.c (owner_unset_cb): Use gconf empty-on-exit
	settings.
	(mail_load_storages): Use account->enabled rather than
	account->source->enabled. The struct changed.

	* mail-composer-prefs.c (sig_add): Get the send_html pref from gconf.

	* message-tag-followup.c (target_date_new): Use gconf.

	* mail-config.c (mail_config_get_week_start_day): Removed.

	* mail-tools.c (mail_tool_quote_message): Use gconf here too, but
	we don't need to parse the colour - just use it as a raw string.
	(mail_tool_forward_message): Use gconf.

	* mail-format.c (mail_format_data_wrapper_write_to_stream): Use gconf.
	(write_headers): Use gconf.
	(handle_text_plain): Same.

	* mail-display.c (mail_text_write): Updated to use gconf and parse
	GdkColour strings.
	(on_url_requested): Updated to use gconf.

	* mail-callbacks.c (ask_confirm_for_unwanted_html_mail): Use gconf
	rather than the old mail-config APIs which will be removed.
	(ask_confirm_for_empty_subject): Same.
	(ask_confirm_for_only_bcc): Here too.
	(composer_get_message): And here.
	(create_msg_composer): Same.
	(transfer_msg_done): Again here.
	(delete_msg): Here too.
	(confirm_expunge): And finally here.

	* mail-config.c (mail_config_write): Use gconf.
	(mail_config_get_sources): Removed.

	* mail-account-gui.c (mail_account_gui_save): No need to save
	enabled-state anymore for a source.

	* mail-config-druid.c (wizard_finish_cb): Instead of setting
	account->source->enabled to TRUE, just set account->enabled to
	TRUE. The structures changed a bit.

	* mail-send-recv.c (mail_send_receive): Get the list of accounts
	instead of sources, and pass them along to build_dialogue. I'm
	trying to get rid of the mail_config_get_sources() api.
	(mail_autoreceive_setup): Here too.

	* mail-config.c (mail_config_get_filter_log): Removed.
	(mail_config_set_filter_log): Removed.
	(mail_config_get_filter_log_path): Removed.
	(mail_config_set_filter_log_path): Removed.
	(mail_config_get_new_mail_notify): Removed.
	(mail_config_set_new_mail_notify): Removed.
	(mail_config_get_new_mail_notify_sound_file): Removed.
	(mail_config_set_new_mail_notify_sound_file): Removed.

	* mail-session.c (main_get_filter_driver): Updated to use the
	gconf settings.

2003-01-07  Dan Winship  <danw@ximian.com>

	* mail-account-gui.c (mail_account_gui_auto_detect_extra_conf,
	mail_account_gui_build_extra_conf): Don't translate the conf
	strings. Camel already did it.

2003-01-06  Dan Winship  <danw@ximian.com>

	* Makefile.am: remove idldir definition. (It's defined in
	configure.in now)

2003-01-04  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (composer_get_message): Use
	e_destination_get_email() instead of e_destination_get_address()
	when checking that we have a list of valid recipients to send the
	message to because get_email() returns the addr-spec portion of
	the address, which is what we care about. if that doesn't exist,
	then the address is useless. This does all we can do mailer-side
	for the recent "SMTP Problem" thread.

2003-01-03  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c: Fixed some build issues.

	* mail-search.c: Same.

	* mail-callbacks.c (save_draft_done): Use
	g_signal_handlers_disconnect_by_func().
	(manage_subscriptions): Use a weak_ref instead of connecting to
	the destroy event.

2002-12-17  Jeffrey Stedfast  <fejj@ximian.com>

	...And a whole bunch more build fixes.

	* mail-vfolder.c (mail_vfolder_delete_uri): Don't use
	g_string_sprintfa() anymore since it is apparently deprecated.

	* mail-session.c (main_get_filter_driver): Don't use
	g_string_sprintfa() anymore since it is apparently deprecated.

	* mail-ops.c (build_from): Don't use g_string_sprintfa() anymore
	since it is apparently deprecated.

	* mail-callbacks.c (ask_confirm_for_unwanted_html_mail): Don't use
	g_string_sprintfa() anymore since it is apparently deprecated.

	* mail-autofilter.c: Don't use g_string_sprintfa() anymore since
	it is apparently deprecated.

	* folder-browser.c: Don't use g_string_sprintfa() anymore since it
	is apparently deprecated.

	* mail-search.c (mail_search_set_subject): Remove the unnecessary
	g_strdup()'age as well as fix a possible buffer overrun.

	* mail-local.c (mail_local_folder_construct): Use
	g_path_get_basename().

	* mail-config-druid.c (make_account): Don't use e_utf8_*
	functions.

2002-12-16  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c #define a STANDARD_ISSUE_TABLE_OPEN string used
	for wrapping textual message parts to keep them being fully-left
	justified.
	(mail_format_raw_message): Wrap the content with a table so that
	text isn't fully left-justified.
	(write_hr): Use it here too.
	(handle_text_plain): And finally here.

2002-12-16  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (mail_error_printf): Use camel_text_to_html()
	instead of e_text_to_html().
	(mail_text_write): Write the content directly to gtkhtml through
	an html stream filter.

	* mail-format.c (attachment_header): Use camel_text_to_html()
	instead of e_text_to_html().
	(write_text_header): Same.
	(write_address): Here too.
	(mail_get_message_rfc822): And here.
	(mail_get_message_body): And finally here.

2002-12-16  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (handle_text_plain): Re-implemented to use
	streams. Also no need to check for html since
	camel-mime-part-utils.c now does this for us and will re-tag the
	mime-type as text/html thus the UI can be completely ignorant of
	this process.
	(handle_text_plain_flowed): Removed.
	(write_one_text_plain_chunk): Removed.
	(try_uudecoding): Removed.
	(try_inline_binhex): Removed.
	(handle_text_enriched): Re-implemented to use streams too.

2002-12-15  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (write_text_header): Change the order of the args
	to be consistant with other write functions.
	(write_date): Same.
	(write_field_row_begin): Here too.
	(write_headers): Here too.
	(write_one_text_plain_chunk): Don't strdup just to pass it to
	mail_text_write() so that it can dup it yet again into html text
	and dup it yet a 3rd time into a GByteArray. Instead just write it
	to gtkhtml.
	(handle_*): Fixed arguments to take a MailDisplayStream instead of
	a GtkHTML widget and a GtkHMLStream.

	* mail-display.c (mail_display_render): Create a MailDisplayStream
	to pass to mail_format_mime_message() and
	mail_format_raw_message().

	* mail-display-stream.[c,h]: New stream to replace
	mail-stream-gtkhtml.c

	* mail-stream-gtkhtml.[c,h]: Removed.

2002-12-13  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (check_send_configuration): Make sure the
	folder-browser is not NULL or we'll crash.

	* mail-preferences.c (mail_preferences_construct): Fix the colour
	code to get a guint32 rgb correctly (I think - can't test because
	the shell keeps crashing, yay).

	* message-tag-followup.c (construct): Don't re-use cell renderers
	- I'm not sure this is actually safe to do.

	* mail-session.c: Get rid of unneeded CamelObject casts.
	(user_message_response): Don't unref the dialog object after we've
	destroyed it.

	* mail-display.c (write_data_to_file): Don't unref the dialog
	object after we've destroyed it.

	* mail-callbacks.c: Same here.

	* component-factory.c: Here too.

	* message-tag-editor.c: Added MESSAGE_TAG_EDITOR_GET_CLASS macros.

2002-12-12  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-accounts.c (mail_accounts_tab_construct): Setup
	double-click here.

2002-12-12  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-accounts.c (account_delete_clicked): Get rid of the ETable
	#ifdef's - we won't ever be using ETable.
	(account_default_clicked): Same.
	(account_able_clicked): Here too.
	(mail_accounts_load): And here.
	(mail_accounts_treeview_new): Renamed from etable_new since we
	won't ever be using an etable.
	(mail_accounts_tab_construct): And finally here.

2002-12-12  Not Zed  <NotZed@Ximian.com>

	* folder-browser.c (my_folder_browser_init): cast a-warning a-way.

	* mail-composer-prefs.c (spell_setup): Terminate list_store_set
	with -1.

	* mail-accounts.c (mail_accounts_etable_new): clist -> gtktreeview
	stuff.  Yes, this is not an etable.
	(mail_accounts_tab_construct): Same.
	(mail_accounts_load): Same.
	(account_cursor_change): Same.
	(account_able_clicked): And this.
	(account_default_clicked): Same.
	(account_delete_clicked): Guess?
	(account_edit_clicked): And here too.

2002-12-11  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (mail_format_data_wrapper_write_to_stream): New
	function to handle a lot of the filtering/etc that was done in
	mail_format_get_data_wrapper_text(). This is the first step toward
	getting rid of e-text-to-html crap and using my tohtml stream
	filter instead.
	(mail_format_get_data_wrapper_text): Use the new function.
	(mail_format_raw_message): Use camel streams to write the content
	to gtkhtml rather than using get_data_wrapper_text() and then
	converting that to html and then writing it to the gtkhtml stream.

2002-12-10  Not Zed  <NotZed@Ximian.com>

	* mail-composer-prefs.c (mail_composer_prefs_construct): language
	is a treeview now.  Not sure what to do with it yet, but get rid
	of one warning anyway.
	(mail_composer_prefs_construct): Same for sig_clist, but setup
	model.
	(sig_fill_clist): Change to use a gtktreeview instead of a clist.
	(sig_selection_changed): New method to handle signature selection
	changes with the new widgets.
	(sig_delete): clist -> treeview.
	(mail_composer_prefs_new_signature): Same.
	(sig_edit): ditto.
	(sig_current_sig): removed.
	(sig_row_unselect): Removed.
	(sig_row_select): Removed, now redundant.
	(spell_select_lang): Removed, redundant.
	(spell_set_ui_language): New implementation using list model more
	effectively.
	(spell_get_language_str): Same here.
	(spell_set_ui_language): Removed this too, merged into
	spell_set_ui, it was just wasting stack space.
	(spell_language_selection_changed): renemd from
	spell_language_select_row, converted to gtktreeview, etc.
	(spell_language_unselect_row): Removed.
	(spell_language_enable): Redone to use tree model.
	(spell_language_button_press): Removed, i dont think this is
	needed anymore.
	(spell_setup): dont hook onto redundant signals.

	* mail-config-factory.c (config_control_factory_cb): ignore
	mail-font-prefs in a different way (so we dont assert)

2002-12-09  Chris Toshok  <toshok@ximian.com>

	* mail-session.c (pass_response): pass "Mail" to e_passwords_*.
	(do_get_pass): same.
	(main_forget_password): same.
	(mail_session_get_password): same.
	(mail_session_remember_password): same.
	(mail_session_forget_password): same.

	* mail-config.c (mail_config_write_on_exit): pass "Mail" to
	e_passwords_*.

	* main.c (main): e_passwords_init is gone.

2002-12-03  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (guess_me_from_accounts): Use the same logic as
	mail_generate_reply(). Fixes bug #34882

	Fixes bug #34315

	* component-factory.c (message_rfc822_dnd): Return TRUE if we
	successfully handled all messages in the mbox stream, or FALSE
	otherwise.
	(destination_folder_handle_drop): For TEXT_URI_LIST, use the
	retval from message_rfc822_dnd() rather than relying on an
	exception, because one will not always necessarily be set. For
	MESSAGE_RFC822, also use the retval from message_rfc822_dnd().

2002-12-03  Not Zed  <NotZed@Ximian.com>

	* folder-browser.c (folder_browser_finalise/destroy): frobbed
	around with these till it exits without crashing.

	* message-list.c (message_list_destroy): made a destroy
	handler again (was dispose).  Frobbed around with this and
	finalise till it can destroy without crashing.

	* message-browser.c (message_browser_new): ref/sink the
	folderbrowser.

2002-11-25  Radek Doulik  <rodo@ximian.com>

	* mail-preferences.c (mail_preferences_construct): magic_check -->
	magic_links_check

2002-11-27  Not Zed  <NotZed@Ximian.com>

	* message-tag-followup.c (construct): gnome_pixmap -> gtkimage.
	(construct): gtk_clist -> gtk_tree_view, setup columns.  They dont
	size well :-/
	(message_tag_followup_append_message): Append using model, remove
	clist stuff.
	(construct): Show date edit (glade bugs?)

	* folder-browser.c (folder_browser_class_init): gtk_marshal -> g_cclosure_marshal
	(setup_popup_icons): gnome_pixmap -> gtk_image.
	(on_right_click): gtk_pixmap -> gtk_image.

	* mail-accounts.c (account_delete_clicked): removed #if 0'd out code.

	* mail-send-recv.c (receive_done): remove FIXME and extra unref.

	* mail-session.c (request_password): Removed #if 0'd out stuff.

	* mail-vfolder.c (new_rule_clicked): proper cast for g_object_get_data.

	* mail-local.c (reconfigure_response): cast for g_object_get_data.

	* mail-account-editor.c (construct): GNOME_DIALOG -> GTK_DIALOG.

	* *.[ch]: re-ran fix.sh for e_notice change
	
	* mail-callbacks.c (save_msg_ok): g_object_get_data +
	gtk_object_remove_no_notify -> g_object_steal_data.
	(find_socket): gtk_container_children ->
	gtk_container_get_children
	(edit_msg): gnome_*_dialog -> gtk_message_dialog.
	(resent_msg): "
	(search_msg): "
	(confirm_goto_next_folder): gtkmessagedialogised (even if not
	used).
	(confirm_expunge): gtkmessagedialogised
	(filter_edit): "
	(do_mail_print): e_notice -> gtk_message_dialog.
	(are_you_sure): removed e_gnome_ok_cancel_dialog crap, replaced
	with a gtk dialog.
	(are_you_sure): gtkmessagedialogised.
	(edit_msg_internal): Dont free uids array, are_you_sure() free's
	it.
	(resend_msg): Same.
	(check_send_configuration): Use e_notice for stuff.  Sigh, here we
	go again ...!
	(e_question): A utility function to ask a question, potentially
	with 'dont ask again' as well.
	(configure_mail): use e_question to save code.  Here we go again,
	again ...
	(ask_confirm_for_unwanted_html_mail): "
	(ask_confirm_for_only_bcc): "
	(ask_confirm_for_only_bcc): "
	(composer_get_message): Use e_notice.
	(composer_save_draft_cb): Use e_question
	(edit_msg): use e_notice, & change to an ERROR.
	(resend_msg): same.
	(save_msg_ok): Properly initialise ret to OK, and use e_question,
	and use access() to determine existance/write access rather than
	stat, display an error if we can't write to a file that exists,
	and print the filename in all dialogues.
	(confirm_goto_next_folder): Use e_question.
	(confirm_expunge): use e_question.
	(filter_edit): Use e_notice.
	(do_mail_print): use e_notice.

2002-11-26  Not Zed  <NotZed@Ximian.com>

	* mail-vfolder.c (vfolder_gui_add_rule): clicked->response signal
	for gtk dialogue.
	(new_rule_clicked): Dont unref after destroy (duh, idiot again).
	(edit_rule_response): Same here.
	(mail_vfolder_delete_uri): Connect response signal to
	gtk_widget_destroy directrly using g_signal_connect_swapped.
	(close_dialogue): Removed, as no longer needed.

	* message-list.c (get_normalised_string): Duh idiot, "un-fixed"
	the memleak i added.

	* mail-callbacks.c (composer_get_message): Set parent window in
	message dialogue & DESTROY_WITH_PARENT flag.
	(composer_save_draft_cb):
	(configure_mail):
	(check_send_configuration): Add DESTROY_WITH_PARENT flag to
	gtk_message_dialog's
	(local_configure_done): remove some unecessary/wrong casts.
	(empty_trash_expunged_cb): "
	(do_mail_print): use gtk_window_set_transient_for instead of
	e_dialog_set_parent.

2002-11-26  Not Zed  <NotZed@Ximian.com>

	* mail-account-editor.c (mail_account_editor_new):
	gtk_widget_set_parent_window -> gtk_window_set_transient_for.

	* mail-callbacks.c (composer_send_queued_cb): dont unref composer.

	* message-browser.c (message_browser_destroy): moved back from
	finalise.

2002-11-25  Not Zed  <NotZed@Ximian.com>

	* message-list.c (message_list_dispose): move saving tree state
	here.
	(message_list_finalise): And take it from here.

	* mail-display.c (mail_display_destroy): @#$@# gtk.  changed this
	around a bit.
	(mail_display_init): Fix prototype, its a gobject.
	(mail_display_init): ref/sink the invisible gtkobject.

2002-11-22  Not Zed  <NotZed@Ximian.com>

	* mail-callbacks.c (ask_confirm_for_unwanted_html_mail): removed
	e_messagebox, and use gtk_message_dialog directly.
	(ask_confirm_for_empty_subject): and here.
	(ask_confirm_for_only_bcc): And here too.
	(msgbox_destroy_cb): Removed, since no longer needed.

2002-11-15  Harry Lu  <harry.lu@sun.com>

	* mail-display.c (write_data_to_file): Show file name when prompt
	to user for overwrite. Fixes bug #34180.

2002-11-21  Harry Lu  <harry.lu@sun.com>

	* mail-display.c (do_attachment_header): Enable dragging of all
	attachments. For bug #34327.

2002-11-21  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-preferences.c (mail_preferences_construct): Since the
	GSList returned from gconf needs to be free'd by us, we don't need
	to strdup the values. Also make sure we don't leak the GSList
	itself.
	(mail_preferences_apply): Don't leak our GSList data.

2002-08-30  Radek Doulik  <rodo@ximian.com>

	* mail-display.c (mail_display_render): don't set margins for raw
	message view

	* mail-format.c (mail_format_raw_message): as below
	(handle_text_plain_flowed): as below
	(mail_format_raw_message): don't use data_urls

	* mail-display.c (mail_text_write): put text in iframe, so it has
	margins and should not be placed in table which changes wrapping
	behavior

2002-11-20  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-composer-prefs.c (mail_composer_prefs_construct): gconfify.
	(mail_composer_prefs_apply): gconfify this also.

	* mail-preferences.c (mail_preferences_construct):
	gconf_client_get_string() probably returns an allocated buffer.

2002-11-20  Not Zed  <NotZed@Ximian.com>

	* importers/Makefile.am (%.server.in): provide a proper implicit
	rule for building .server.in from .server.in.in.  The other one
	just copied the first target to all destinations(!).

	* importers/evolution-outlook-importer.c (outlook_factory_fn):
	destroy -> weak ref.

2002-11-19  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-preferences.c (mail_preferences_apply): Save the settings
	via gconf.
	(mail_preferences_construct): Load the values from gconf.

2002-11-19  Radek Doulik  <rodo@ximian.com>

	* mail-composer-prefs.c (sig_load_preview): use
	gtk_html_begin_content to specify utf-8

2002-11-19  Not Zed  <NotZed@Ximian.com>

	* importers/evolution-mbox-importer.c (mail_importer_module_init):
	fix warning message, outlook->mbox.

	* importers/Makefile.am: fix serverdir to point to
	$libdir/bonobo/servers.

	* mail-callbacks.c (addrbook_sender): add type to
	bonobo_widget_set_property.

	* mail-vfolder.c (vfolder_editor_response): dont unref after destroy.

	* mail-session.c (pass_response): dont unref aftrer destroy.

	* mail-local.c (reconfigure_response): dont unref after destroy.

	* mail-display.c (launch_cb): dont unref after destroy.
	(launch_cb): "
	(drag_data_get_cb): "
	(html_button_press_event): add type to bonobo_widget::set_property

	* mail-config.c (mail_config_check_service): dont unref after
	destroy.

	* component-factory.c (send_receive_cb): dont unref after destroy.
	(request_quit): "

	* mail-signature-editor.c (mail_signature_editor): Use version 3.0
	of gtkhtml editor interfaces.
	(do_exit): dont unref after destroy.
	(format_html_cb): Add type to bonobo_widget::set_property.

2002-11-18  Radek Doulik  <rodo@ximian.com>

	* mail-composer-prefs.c (spell_setup_check_options): check
	exception state and take care when exception raised

2002-11-18  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-accounts.c (mail_accounts_load): Specify the default
	account. Also, don't need to use e_utf8_to_gtk_string() here.

2002-11-18  Not Zed  <NotZed@Ximian.com>

	* Makefile.am (evolution_mail_LDADD): Added back
	libevolution-importer stuff.
	(SUBDIRS): Added back importers.

	* importers/evolution-mbox-importer.c (load_file_fn): build the
	uri without deprecated funcs.
	(load_file_fn): dont free/alloc a camel_exception for no obvious
	purpose.
	(mbox_factory_fn): use weak_ref rather than destroy.
	(importer_destroy_cb): fix signature for weak ref notify.
	(mbox_factory_fn): add cid param.

	* importers/*.[ch]: ran fix script over everything.

	* importers/*.server.in.in: Added bonobo activation files.  Moved
	evolution-mail to @LIBEXEC@ as below.
	
	* importers/Makefile.am: oaf->bonobo activation stuff.

	* importers/evolution-outlook-importer.c (outlook_factory_fn): Add
	component id to callback.

2002-11-15  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am: Add rules to substitute @LIBEXEC@ in
	GNOME_Evolution_Mail.server.in.in and install evolution-mail in
	$(libexecdir) instead of $(bindir).

	* GNOME_Evolution_Mail.server.in.in: Replaced evolution-mail with
	@LIBEXECDIR@/evolution-mail.

2002-11-15  Rodney Dawes  <dobey@ximian.com>

	* component-factory.c: Use bonobo_main_quit instead of gtk
	
2002-11-15  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-composer-prefs.c (sig_edit): Correctly spell Advanced.

2002-11-15  Not Zed  <NotZed@Ximian.com>

	* mail-summary.c (create_summary_view): weak notify -> ref.

	* mail-send-recv.c (build_dialogue): weak notify -> ref.

	* mail-accounts.c (account_edit_clicked): weak notify -> ref, i
	presume this is what jeff meant, 'cause it dont compile otherwise.

2002-11-14  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-accounts.c (account_edit_clicked): Use g_object_weak_ref
	rather than connecting to destroy.
	(account_add_clicked): Same.

	* mail-callbacks.c (addrbook_sender): Make this use
	g_object_weak_notify also.
	(subscribe_dialog_destroy): Add NULL guards here since I think we
	really do want to connect to the "destroy" signal in the function
	that connects us to that signal.

	* mail-config-factory.c (config_control_factory_cb): Same.

	* mail-display.c (save_part): Here too.
	(make_popup_window): And here.

	* mail-send-recv.c (build_dialogue): Same here.

	* mail-summary.c (create_summary_view): Use g_object_weak_notify
	instead of connecting to the destroy signal.

2002-11-14  Ettore Perazzoli  <ettore@ximian.com>

	* component-factory.c (owner_set_cb): Want a (GWeakNotify) cast
	here, not (GWeakNotify *).

	* subscribe-dialog.c (fete_init): g_object_set() instead of
	gtk_object_set().
	(populate_store_list): Likewise.
	(menu_item_selected): g_object_get_data() instead of
	gtk_object_get_data().

	* message-list.c (message_list_create_extras): g_object_set()
	instead of gtk_object_set().

	* message-browser.c (message_browser_message_list_built):
	g_object_get_data() instead of gtk_object_get_data().

	* mail-vfolder.c (edit_rule_response): g_object_get_data() instead
	of gtk_object_get_data().

	* mail-summary.c (generate_folder_summaries): g_object_unref() the
	context instead of gtk_object_destroy().

	* mail-local.c (reconfigure_response): g_object_get_data() instead
	of gtk_object_get_data().

	* mail-display.c (pixbuf_gen_idle): g_object_unref() the GdkPixbuf
	loader instead of gtk_object_destroy().
	(pixbuf_gen_idle): Likewise.
	(embeddable_destroy_cb): Likewise.

	* mail-config-druid.c (mail_config_druid_destroy): No need to
	gtk_object_destroy() the GladeXML object.
	(construct): g_object_set() instead of gtk_object_set().

	* folder-browser.c (folder_browser_gui_init): g_object_get_data()
	instead of gtk_object_get_data().

2002-11-14  Not Zed  <NotZed@Ximian.com>

	* component-factory.c (create_view): shell client objref.
	(mail_add_storage): "
	(mail_remove_storage): "

2002-11-13  Joe Shaw  <joe@ximian.com>

	* Makefile.am: Remove a couple backslashes that were causing
	automake to complain, even though they were on lines that were
	-commented out-.  Sigh.

2002-11-13  Ettore Perazzoli  <ettore@ximian.com>

	* folder-info.c (evolution_folder_info_factory_fn): Use
	g_object_new() instead of gtk_type_new().
	* folder-browser.c (folder_browser_new): Likewise.
	* mail-account-gui.c
	(mail_account_gui_folder_selector_button_new): Likewise.
	* mail-font-prefs.c (mail_font_prefs_new): Likewise.

2002-11-13  Ettore Perazzoli  <ettore@ximian.com>

	* mail-format.c: Do not #include <libgnome/gnome-defs.h>.
	* mail-importer.c: Likewise.
	* mail-mt.c: Likewise.
	* mail-ops.c: Likewise.
	* mail-search-dialogue.c: Likewise.
	* mail-session.c: Likewise.
	* mail-vfolder.c: Likewise.
	* message-tag-followup.c: Likewise.
	* main.c: Likewise, and <libgnomeui/gnome-init.h>.

	* mail-callbacks.c: Do not #include <libgnome/gnome-paper.h>.
	(do_mail_print): Remove the GnomePaper local variable.

2002-11-13  Not Zed  <NotZed@Ximian.com>

	* component-factory.c (owner_set_cb): destroy->weak ref.
	(owner_set_cb): shell client changes.

	* mail-signature-editor.c (mail_signature_editor): bonobo api changes.

	* mail-local.c (save_metainfo): go back to using xmlSaveFile.

	* Makefile.am: Removed libevolution-importer from mail.

2002-11-13  Not Zed  <NotZed@Ximian.com>

	* GNOME_Evolution_Mail.server.in.in: Added to cvs.  Currently
	contains no configurable stuff, but maybe it will one day.

	* Makefile.am (server_DATA): change oaf stuff to server stuff for
	bonobo activation.

	* mail-preferences.c (mail_preferences_apply): handle const entry text.

	* mail-composer-prefs.c (url_requested): Fixed typo.
	(mail_composer_prefs_construct): gnomepixmap->gtkimage.

	* mail-callbacks.c (configure_mail): destroy dialogue before dealing
	with response.
	(mail_generate_reply): Fix a typo.
	(popup_listener_cb): fix prototype.
	(tag_editor_response): Handle gtk dialog response.
	(flag_for_followup): Change gnome dialog to gtk dialog stuff.
	(tag_editor_destroy_cb): 
	(tag_editor_cancel): 
	(tag_editor_ok): Removed, handled in _response().
	(filter_editor_response): renamed from _clicked, handle gtk
	dialogue signal.
	(filter_editor_destroy): Removed.
	(footer_info_new): gnome font api changes.
	(do_mail_print): port to gnome print 2.

	* mail-autofilter.c (mail_filter_delete_uri): message_dialog uses
	a specific button enum, not the stock ones.

	* mail-accounts.c (mail_accounts_tab_get_type): gobjectify.
	(account_delete_clicked): gdkdialogise.

	* mail-account-gui.c (mail_account_gui_setup): Hack around font
	metric determination code.

	* mail-account-editor.c (mail_account_editor_get_type):
	gobjectise.
	(mail_account_editor_new): ""

	* folder-info.c (evolution_folder_info_notify_ready): use pbclient
	interface.

	* folder-browser-factory.c (control_destroy_cb): fix a typo.
	(folder_browser_factory_new_control): More typos.

	* folder-browser.c (on_right_click): cast around const warning.
	(context_menu_position_func): fix for api change.

	* e-searching-tokenizer.c (e_searching_tokenizer_finalise):
	Changed from destroy since it only frees memory.
	(e_searching_tokenizer_get_type): glibify.

	* component-factory.c (request_quit): gtkdialogise.
	(send_receive_cb): "
	(create_component): gdk_pixbuf api.
	(component_factory_init): bonobo activation stuff.
	(warning_response): renamed from warning_clicked.
	(owner_set_cb): gtkdialogise.

2002-11-12  Jeffrey Stedfast  <fejj@ximian.com>

	* Makefile.am: Added files I've ported.

	* mail-config.c: Remove gnome-defs.h, this header no longer exists
	in GNOME2.

2002-11-13  Not Zed  <NotZed@Ximian.com>

	* Makefile.am: Commented out stuff that doesn't build yet.  Also
	fixed idl build rule.  importers still not built.

	* main.c (main): bonobactivationise.  remove push visual/colormap.
	(main): no longer activate activation, let bonobo_init do it.

	* mail-signature-editor.c (menu_help): Change help api.

	* mail-session.c (user_message_destroy_noreply): removed.  Not
	used?

	* mail-local.c (load_metainfo): xml root->children.

	* mail-format.c (g_string_append_len): Removed, it exists now.

2002-11-12  Not Zed  <NotZed@Ximian.com>

	* subscribe-dialog.c: gnome2ised, use gtkdialog.
	(subscribe_get_global_extras): use a weak ref rather than destroy
	signal.

	* message-tag-followup.c: gnome2ised.

	* message-tag-editor.c: gnome2ised & converted to gtkdialog.

	* message-list.c: gnome2ised.
	(message_list_finalise): From destroy method.  maybe should be
	destroy still.

	* message-browser.c: port to gnome2
	(message_browser_finalise): renamed from destroy method.

	* mail-stream-gtkhtml.c: removed redundant
	camel_class_get_global_classfuncs() call.

	* mail-signature-editor.c: gtkdialogised, & bonobo api changes.
	

	* mail-search-dialogue.c: gtkdialogised.

	* mail-folder-cache.c: cleaned up camel ref/hook casts.

	* mail-composer-prefs.c (mail_composer_prefs_get_type): convert to
	gtype.

	* mail-font-prefs.c (mail_font_prefs_destroy): from finalise.

	* mail-config.c: s/bonobo_config/e_config_listener/ Added
	/apps/Evolution prefix to the evolution keys.  Changed to use
	e_config_listener, etc.
	(mail_config_init): remove bonobo_config stuff.
	(mail_config_check_service): gtk dialogise.
	(check_response): from check_cancelled.

	* mail-config-druid.c (mail_config_druid_destroy): renamed from
	_finalize, turned into destroy handler.
	(construct): set type to toplevel, GTK_WINDOW_DIALOG no longer
	exists.

	* mail-config-factory.c (mail_config_register_factory): bonobo api
	changes.

	* mail-crypto.c (mail_crypto_get_pgp_cipher_context): cleaned up
	unref casts.

	* mail-display.c (write_data_to_file): gnome->gtkdialog.
	(on_link_clicked): use ascii_str*cmp on url.
	(save_part): g_path stuff.
	(launch_cb): gtk dialog.
	(pixmap_press): de-oafify.
	(pixbuf_for_mime_type): gnome-vfs api changes.
	(do_attachment_header): Change the pixmap to a gtkimage.
	(do_signature): "
	(pixbuf_gen_idle): "
	(do_attachment_header): ascii_str*cmp
	(do_attachment_header): gnome pixmap->gtkimage.
	(mail_display_destroy): protect against gtk mentalness.
	(html_button_press_event): ascii_str*cmp
	(drag_data_get_cb): added comment for translators of filename.

	* mail-format.c (component_supports): de-oafise.
	(is_anonymous): ascii_strncmp
	(attachment_header): remove utf8<>locale stuff, and gnomevfs api
	changes.
	(format_mime_part): fix g_strdown call.
	(write_field_row_begin): kill utf8->gtk stuff.
	(write_address): "
	(default_header_index): ascii_strcasecmp
	(handle_text_plain): "
	(handle_text_enriched): "
	(handle_multipart_encrypted): remove utf/gtk stuff.
	(handle_message_external_body): ascii_str*cmp

	* mail-identify.c (mail_identify_mime_part):
	(identify_by_magic): gnome vfs api changes.

	* mail-importer.c: Converted.

	* mail-local.c (load_metainfo): xml childs -> children.
	(mls_get_folder): g_strerror.
	(mls_delete_folder): g_strerror.
	(reconfigure_got_folder): Gnome->GtkDialog
	(reconfigure_response): from reconfigure_clicked.

	* mail-mt.c (mail_msg_check_error): gnome -> gtk dialog
	(error_response): renmae from error_gone.  destroy widget on any
	response.

	* mail-offline-handler.c (impl_finalise): renamed from
	impl_destroy since thats what it should be anyway.

	* mail-ops.c: removed utf8 widget conversion & camel_object_un/ref
	casts.

	* mail-preferences.c (mail_preferences_get_type): glib2'ised.

	* mail-search.c (mail_search_finalise): renmaed from destroy &
	properly chain.
	(mail_search_get_type): glib2 & make gtkdialog parent.
	(entry_run_search): run search when entry activated.  not sure if
	gtkdialog has anohter way to do this on an arbitrary widget.

	* mail-send-recv.c (dialogue_response): renamed from clicked.  Use
	gtkdialog.

	* mail-session.c (request_password_deleted): removed, redundant.
	(pass_response): rename from pass_got, changed for gtkdialog.
	(user_message_destroy): Removed, redundant.
	(user_message_response): Renamed from user_message_clicked.

2002-11-11  Not Zed  <NotZed@Ximian.com>

	* mail-stream-gtkhtml.c (mail_stream_gtkhtml_class_init): dont use
	get_global_classfuncs, just get the type

	* mail-tools.c: converted gnome2 api's.

	* mail-vfolder.c (vfolder_editor_response): clicked->response.
	(vfolder_editor_destroy): Removed.
	(vfolder_edit): gtk dialog api
	(edit_rule_response): clicked->response.
	(vfolder_edit_rule): gnomedialog->gtkdialog.
	(vfolder_gui_add_rule): "
	(new_rule_clicked): clicked->response

2002-11-11  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c: Half way ported. I'll finish the rest later.

	* mail-autofilter.c: Ported.

	* mail-account-gui.c: Ported.

	* mail-account-editor.c: Ported.

	* folder-browser-ui.c: Ported.

	* folder-browser-factory.c: Ported.

	* folder-browser.c: Ported.

	* e-searching-tokenizer.c: Roughly ported.

2002-11-10  Jeffrey Stedfast  <fejj@ximian.com>

	* *.glade: Converted to libglade-2's format.

2002-11-08  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-composer-prefs.c: Ported.

2002-10-28  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser.c (folder_browser_query_changed): No longer need
	to check for a CLEAR_ID.

2002-10-28  Larry Ewing  <lewing@ximian.com>

	* mail-format.c (handle_multipart_mixed): instead of bailing with
	an assertion dump the body.

2002-10-27  Larry Ewing  <lewing@ximian.com>

	* mail-display.c (fetch_next): don't queue the action until we've
	added ourselves to the active list, because the fetch_done
	callback can fire immediately and we'll end up queueing something
	that has already been destroyed.

2002-10-24  Jeffrey Stedfast  <fejj@ximian.com>

	Update the upgrade script to handle the new url format introduced
	with NotZed's most recent commits.

	* upgrade-mailer.c (mailer_upgrade): Save an encoded version of
	the namespace too, for use later.
	(si_free): Free the encoded namespace too.
	(imap_url_upgrade): Use the encoded namespace when creating the
	new url.
	(shortcuts_upgrade_xml_file): Upgrade the default: urls. Fixes bug
	#32127.

2002-10-25  Not Zed  <NotZed@Ximian.com>

	* mail-config.c (mail_config_uri_renamed): Always strdup the new
	key in the threaded/preview hash/always free the working copy.
	For #32799.

2002-10-24  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (write_data_to_file): Use the mode 0666 when
	creating a new file and let the user's umask handle permissions.

	* folder-browser.c (message_list_drag_data_get): When using open()
	with the O_CREAT flag, we need to pass a mode argument. Also use
	O_EXCL.

2002-10-24  Not Zed  <NotZed@Ximian.com>

	* subscribe-dialog.c (fe_got_children): Use a hashtable to only
	insert nodes we dont have already, rather than relying on the
	scanning logic.  Also, only re-sort this tree level once done
	rather than on each insert.
	(folder_etree_init): Setup hash to track nodes setup.
	(folder_etree_clear_tree): Reset hash.
	(fe_destroy): Free hash.

2002-10-23  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser.c (folder_browser_query_changed): Only perform
	the search if it is either a clear or advanced search.

2002-10-22  Mike Kestner  <mkestner@ximian.com>

	* mail-callbacks.c (transfer_msg): pass fb->uri to the folder
	selection dialog so the current folder is selected on display.
	"fixes" 15966.

2002-10-21  Dan Winship  <danw@ximian.com>

	* upgrade-mailer.c (mailer_upgrade): Fix the transport URL on any
	Exchange accounts. Fixes #30209, which is to say that it fixes
	#28490 correctly.

2002-10-17  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-tools.c (mail_tool_quote_message): Strip the signature from
	the body-text. Fixes bug #5529.

2002-10-16  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (handle_multipart_signed): Don't need to pass a
	path to camel_gpg_context_new () anymore.
	(mail_get_message_body): Same here.
	(handle_multipart_encrypted): Use camel_gpg_context_new () instead
	of mail_crypto_get_pgp_cipher_context ().

	* mail-preferences.c (mail_preferences_construct): There's no
	security tab anymore.
	(mail_preferences_apply): No need to save any pgp config data,
	there's nothing to configure!

	* mail-crypto.c (mail_crypto_get_pgp_cipher_context): Updated to
	not pass a pgp path into camel_gpg_context_new ().

	* mail-config.c (mail_config_clear): No need to free a pgp_path
	variable anymore, we don't need one.
	(config_read): Don't read in a pgp-path or pgp-type anymore.
	(mail_config_write_on_exit): Don't save a pgp-path or pgp-type
	anymore, we don't use them.
	(pgpopen): Removed.
	(pgpclose): Removed.
	(mail_config_pgp_type_detect_from_path): Removed.
	(auto_detect_pgp_variables): Removed.
	(mail_config_get_pgp_type): Removed.
	(mail_config_set_pgp_type): Removed.
	(mail_config_get_pgp_path): Removed.
	(mail_config_set_pgp_path): Removed.

2002-10-16  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (mail_generate_reply): If mode == REPLY_LIST
	and the mlist is "" (we only checked NULL before), change the mode
	to REPLY_ALL so that we don't accidently reply to the user's
	address. Fixes bug #28735

2002-10-12  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (mail_generate_reply): If we are trying to
	reply to a list, first check that we can by getting the mlist
	token (makes it easier to fix the mem leak). If not, then change
	the mode to REPLY_ALL. If we can reply to list, the make sure we
	free the CamelMessageInfo when we're done so we don't leak.

2002-10-15  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-session.c (main_get_filter_driver): Add the new-mail-notify
	rule to the filter driver before adding the user defined filter
	rules so that we can be sure that the new-mail-notify rule gets
	invoked. Fixes bug #32328.

	* mail-composer-prefs.c (mail_composer_prefs_new_signature): Make
	sure that name[0] cannot ever be NULL. Should maybe fix bug
	#32230.

2002-10-15  Dan Winship  <danw@ximian.com>

	* upgrade-mailer.c (shortcuts_upgrade_xml_file): Change the type
	in LDAP shortcuts from "ldap-contacts" to "contacts/ldap". Rewrite
	this to use libxml since that was easier than trying to make the
	old code do both kinds of changes at once.

2002-10-10  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config-druid.c (management_prepare): Only set an account
	name if one doesn't already exist. Also use the
	e_utf8_gtk_entry_get/set_text functions since account names are
	supposed to be in UTF8. Fixes bug #31891.

2002-10-09  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser.c (main_folder_changed): Don't do anything if the
	message_list is NULL (this means the FolderBrowser has been
	destroyed). Fixes bug #32002.

2002-10-08  Jeffrey Stedfast  <fejj@ximian.com>

	* component-factory.c (storage_remove_folder): The CamelFolderInfo
	that we get back has nodes for all parent folders, so do not
	delete all folders that have nodes in the returned tree. Instead,
	descend into the tree until we find the folder we want to delete
	and start deleting from there.

2002-10-08  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-signature-editor.c (mail_signature_editor): Mark a string
	for translation, fixes bug #31942. Thanks to kmaraas@gnome.org for
	this patch.

	* mail-offline-handler.h: Don't #include config.h here. Fixes bug
	#31941.

2002-10-07  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-composer-prefs.c (spell_load_values): Don't mark "en" for
	translation. Fixes bug #31788.

	* mail-config.glade: Removed a "xxxxxxxxxxx" string so that
	translators don't need to translate it. It was only a filler
	string. Fixes bug #31789.

2002-10-02  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (mail_generate_reply): Don't default 'me' to
	the source account until after we've tried to detect the account
	based on recipients. When adding accounts to the account hash, if
	any accounts have identical email addresses, the ones that are
	enabled take precedence over ones that aren't. This will hopefully
	make everyone happy with reply account picking. Fixes bug #31693.

2002-10-01  Larry Ewing  <lewing@ximian.com>

	* mail-display.c (drag_data_get_cb): add support for dragging the
	content type directly.
	(do_attachment_header): add the target for the mime type to the
	drag source.
	(drag_data_get_cb): silence warning.

2002-10-01  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config-druid.c (get_fn): Connect to the changed signal for
	the reply_to entry box. Fixes bugs #31553 and #31554.

	* mail-composer-prefs.c (spell_setup): Only setup the languages if
	the language_seq is not CORBA_OBJECT_NIL. Fixes bug #31559
	(presumably at least).

	* mail-account-gui.c (mail_account_gui_new): Use
	e_utf8_gtk_entry_set_text for the email address and reply-to
	fields. Fixes bug #31555.

	* mail-format.c (mail_get_message_body): Handle a
	multipart/encrypted part. Fixes bug #31547.

	* upgrade-mailer.c: Shut up some compiler warnings.

	* importers/evolution-mbox-importer.c (process_item_fn): Use the
	camel_message_info_new/free functions rather than g_new0 and
	g_free. Also, if we fail to parse a message make sure we don't
	later try to use that message object.
	(get_info_from_mozilla): Use camel_message_info_new and strtoul
	instead of string_to_int.

2002-09-30  Jeffrey Stedfast  <fejj@ximian.com>

	* subscribe-dialog.c (fe_node_to_shell_path): Removed (useless).

2002-10-01  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #24732]

	* importers/evolution-mbox-importer.c (process_item_fn): Set
	deleted to FALSE when not having Mozilla status headers.  Before
	it was being left uninitialized and so there was a pretty good
	chance that its value would be nonzero and hence the message would
	not be imported...

2002-10-01  Not Zed  <NotZed@Ximian.com>

	* folder-browser.c (on_cursor_activated): cursor activated on
	etable is required to know when the selection changes on a single
	row, update selection changed info with this signal too.  Sounds
	like an etable bug to me, but this fixes #29808.
	(folder_browser_gui_init): Hook onto above signal.

2002-09-30  Aaron Weber  <aaron@ximian.com>

	* mail-signature-editor.c (mail_signature_editor): change
	string to "Enter a name for this signature" on line 372.

	* mail-callbacks.c (ask_confirm_for_unwanted_html_mail): change
	HTML-mail warning on 255

	* component-factory.c (component_factory_init): change
	"Evolution's foo" to "the Evolution foo" in string on 1078

2002-09-30  Not Zed  <NotZed@Ximian.com>

	* mail-session.c (request_password): translate prompt from utf8 to
	gtk widget.  #31365.

2002-09-27  Jeffrey Stedfast  <fejj@ximian.com>

	* e-searching-tokenizer.c: #include <stdlib.h> for alloca
	(searcher_next_token): Changed slightly to make sure that m is not
	NULL before dereferencing it. Also initialise m to NULL so that it
	can't be used uninitialised (NULL is a safe initialised value
	here).
	(build_trie): Same, but for n.

2002-09-26  Dan Winship  <danw@ximian.com>

	* mail-config.c (impl_GNOME_Evolution_MailConfig_addAccount,
	impl_GNOME_Evolution_MailConfig_removeAccount): Set a timeout to
	call mail_config_write() in 2 seconds. Otherwise changes made by
	this interface would not be saved to disk unless the user also
	changed some other preference.
	(mail_config_write_on_exit): If there's a config_write_timeout
	pending, call mail_config_write() too.

2002-09-25  Dan Winship  <danw@ximian.com>

	* mail-display.c (mail_display_render): Add a margin around the
	"flag for followup" table so it lines up with everything else.
	Also, don't add "at your earliest convenience" after the flag if
	there's no date set, since that doesn't make any sense for half of
	the flags. ("For Your Information at your earliest convenience").

2002-09-25  Dan Winship  <danw@ximian.com>

	* component-factory.c (folder_types): add "mail/public". Leave
	"vtrash" as it is rather than renaming it to "mail/vtrash",
	because we want it to behave differently from normal mail folders
	more often than we want it to behave the same.
	(type_is_mail, type_is_vtrash): utility funcs
	(create_view, create_folder, remove_folder, xfer_folder,
	populate_folder_context_menu, unpopulate_folder_context_menu,
	destination_folder_handle_drop, storage_create_folder): Use
	type_is_mail/type_is_vtrash.
	(create_component): Register "New Post" with "mail/public" instead
	of "mail" so it becomes the default New icon for it. (29024)

	* mail-callbacks.c (transfer_msg): Use "mail/*" for allowed type.

	* message-browser.c (transfer_msg): Likewise.

	* mail-account-gui.c (mail_account_gui_new): Use "mail/*" instead
	of "mail" here for sent/drafts allowed type. (?)

2002-09-25  Jeffrey Stedfast  <fejj@ximian.com>

	* upgrade-mailer.c (imap_url_upgrade): NULL-check si->folders
	before passing it into find_folder so we don't crash. Fixes bug
	#30915.

2002-09-24  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser-ui.c: Allow users to delete already deleted
	messages, fixes bug #30827.

2002-09-24  Not Zed  <NotZed@Ximian.com>

	* folder-browser.c (folder_browser_query_changed): Always do a
	search if the query changed.  For #31060 & #29625.

2002-09-23  Radek Doulik  <rodo@ximian.com>

	* mail-config.c (mail_config_signature_run_script): pass name of
	the script as 1st parameter

	* mail-composer-prefs.c (sig_add_script_add): fix entry's glade
	name

2002-09-23  Dan Winship  <danw@ximian.com>

	* mail-signature-editor.c (exit_dialog_cb): Fix non-ANSI switch
	statement.

	* mail-account-gui.c (mail_account_gui_auto_detect_extra_conf):
	Likewise.

	* mail-composer-prefs.c (spell_load_values): add some dummy
	typedefs to avoid empty macro arguments, which have undefined
	behavior.

	* mail-importer.c: #include <sys/types.h> for OS X

2002-09-23  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-ops.c (save_part_save): Use 0666 as the create mode so that
	the user's umask is used to it's fullest.

2002-09-23  Dan Winship  <danw@ximian.com>

	* Makefile.am (idldir, idl_DATA): add these and install Mailer.idl

2002-09-20  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-preferences.c (mail_preferences_construct): Connect signal
	handlers to the GtkHTML preferences so that when the widgets
	change we can update the OK/Apply buttons. Also removed the
	omenuShortcutsType widget reference since this was not being used?
	Fixes bug #30731.

2002-09-19  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (do_edit_messages): Unset the changed bit on
	the composer and also drop any undo operations (since we loaded
	the message into the composer). Fixes bug #30580.

2002-09-19  Not Zed  <NotZed@Ximian.com>

	* mail-session.c (main_get_filter_driver): Fix for filter driver
	api change.

2002-09-18  Not Zed  <NotZed@Ximian.com>

	* mail-config-druid.c (wizard_back_cb): If going back from a page
	past our end (i.e. the final page), jump to the last page we know
	of.  For #29293.

	* component-factory.c (notify_listener_exception): helper to map a
	camel excpeiton to a listener result.
	(storage_create_folder): Use above to return more meaningful error.
	(storage_remove_folder): "
	(storage_xfer_folder): ".  For #28209.

2002-09-17  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (mail_display_render): Use e_strftime_fix_am_pm
	here which fixes locale issues as well as working around systems
	that don't support %P (afaik).

	* mail-ops.c (prep_offline_do): Cache important messages too.

	* mail-composer-prefs.c (d): Disable debugging printf's

	* mail-ops.c: fixed a comment

2002-09-13  Dan Winship  <danw@ximian.com>

	* folder-browser.c (fb_resize_cb): If the vpaned isn't realized,
	don't call mail_config_set_paned_size. Fixes a problem with the
	saved pane size being repeatedly lost (#29933)

2002-09-13  Dan Winship  <danw@ximian.com>

	* Mailer.idl: rename this from "Mail.idl" so that the generated .h
	file won't overwrite "mail.h" on Mac OS X. Remove some
	never-implemented IDL and add MailConfig_removeAccount.

	* Makefile.am: Update for IDL rename

	* mail-config.c: #include Mailer.h, not Mail.h
	(impl_GNOME_Evolution_MailConfig_removeAccount): Implement.

	* folder-info.c: #include Mailer.h, not Mail.h

	* message-list.c: Remove Mail.h include.

2002-09-12  Jeffrey Stedfast  <fejj@ximian.com>

	* main.c (main): Ignore SIGXFSZ to fix bug #30269.

	* upgrade-mailer.c (cache_upgrade_and_free): The new callback
	function for the g_hash_table_foreach which both upgrades the
	cache for that store and then free's the struct _storeinfo
	afterwards.
	(cache_upgrade): Upgrade a cached folder by moving the old cache
	folder into the appropriate new location.

2002-09-11  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser.c (folder_browser_query_changed): Only abort if
	the user selected ADVANCED_SEARCH, not the other way around. Any
	other menu item and we are supposed to perform an actual
	search. Fixes bug #30183.

	* mail-display.c (pixbuf_for_mime_type): check the new gnome-vfs
	icon_filename key. If that fails, fall back to checking
	icon-filename. Also don't leak the fm_icon string and rearranged
	some code.

2002-09-11  Not Zed  <NotZed@Ximian.com>

	* component-factory.c (configure_folder_popup): Handle file uri's
	too.

	* mail-callbacks.c (configure_folder): clear message list before
	calling configure folder.
	(local_configure_done): completion callback to reset message list
	when done.

	* mail-local.c (mail_local_reconfigure_folder): changed args to
	accept uri, and done callback.
	(reconfigure_got_folder): moved code to callback which presents
	the configure uri once we have the folder.

2002-09-10  Not Zed  <NotZed@Ximian.com>

	* component-factory.c: Handle file: as well as vfolder: uri's.
	Pass both to the normal configure_folder callback.  For #20849.

	* folder-browser.c (got_folder): If we already have a folder, make
	sure we unref/unhook from it.  Fixes a crash on exit.

	* message-list.c (message_list_hide_clear): clear thread tree
	cache if set.
	(message_list_set_search): Same.  For bug #28834.

2002-09-09  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser-ui.c (folder_browser_ui_scan_selection): Make
	sure that fb->message_list is non-NULL before checking
	fb->message_list->threaded? I guess this'll fix bug #29965.

	* mail-callbacks.c (composer_save_draft_cb): NULL-check the ccd
	before reffing it.
	(composer_send_cb): Same.

	* upgrade-mailer.c (shortcuts_upgrade_xml_file): Don't look for an
	end quote, instead look for </item> to terminate the uri.
	(shortcuts_upgrade_uri): Hex decode the imap folder name after
	we've constructed the final version of it.

2002-09-08  Dan Winship  <danw@ximian.com>

	* upgrade-mailer.c (exchange_url_upgrade): Don't modify the URL if
	the path doesn't start with "exchange". (Means it's already a 1.2
	URL.)
	(shortcuts_upgrade_uri): Need to hex-decode exchange URLs here too.
	(shortcuts_upgrade_xml_file): Fix an off-by-one error here (twice)
	so it actually works instead of always claiming shortcuts.xml
	doesn't need to be upgraded.
	(mailer_upgrade): Check the size of the accounts hash rather than
	imap_sources since we have work to do if the user has an exchange
	account but no imap accounts.

2002-09-06  Jeffrey Stedfast  <fejj@ximian.com>

	* upgrade-mailer.c (upgrade): Sync the database after upgrading
	mailer stuff.
	(imap_url_upgrade): Since we need 'p' if we fail to find the
	folder, don't g_free it until later.
	(hex_encode): Don't forget to increment inptr after hex encoding a
	character.
	(exchange_url_upgrade): Apprently exchange uri's are rebelious and
	do not want to be hex encoded like every other url, so hex decode
	the folder names here before concatenating them onto the base url.

2002-09-05  Jeffrey Stedfast  <fejj@ximian.com>

	All this snot is to fix bug #29930. What I think was happening was
	that the composer's destroy callback got fired off before the
	async callback did.

	* mail-callbacks.c (ccd_new): New convenience function to malloc a
	new ccd.
	(ccd_ref): ccd is now ref_counted (it needs to be) so we now have
	this.
	(ccd_unref): And we need this now too of course.
	(composer_destroy_cb): composer's new destroy callback function -
	unref's the ccd.
	(composer_send_queued_cb): unref the ccd.
	(composer_send_cb): ref the ccd here.
	(save_draft_done): unref the ccd.
	(composer_save_draft_cb): ref the ccd.

2002-09-05  Jeffrey Stedfast  <fejj@ximian.com>

	* upgrade-mailer.c (imap_url_upgrade): Hex decode the folder names
	when searching for them in the memory buffer, and re-hex encode
	them when combining them with the rst of the URL.
	(mailer_upgrade): Instead of reading in the storeinfo file as raw
	binary data, use the camel-file-utils to correctly parse it.

2002-09-05  Anna Marie Dirks  <anna@ximian.com>

	* GNOME_Evolution_Mail.oaf.in: Changed the descriptions of the 
	fonts, mail, accounts and composer pages of the settings dialog to be
	hopefully more descriptive and less confusing.

2002-09-04  Ettore Perazzoli  <ettore@ximian.com>

	* upgrade-mailer.c (upgrade): Return FALSE here.
	(get_base_url): Add a cast.

	* component-factory.c (storage_xfer_folder): Removed unused
	variables.

	* Makefile.am: Rename upgrade-mailer to evolution-mail-upgrade.

2002-09-04  Jeffrey Stedfast  <fejj@ximian.com>

	* Makefile.am: Add upgrade-mailer.c to the build.

	* upgrade-mailer.c: New program to upgrade configuration files
	from 1.0 to 1.2.

2002-09-04  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (mail_generate_reply): Made sure
	account->id->address is not NULL before adding it to the hash
	table. This is to prevent bug #29877 from crashing, although it is
	still an invalid error condition.

2002-09-04  Dan Winship  <danw@ximian.com>

	* folder-info.c (get_prop): Remove the "Get!" printf.
	(set_prop): Likewise for "Set!"

2002-09-04  Ettore Perazzoli  <ettore@ximian.com>

	* mail-account-gui.c (mail_account_gui_save): Remove unused
	variable.

	* component-factory.c (unpopulate_folder_context_menu): New.
	(create_component): Pass it to evolution_shell_component_new().

2002-09-03  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser.c (mark_as_seen_cb):
	(mark_as_unseen_cb):
	(mark_as_important_cb):
	(mark_as_unimportant_cb): New callback functions that wrap the
	mail-callbacks versions of mark_as_<whatever>. Thanks to Owen
	Taylor for this fix.

2002-09-04  Not Zed  <NotZed@Ximian.com>

	* component-factory.c (storage_xfer_folder): Dont translate / to
	dir_sep anymore, we always use /.

2002-08-29  Peter Williams  <peterw@ximian.com>

	* folder-browser-ui.c: Add HAS_FLAGS to a few miscellaneous commands
	that don't use IS_xMESSAGE.

2002-08-28  Dan Winship  <danw@ximian.com>

	* GNOME_Evolution_Mail.oaf.in: Add an
	evolution:shell_component_launch_order and rename
	evolution:shell_component_icon.

2002-08-28  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (make_safe_filename): Fix some broken logic here,
	`p = strrchr (path, '/') + 1` will *never* be NULL!! If the
	strrchr returns NULL, then that expression will evaluate to 0x1!!

	* main.c (main): We now always need to init gconf for our later
	call to e_proxy_init() which initialises the proxy settings for
	soup to use.

2002-08-28  Peter Williams  <peterw@ximian.com>

	* folder-browser-ui.c (default_ui_nodes): Add some new flags for
	sensitizing nodes based on the flags of the currently selected
	messages.
	(folder_browser_ui_add_message): Reset the sensitivity cache when
	we re-add UI items.
	(folder_browser_ui_add_list): Same.
	(folder_browser_ui_add_global): Same.
	(fbui_sensitise_item): Only cache the sensitivity in the hash
	table if we actually change it.
	(folder_browser_ui_scan_selection): New function, getting the bulk
	of the contents of folder_browser_ui_set_selection_state.  Now
	with code to iterate over the currently selected messages and
	check their flags so we can sensitize based on them.
	(folder_browser_ui_set_selection_state): Now just set the
	selection state if necessary and pass off to _scan_selection. Don't
	skip of we're trying to go from SELSTATE_SINGLE to SELSTATE_SINGLE,
	eg, as the flags of the selected messages may have changed.

	* folder-browser-ui.h: Prototype folder_browser_ui_scan_selection.
	
	* folder-browser.c (main_folder_changed): Call
	folder_browser_ui_scan_selection as the flags on a selected
	message may have just changed.

2002-08-28  Peter Williams  <peterw@ximian.com>

	* mail-format.c (component_supports): Also check that the component
	has PersistStream.
	(mail_lookup_handler): Get a list of all components and go with the
	first matching one.

2002-08-27  Jeffrey Stedfast  <fejj@ximian.com>

	* message-list.c (regen_list_regen): Pass
	mail_config_get_thread_subject() as the third argument to
	camel_folder_thread_messages_new().

	* mail-config.c (config_read): Read in the thread_by_subject
	config option.
	(mail_config_write_on_exit): Save the thread_by_subject config
	option.
	(mail_config_get_thread_subject): New function to get the
	thread_subject value.
	(mail_config_set_thread_subject): New function to set the
	thread_subject value.

2002-08-27  Radek Doulik  <rodo@ximian.com>

	* mail-signature-editor.c: removed tip frame

2002-08-27  Jeffrey Stedfast  <fejj@ximian.com>

	Fixes for bug #4480

	* folder-browser-factory.c (control_activate): Call
	folder_browser_reload() instead of refreshing the folder
	ourselves.

	* folder-browser.c (folder_browser_reload): New convenience
	function. If the folder-browser's folder is already loaded,
	refresh the contents, otherwise if the folder has not been loaded
	- try loading the folder again (it may have failed to open last
	time for some reason?).

2002-08-27  Peter Williams  <peterw@ximian.com>

	* mail-format.c (handle_text_plain_flowed): Fix bug #29493.

2002-08-26  Peter Williams  <peterw@ximian.com>

	* mail-callbacks.c (toggle_flags): Logic change for when untoggling
	a message from deleted-dom.

2002-08-26  Peter Williams  <peterw@ximian.com>

	* mail-ops.c (transfer_messages_transfer): Enforce the mailer policy
	that deleted messages are marked as seen. Fixes 29448. This could
	go in camel_folder_transfer_messages_to, but I don't think we
	necessarily want to enforce that policy for Camel in general.

2002-08-23  Peter Williams  <peterw@ximian.com>

	Address most of bug #4940. Fails on the last page of the add account
	dialog as called from the prefs dialog due to EvolutionWizard being
	weird.
	
	* mail-config-druid.c (goto_next_page): New function, little
	wrapper around wizard_next_cb. Also potential place to work around
	EvolutionWizard weirdness in the future.
	(identity_activate_cb): New function, calls goto_next_page if
	identity page is complete.
	(source_activate_cb): Analogous.
	(transport_activate_cb): Analogous.
	(management_activate_cb): Analogous.
	(get_fn): Hook up the activate signals of the various GtkEntries
	to the correct callbacks above.
	(management_check): Return the result of the check so that
	management_activate_cb can use it.

2002-08-22  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-tools.c (mail_tool_restore_xevolution_headers): Reset the
	X-Evolution-PostTo header.
	(mail_tool_remove_xevolution_headers): Remove the
	X-Evolution-PostTo header.

2002-08-21  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-folder-cache.c (ping_store): Spawn a new thread to ping the
	server but only if it is connected.
	(ping_cb): This needs to return TRUE so the timeout keeps getting
	called.

2002-08-21  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-session.c (class_init): Don't bother overloading the
	timeout virtual methods since they don't exist anymore.

	* mail-folder-cache.c (mail_note_store): Register a ping timeout
	callback to ping each store to keep the connections alive.

2002-08-20  Radek Doulik  <rodo@ximian.com>

	* mail-callbacks.c (do_mail_print): be sure that widget is
	realized so that e_utf8_from_gtk_string works properly
	(footer_print_cb): save/restore

2002-08-20  Mike Kestner  <mkestner@ximian.com>

	* folder-browser-ui.c (folder_browser_ui_setup_view_menus): guard
	against the view_instance disappearing during earlier CORBA work.

2002-08-20  Peter Williams  <peterw@ximian.com>

	* message-list.c (search_func): Once we hit the target node,
	update the cursor_uid if it's set. Fixes #29085.

2002-08-19  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-preferences.c (mail_preferences_apply): Fix a
	copy/paste-o. Use the pgp_path GnomeFileEntry widget rather than
	the notify_sound_file GnomeFileEntry widget for the pgp path stuff
	:-)

2002-08-19  Dan Winship  <danw@ximian.com>

	* mail-account-gui.c (mail_account_gui_setup): source_type_changed
	may try to change the transport optionmenu (incorrectly in this
	case), so don't call gtk_option_menu_set_history on it until after
	emitting "activate" on the source type menuitem.
	(mail_account_gui_save): Fix the saving of STORE_AND_TRANSPORT
	transports and add a comment so it doesn't get mistakenly unfixed
	again.

2002-08-09  Peter Williams  <peterw@ximian.com>

	* subscribe-dialog.c: Change this into a GnomeApp so we get a
	statusbar and the dialog is a little more comprehensible.

	* subscribe-dialog.c: (struct _FolderETree): Add members for
	tracking activity callback information.
	(get_short_folderinfo_got): Notify the activity callback.
	(subscribe_get_short_folderinfo): Here too.
	(folder_etree_init): Initialize the activity level to 0.
	(folder_etree_construct): Take new parameters of our activity
	callback and user_data.
	(folder_etree_new): Here too.
	(store_data_get_widget): Take the parameters here and pass them
	on.
	(sc_close_pressed): New callback for when close button is pressed.
	(sc_activity_timeout): New timeout to move the activity bar when
	folders are being scanned.
	(sc_activity_cb): If activity_level > 0, start the progressbar
	moving and set the status.
	(menu_item_selected): Pass the callback to store_data_get_widget.
	(subscribe_dialog_construct): Load some more widgets and adapt to
	some changes in the XML. Also connect the close button signal and
	initialize the progress bar's settings.

	* mail-callbacks.c (manage_subscriptions): Don't call 
	gnome_dialog_set_close on it anymore since it's no longer a gnome 
	dialog.

2002-08-14  Dan Winship  <danw@ximian.com>

	* mail-config.glade: Add a "don't sign meeting requests" option to
	the security pane, since some versions of Outlook won't recognize
	pgp-signed meeting requests. Sigh.

	* mail-config.c (account_copy, config_read, mail_config_write):
	Handle pgp_no_imip_sign.

	* mail-account-gui.c (mail_account_gui_new,
	mail_account_gui_save): Setup/save "don't sign meeting requests"
	button.

2002-08-13  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (forward_message): Removed an unused variable.

	* mail-account-editor.c (construct): Set the focus on the Account
	Name entry widget. Fixes bug #10350.

2002-08-12  Dan Winship  <danw@ximian.com>

	* mail-display.c (on_url_requested): Replace no-longer-existent
	e_book_query_address_locally with e_book_query_address_default.

2002-08-12  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (forward_message): Use mail_get_messages()
	instead of mail_get_message().
	(do_forward_non_attached): Fixed to work as a callback from
	mail_get_messages().
	(do_edit_messages): Only set the drafts_folder and drafts_uid if
	the folder-browser is a drafts folder. Fixes bug #28863.

2002-08-09  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (save_draft_done): If the ccd is NULL, create a
	new ccd, disconnect the old signal handlers, and then reconnect
	the signal handlers using the non-NULL ccd as the user_data.
	(composer_send_queued_cb): Same, but only if the queue append
	operation failed.

2002-08-09  Dan Winship  <danw@ximian.com>

	* mail-callbacks.c (composer_send_queued_cb, save_draft_done):
	Handle the fact that ccd may be NULL (if the composer was created
	via CORBA). Quick temporary fix for sending meeting requests.

2002-08-09  Peter Williams  <peterw@ximian.com>

	* mail-config.c (mail_config_uri_renamed): When a URI is changed,
	try to copy over threaded view settings, preview pane shown
	settings, headers, hide state, tree expansion, and GAL view files.
	(uri_to_evname): New utility function.

2002-08-08  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (mail_account_gui_save): Instead of comparing
	old/new CamelStore objects, just compare their account urls since
	changing params would still result in the same CamelStore
	object. Fixes bug #18539.

	* mail-callbacks.c (delete_msg): Don't check permanent_flags for
	the CAMEL_MESSAGE_DELETED bit here, if we are gonna check to see
	if the folder supports the permanent flag then there are better
	places to check this. Besides, it was the cause for bug #28038.

2002-08-08  Not Zed  <NotZed@Ximian.com>

	* folder-browser.c (folder_browser_toggle_threads): Force a
	refresh of the menu sensitivity when the thread state changes.

2002-08-07  Not Zed  <NotZed@Ximian.com>

	* folder-browser-ui.c: Added EditSelectThread to only enable
	threaded mode if threaded is on.  For #19941.  Added some macro's
	to simplify the table.
	(folder_browser_ui_set_selection_state): Implement IS_THREADED
	mask.

2002-08-07  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (composer_send_queued_cb): Delete the Draft
	item that this was edited from if that is the case as well as
	setting any replied flags if we need to. Fixes bug #18171.
	(save_draft_done): Not only delete the previously saved draft, but
	also set any PostSendData on the message being replied to or
	whatever. Fixes bug #20224.
	(compose_msg): Create an empty callback data struct which is now a
	MUST.
	(mail_reply): Fill in the new post_send_data info and also move
	the creation of the post_send_data to AFTER the creation of the
	composer widget so we don't leak on fail.
	(forward_get_composer): Pass an empty post_send_data structure as
	the user_data to the signal callbacks.
	(send_to_url): Same.
	(post_to_url): Here too.
	(redirect_get_composer): And here.
	(do_edit_messages): We no longer use the evil kludge of setting
	data on the composer object to denote the drafts_uid etc, this is
	now part of the post_send_data struct.

2002-08-07  Peter Williams  <peterw@ximian.com>

	* component-factory.c (request_quit): If outbox_folder is NULL,
	don't try and get its message count (this should never happen, but
	has.)

2002-08-06  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-local.c (save_metainfo): No need to save a temporary file
	first anymore since I updated e_xml_save_file() to do this for us.

2002-08-07  Not Zed  <NotZed@Ximian.com>

	* folder-browser-ui.c: Enable the view type menu's always.  See
	#20901.

	* message-tag-followup.c (target_date_new): Set the week start day
	from the calendar prefs, do same for 24 hour format.  See #23423.

	* mail-config.c (config_read): Added week_start_day from
	Calendar/Display config.  Also time_24hour format.
	(mail_config_get_week_start_day): 
	(mail_config_get_time_24hour): And read-only accessors.

2002-08-06  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-local.c (save_metainfo): Save to a temporary file first
	using e_xml_save_file rather than xmlSaveFile, if the save
	completes successfully then rename it to the real filename. Make
	sure that errno is saved.
	(mls_get_folder): save_metainfo doesn't return -1 on fail, it
	returns FALSE.

2002-08-06  Not Zed  <NotZed@Ximian.com>

	* folder-browser.c (folder_browser_search_menu_activated): Set the
	rule name to include the search string, for #10979.

	* message-list.c (message_list_hidden): Only count hidden messages
	which are in the folder.  Should probably maintain hidden table
	better.  For #4334.
	
	* mail-ops.c (filter_folder_filter): Unref the driver before
	returning to main thread, so any closing operations are handled
	async (as in fetch_mail_fetch()), for #28072.
	(fetch_mail_fetch): Check driver != NULL, if folder_filter freed
	it already.

	** fixes for #24605.
	
	* mail-vfolder.c (vfolder_gui_add_from_mlist): Removed.

	* folder-browser.c (filter_type_uid,vfolder_type_uid): Changed to
	accept args directly.  Fixed callers.
	(filter_mlist_uid,vfolder_mlist_uid): Use filter_type_uid instead
	of mlist variant.
	(vfolder_type_current): new function to handle setup of vfolders
	from the main menu.  It now uses the vfolder_type_uid function the
	same as the popup.
	(vfolder_subject, vfolder_sender, vfolder_recipient,
	vfolder_mlist): Changed to use vfolder_type_current.
	(filter_type_current): Similar for filters.
	(filter_subject, filter_sender, filter_recipient,
	filter_mlist): Changed to use filter_type_current.

	* mail-autofilter.c (rule_from_message): Handle AUTO_MLIST type.
	(rule_from_mlist): 
	(vfolder_rule_from_mlist): 
	(filter_rule_from_mlist): Removed.
	(filter_gui_add_from_mlist): Removed.

	* mail-autofilter.h: Added AUTO_MLIST type.

2002-08-05  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-mt.c (mail_msg_check_error): If we are not in interactive
	mode, don't display error dialogs.

	* component-factory.c (interactive_cb): Updated to use the new
	function mail_session_set_interactive().
	(owner_unset_cb): Same here.

	* mail-session.c (mail_session_set_interactive): Renamed from
	mail_session_enable_interaction().
	(mail_session_get_interactive): New function to get the
	interactive state.

2002-08-01  Peter Williams  <peterw@ximian.com>

	* mail-offline-handler.c (struct _sync_info): Add a GHashTable pointer
	so we can remove the info once the operation is done.
	(sync_done): Remove the info from the hash table.
	(impl_syncFolder): Save the table to which the info was added.

2002-08-05  Jeffrey Stedfast  <fejj@ximian.com>

	* component-factory.c (user_create_new_item_cb): Updated to call
	post_to_url if the id is "post".

	* mail-callbacks.c (post_to_url): New function so that we don't
	need a FolderBrowser to post a new message.
	(post_message): Call post_to_url since they shared so much code.

2002-08-05  Dan Winship  <danw@ximian.com>

	* mail-callbacks.c (mail_reply): Only reply to all or reply to
	list, set CAMEL_MESSAGE_ANSWERED_ALL too.

2002-08-02  Jeffrey Stedfast  <fejj@ximian.com>

	* message-tag-followup.c (construct): Set the default flag to
	Follow-Up.

	* mail-display.c (mail_display_render): Updated to use the new
	Follow-Up tags. Instead of storing a string containing the
	follow-up tag value, we now have to store the CamelMessageInfo.
	(mail_display_destroy): Unref the folder and the message-info.

	* folder-browser.c (followup_tag_complete): No longer needed.
	(on_right_clicked): Use the individual follow-up tags to decide
	whether or not to enable something.

	* message-list.c (ml_tree_value_at): Update to use the new
	Follow-Up tags.

	* mail-callbacks.c (flag_for_followup): Update to use the new
	MessageTagEditor API.
	(tag_editor_ok): Update this too.
	(flag_followup_completed): Updated this too.
	(flag_followup_clear): Set all the follow-up tag values to "".

2002-08-01  Ettore Perazzoli  <ettore@ximian.com>

	* component-factory.c (create_component): Use
	"post-message-16.png" as the icon for the "New Message Post" item.

2002-08-01  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (mail_account_gui_save): If we are editing an
	account, then get the CamelStore associated with the old account
	info and save it in a struct that we will pass along as user_data
	to mail_get_store() for the new account url.
	(add_new_store): If the old account and new account stores are
	identical, then don't remove the old store from the folder
	tree. If they are not the same, then remove the old store and add
	the new store to the folder tree.

2002-07-31  Peter Williams  <peterw@ximian.com>

	* mail-folder-cache.c: Add another bitfield "unsub"
	(real_flush_updates): If unsubscribing, manually remove the folder
	from the shell.
	(unset_folder_info): Add another parameter which is used to set
	the unsub member.
	(store_folder_unsubscribed): Pass true for @unsub.
	(unset_folder_info_hash): Pass false for @unsub.

	* subscribe-dialog.c (fe_done_subscribing): Don't notify the shell
	here. The folder cache does it now, and it was broken to make the
	CORBA call in another thread anyway.

2002-08-01  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (setup_mime_tables): Don't setup a handler for
	multipart/digest.
	(handle_multipart_digest): Removed.

2002-07-31  Jeffrey Stedfast  <fejj@ximian.com>

	* Makefile.am: Removed folder-browser-window from the build.

	* folder-browser-window.[c,h]: Removed.

	* mail-callbacks.c (view_digest): Removed.

	* mail-display.c (mail_display_digest_clicked): Removed.
	(on_link_clicked): Don't handle digest: urls anymore.

2002-07-31  Ettore Perazzoli  <ettore@ximian.com>

	* component-factory.c (create_component): Put "New Mail Message"
	before "New Message Post" instead of vice versa.

2002-07-31  Ettore Perazzoli  <ettore@ximian.com>

	* component-factory.c (create_component): Pass "mail" as
	@folder_type to
	evolution_shell_component_add_user_creatable_item().

2002-07-31  Not Zed  <NotZed@Ximian.com>

	* mail-display.c: Added global cameldatacache for managing remote
	image cache.
	(fetch_remote): Lookup data in cache first, use that if available,
	or setup a new cache item.
	(fetch_data): Write any retrieved data to cache as well as html
	stream.
	(fetch_free): Unref cache stream.
	(fetch_done): 
	(fetch_cancel): If failed/cancelled, remove cache items so they
	dont foul the result.  Probably need a header in cache items to
	guarantee this, but this is ok for now.
	(mail_display_class_init): Setup cache structure.  Also ensure
	globals are initialised at-most once.

2002-07-30  Radek Doulik  <rodo@ximian.com>

	* mail-config.c (mail_config_signature_set_name): save signature
	here to remember the changed name

2002-07-30  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (write_date): Use camel_medium_get_header to get
	the date header rather than getting the time_t and converting it
	into a string.

2002-07-29  Not Zed  <NotZed@Ximian.com>

	* mail-display.c (mail_display_init): setup private data.
	(mail_display_destroy): cancel any outstanding fetches, and free
	private data.
	(mail_display_set_message): Cancel any outstanding fetches.
	(fetch_cancelled): 
	(fetch_next): 
	(fetch_remote): 
	(fetch_data): 
	(fetch_free): 
	(fetch_cancel): 
	(fetch_done): Implement, used to use soup to download remote
	images.
	(load_http): Removed.
	(on_url_requested): When requesting a http* url, use the
	fetch_remote call above.

	* mail-display.h (struct _MailDisplay): Added priv(ate) member.

2002-07-29  Ettore Perazzoli  <ettore@ximian.com>

	* mail-session.c (request_password): Left-align the check button's
	label.

2002-07-29  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (mail_account_gui_new): Get the "Reset
	Defaults" folders button and connect to the clicked signal.
	(default_folders_clicked): Set the default uris on for the Drafts
	and Sent folders.

2002-07-26  Peter Williams  <peterw@ximian.com>

	* mail-offline-handler.c (storage_go_online): Call mail_note_store
	to get the folders to be updated and new ones to be inserted into
	the tree.

2002-07-29  Ettore Perazzoli  <ettore@ximian.com>

	* mail-session.c (request_password): Add an accelerator for the
	"Remember this password" checkbox.

2002-07-26  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-ops.c (mail_execute_shell_command): No real need for this
	to be an async function sync we are going to call
	gnome_execute_async anyway.

	* component-factory.c (create_component): Add a new menu item for
	posting to the New toolbar button thing.
	(destination_folder_handle_drop): Don't use a NULL exception when
	we already have one to use anyway.
	(got_folder): Move the *fp = folder; to before the check to make
	sure folder != NULL, this makes it so that if getting a folder
	fails at least have have a known value to look out for (NULL)
	rather than some random garbage.

2002-07-25  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config-druid.c (create_label): Make the gtk label line-wrap
	instead of us forcing \n's in the label, that was just
	wrong. Fixes bug #10320.

	* mail-callbacks.c (composer_send_cb): Make sure that the url
	isn't an empty string and also make sure to free it when we're
	done with it. Also check that we got the folder - if it is NULL,
	then just abort.

2002-07-24  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config.c (mail_config_folder_to_safe_url): Use
	mail_tools_folder_to_url().

	* mail-tools.c (mail_tools_folder_to_url): New convenience
	function to take a CamelFolder and return the URL associated with
	it.

	* mail-callbacks.c (composer_get_message): Pass in a 'post'
	argument so we know whether or not we can ignore a NULL set of
	recipients.
	(composer_send_cb): Default send->send to TRUE unless we are in
	Post-To mode, in which case set send->send to FALSE (since we'll
	have nothing to send). Also, if we are in Post-To mode, append to
	the folder the user wants to post to rather than appending to
	Outbox.
	(composer_send_queued_cb): Only queue a send thread if send->send
	is TRUE (ie, the composer was not in Post mode - if it was in Post
	mode, then the message post has already been saved in the correct
	folder so there is nothing to do).
	(post_message): New function to create an empty composer widget in
	Post mode.
	(post_reply): New function that calls mail_reply with the new mode
	of REPLY_POST.
	(mail_generate_reply): If the mode is REPLY_POST, create a Post
	composer widget otherwise create a normal composer widget.

2002-07-25  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-ops.c (mail_execute_shell_command): Update to take argc and
	argv arguments since this is the new definition for the
	CamelFilterDriverShellFunc.

	* mail-session.c (main_get_filter_driver): Updated for the renamed
	function.

	* mail-display.c (link_open_in_browser): Make sure that the
	html->pointer_url is non-NULL. Should fix bug #28159 (this seems
	to be the only questionable way for a NULL url to be passed into
	on_link_clicked).

2002-07-24  Peter Williams  <peterw@ximian.com>

	* mail-callbacks.c (do_mail_fetch_and_print): Check for whether
	current_message is NULL as well as preview_shown (if we tried to
	load the message and failed, as may happen in offline mode.)
	(done_message_selected): Only print if we actually got the message.

	* folder-browser.c (folder_browser_query_changed): New function,
	use this on the query_changed signal. Don't run the search if
	they only changed the dropdown.

2002-07-23  Peter Williams  <peterw@ximian.com>

	* mail-ops.c (get_store_get): Call camel_session_get_service
	instead of camel_session_get_store, as _get_store calls
	_get_service_connected which is not what we want to do on startup.
	(set_offline_do): Rework the logic here. It was failing when
	trying to go online with a disco store that couldn't work offline.

	* mail-folder-cache.c (mail_note_store): If we're using an offline
	(well, non-online) disco store that cannot work offline, don't get
	the folderinfo as that will fail.

2002-07-24  Radek Doulik  <rodo@ximian.com>

	* mail-composer-prefs.c (sig_add): use
	mail_config_get_send_html for html format flag

	* mail-account-gui.c (sig_add_new_signature): use
	mail_config_get_send_html for html format flag

2002-07-24  Not Zed  <NotZed@Ximian.com>

	* mail-folder-cache.c (real_flush_updates): Propagate name changes
	or removes to the mail config.  #15951.  Doesn't enitrely work for
	local folders, because they are never renamed only removed and
	added thanks to the shell's api.

	* mail-config.c (mail_config_uri_renamed): If a store folder is
	renamed, this checks for any config that needs updating, so far
	sent and drafts folders.
	(mail_config_uri_deleted): Same, for deleted folders.

2002-07-24  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (handle_multipart_encrypted): Commit a fix that I
	thought I committed a while ago:

	* mail-format.c (handle_multipart_encrypted): Pass the correct
	pointer into camel_multipart_encrypted_decrypt().

	* mail-ops.c (mail_send_message): Rework the logic a bit. If we
	find an account, use that to set the sent_folder_uri and the
	transport_url, otherwise use the X-Evolution-Transport and
	X-Evolution-Fcc headers.

2002-07-23  Jeffrey Stedfast  <fejj@ximian.com>

	* message-tag-followup.c (message_tag_followup_decode): Don't pass
	the length of the tag name into strncmp, instead use the length up
	to the first ':' in the value string.

2002-07-22  Peter Williams  <peterw@ximian.com>

	* folder-browser.c (folder_browser_gui_init): Also perform a search
	on the query_changed signal, which is what gets emitted when the 
	Search menu is used.

2002-07-24  Not Zed  <NotZed@Ximian.com>

	* component-factory.c (owner_set_cb): Initialise the standard
	uri's before doing anything else.

	* mail-vfolder.c (uri_is_ignore): Return true if the uri is any
	sent, drafts or outbox folder uri.
	(mail_vfolder_add_uri): Dont automagically add any
	sent/outbox/drafts folder with "local" or "remote" etc rules, only
	add sent folders if explictly listed as folder rules.  Maintain
	the remote/local folders list accordingly.
	(vfolder_adduri_do): dont check against sent_folder, drafts_folder
	or outbox_folder, this is checked by above code.  For #14863.

	* mail-display.c (drag_data_delete_cb): use uri_list before we set
	"uri-list" to NULL, which will automagically free it for us, so
	dont free it either.  Found with vagrind.

2002-07-23  Not Zed  <NotZed@Ximian.com>

	* message-browser.c (message_browser_destroy): Disconnect from
	folderbroser signals when we unref it, so we dont get signals
	later on if someone else has a ref on it (causing crash).

2002-07-22  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config.c (mail_config_signature_run_script): Check to make
	sure the script output is valid UTF-8, if not then attempt to
	convert it into UTF-8. Fixes bug #28086.

2002-07-22  Not Zed  <NotZed@Ximian.com>

	* message-list.c (regen_list_regened): Remove the assert, and
	always copy over the threadtree which represents the current view,
	unreffing the old one if set.  For #28021.  Haven't tested this a
	lot, but i guess it cant be worse than what is there.

	* mail-vfolder.c (store_folder_renamed): When renaming, use
	full_name to set the folder, not name, so the path is preserved.

2002-07-20  Larry Ewing  <lewing@ximian.com>

	* mail-format.c (mail_get_message_body): recognize urls in plain
	text reply quoting logic (bug #27908).

2002-07-19  Not Zed  <NotZed@Ximian.com>

	* mail-callbacks.c: Try including gtkhtml/gtkhtml.h instead.  Test
	really is a 4 letter word obviously.

2002-07-18  Ettore Perazzoli  <ettore@ximian.com>

	* mail-folder-cache.c: Removed bogus static pre-declaration.

	* e-searching-tokenizer.c (e_searching_tokenizer_end): Removed
	unused variables.

	* mail-callbacks.c: #include <gtkhtml.h>.

	* folder-info.h (evolution_folder_info_get_type): Add prototype.

2002-07-18  Peter Williams  <peterw@ximian.com>

	* mail-format.c (handle_multipart_digest): Change the HTML to
	make this a little prettier.

	* folder-browser-window.c (folder_browser_window_new): Load the
	messagedisplay XML file as a base for the UI, so that things
	appear. Don't add the global UI items as they don't make sense
	here.
	(fb_window_close): New function, used to ... close the window,
	suprisingly.

2002-07-18  Not Zed  <NotZed@Ximian.com>

	* main.c (main): Put the mcheck stuff back in, which was removed
	without a changelog entry.

2002-07-08  Peter Williams  <peterw@ximian.com>

	* Makefile.am: Reference the new libefilterbar.a.

2002-07-17  Radek Doulik  <rodo@ximian.com>

	* mail-callbacks.c (save_draft_done): use "saved" gtkhtml command

2002-07-17  Jeffrey Stedfast  <fejj@ximian.com>

	* component-factory.c (add_storage): Oops, Don't comment out the
	mail_note_store call.

2002-07-16  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-accounts.c (account_able_clicked): Re-enable some #if 0'd code.

	* mail-vfolder.c (vfolder_load_storage): Updated to not pass TRUE
	for an auto_connect argument since that argument no longer exists.

	* mail-account-gui.c (add_new_store): Updated to not pass an
	auto_connect argument.

	* component-factory.c (add_storage): Don't ever auto-connect here.
	(mail_add_storage): No longer takes an auto_connect argument.
	(mail_load_storages): Only load the account storages that are
	enabled.

2002-07-15  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (composer_send_cb): Pass 'info' into
	mail_append_mail(), seems I created the info but forgot to pass it
	in.
	(composer_send_queued_cb): If the message is successfully queued,
	we destroy the composer, otherwise we unref it. Don't ever destroy
	and then unref it.

2002-07-15  Radek Doulik  <rodo@ximian.com>

	* mail-callbacks.c: use new save_header_state flag

2002-07-15  Peter Williams  <peterw@ximian.com>

	* mail-offline-handler.c (service_is_relevant): Account for the
	case that when a disco store is "online" but actually offline and
	we're going online, we should actually connect it.

	* component-factory.c (mail_load_storages): Always set
	auto_connect to FALSE, same reason as below.

	* mail-session.c (mail_session_init): Initialize our session to
	not be online, since the shell will tell us to go online if we
	need to.

2002-07-10  Peter Williams  <peterw@ximian.com>

	* Makefile.am (importerdir): Define this in terms of the new
	privlibdir, again resulting in a new directory name.

	* importers/Makefile.am (importersdir): Here too.

2002-07-15  Not Zed  <NotZed@Ximian.com>

	* message-list.c (ml_tree_value_at): Lookup the label colour based
	on the label token, not an integer.

	* folder-browser.c (on_right_click): Lookup the label name from
	the filter type.  Sigh, a bunch of other code should do similar
	but i'm going to leave it as integers.
	(set_msg_label): Set the label directly.

	* mail-vfolder.c (vfolder_editor_clicked): Set the vfolder_editor
	variable to null before we close the dialogue, otherwise the close
	destroys it and reverts the file.

	* component-factory.c (populate_folder_context_menu): Oops,
	accidentally checked in some unfinished, unworking code.
	Reverted.

2002-07-10  Not Zed  <NotZed@Ximian.com>

	** fixes for #10781

	* mail-callbacks.c (filter_edit): Add back a cancel button.  We
	dont need to do anything special to 'undo' here, as the rules are
	loaded every time they're used.

	* mail-vfolder.c (vfolder_editor_clicked): If ok wans't clicked,
	revert the ruleset.
	(vfolder_editor_destroy): Fake a button of -1 if we get destroyed
	with no click.
	(context_rule_removed): Unref the folder after we delete it.  If
	we're the last ref to the folder, unrefing it means it no longer
	exist,s which means no delte processing occurs ...

2002-07-04  Not Zed  <NotZed@Ximian.com>

	* mail-accounts.c (news_add_destroyed): Pass teh autoconnect flag,
	whcih shoudlnt' exist anyeway.

2002-07-03  Not Zed  <NotZed@Ximian.com>

	* component-factory.c (populate_folder_context_menu): If this is a
	file url, look up its component, if we have it, then use the
	mail-callback reconfigure call.

	* folder-browser-factory.c (folder_browser_factory_get_browser):
	Util to get the folder browser from a uri.

2002-07-11  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (pixmap_press): Rename "Save to disk..." to "Save
	Attachment..."

2002-07-10  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser-ui.c: Modified to use a single list of UI node
	elements with an enable-mask rather than split into groups. This
	allows much more control and easier modification to get the
	desired enable/disable effects.

	* mail-display.c (mail_display_set_message): If we unref'd a
	current_message, clear the datalist. Don't bother connecting to
	the message's finalise signal because something else may own a ref
	to the original message when we replace it with a new one.
	(mail_display_destroy): Only clear the datalist if we have a
	current_message, otherwise it's safe to assume that it is already
	cleared.

2002-07-08  Peter Williams  <peterw@ximian.com>

	* Makefile.am (INCLUDES): Add -I flags to get the ebook headers.

2002-07-10  Ettore Perazzoli  <ettore@ximian.com>

	* subscribe-dialog.c (recursive_add_folder): Pass zero as
	@sorting_priority to evolution_storage_new_folder().

	* mail-folder-cache.c (real_flush_updates): Pass zero as
	@sorting_priority to evolution_storage_new_folder().

2002-07-09  Ettore Perazzoli  <ettore@ximian.com>

	* subscribe-dialog.c (recursive_add_folder): Pass NULL for
	@custom_icon_name to evolution_storage_new_folder().

	* mail-folder-cache.c (real_flush_updates): Pass NULL for
	@custom_icon_name to evolution_storage_new_folder().

2002-07-08  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (redirect): Don't ever use the mail-display's
	current_message, this can cause problems.

	* mail-ops.c (get_message_free): Unref the gotten message. All of
	the callers seemed to think that they didn't have to unref the
	message.

	* mail-display.c (mail_display_set_message): Now refs the message.
	(mail_display_destroy): Unref the current_message if we still have
	ownership of it.

2002-07-05  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (composer_send_queued_cb): Only queue a send
	operation if we are in Online mode, otherwise don't bother wasting
	our time.

2002-07-05  Jeffrey Stedfast  <fejj@ximian.com>

	* main.c (main): No longer need to pass a postpone_cb function
	into the composer factory_init.

	* mail-send-recv.c (get_receive_type): If the provider is a
	transport, return SEND_SEND.

	* mail-config.c (mail_config_get_default_transport): If the
	default account doesn't have a transport, find the first account
	that does.

	* mail-callbacks.c (append_mail_cleanup): Don't bother freeing the
	appended_uid here.
	(composer_send_internal): New helper function that does all the
	similar work that composer_send_cb and composer_postpone_cb did.
	(composer_send_cb): Append the message to Outbox and in the async
	callback, queue a message send operation.
	(composer_postpone_cb): Removed.
	(composer_send_queued_cb): The new async callback for
	composer_send_cb(). If the append is successful, queue a message
	send operation and destroy the composer otherwise re-show the
	composer.
	(save_draft_done): g_strdup the appended uid.
	(compose_msg): Don't connect to the postpone signal anymore as it
	no longer exists.
	(send_to_url): Same.
	(mail_reply): Here too.
	(forward_get_composer): And here.
	(redirect_get_composer): Again here.
	(do_edit_messages): And finally here.

	* mail-ops.c (append_mail_free): Free the appended uid.

2002-07-04  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-editor-news.[c,h]: Removed.

	* mail-accounts.c: Removed special-case code for NNTP support.

	* mail-account-gui.c (mail_account_gui_setup): Allow configuration
	of both mail and news accounts.

	* component-factory.c (mail_load_storages): No longer need the
	is-account argument.

	* subscribe-dialog.c (populate_store_list): Don't special-case
	news accounts anymore.

	* mail-config.c (mail_config_get_default_news): Removed.
	(mail_config_get_news): Removed.
	(mail_config_add_news): Removed.
	(mail_config_remove_news): Removed.

2002-07-03  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-vfolder.c (vfolder_load_storage): Pass TRUE as the
	auto_connect argument to mail_load_storage_from_uri().

	* mail-account-gui.c (add_new_store): Pass FALSE as the
	auto_connect value to mail_load_storage_from_uri().

	* mail-format.c (handle_multipart_encrypted): Pass the correct
	pointer into camel_multipart_encrypted_decrypt().

	* component-factory.c (mail_add_storage): Now takes an
	auto-connect argument which it passes along to add_storage().
	(mail_load_storage_from_uri): Same.
	(add_storage): Only call mail_note_store() if we plan on
	auto-connecting.

2002-07-02  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser.c (on_right_click): Increase the size of the
	escapped mlist buffer, we can't assume that there can only ever be
	a single '_' in the mlist name afaik.
	(filter_type_uid): Ugh, we need to copy the fdata->source here.

	Fixes bug #27263.

	* folder-browser.c (filter_subject): Decide the filter source type
	based on the folder we are in (Sent/Outbox folders use
	FILTER_SOURCE_OUTGOING).
	(filter_sender): Same.
	(filter_recipient): Here too.
	(filter_mlist): And here.
	(on_right_click): Set the fdata->source.
	(filter_type_got_message): Pass fdata->source into
	filter_gui_add_from_message().
	(filter_mlist_uid): Same.

	* mail-autofilter.c (filter_gui_add_from_message): Now takes a
	source argument so that we don't always add incoming rules.
	(filter_gui_add_from_mlist): Same.

	* mail-tools.c (mail_tool_make_message_attachment): Remove Bcc
	headers too. Fixes bug #27302.

2002-07-02  Ettore Perazzoli  <ettore@ximian.com>

	* folder-browser.c (folder_browser_gui_init): Don't connect
	folder_browser_search_do_search to "query_changed" since we don't
	want the search to happen unless the user clicks "Find Now", for
	consistency.

2002-07-02  Ettore Perazzoli  <ettore@ximian.com>

	* component-factory.c (create_component): Pass a tooltip to
	evolution_shell_component_add_user_creatable_item.

2002-07-02  Sean Atkinson  <sean@cantab.net>

	* mail-preferences.c: remove dependency on removed file
	camel/camel-pgp-context.h

2002-07-01  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (handle_multipart_related): Make sure that cid is
	non-NULL.

2002-07-01  Not Zed  <NotZed@Ximian.com>

	* mail-folder-cache.c (folder_deleted): Removed.  The
	folder's deleted event isn't needed since we're listening to the
	store's folder_deleted signal.  Also, the code was wrong, it
	cleared the folder without disconnecting events, etc.  See #16486,
	and probably others.
	(mail_note_folder): Dont hook onto deleted anymore.
	(unset_folder_info): Or unhook from it.

2002-06-28  Jeffrey Stedfast  <fejj@ximian.com>

	* component-factory.c (mail_load_storages): Don't skip over
	disabled accounts - put them in the folder tree too.

2002-06-28  Jeffrey Stedfast  <fejj@ximian.com>

	Fixes bug #27055.

	* mail-accounts.c (account_add_finished): Unref the main accounts
	widget.
	(account_add_clicked): Ref the main accounts widget.
	(account_edit_finished): Unref the main accounts widget.
	(account_edit_clicked): Ref the main accounts widget.

2002-06-27  Jeffrey Stedfast  <fejj@ximian.com>

	* component-factory.c (storage_remove_folder): Recursively delete
	any subfolders.

2002-06-26  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config.c (config_read): Don't allow the pgp type to be
	anything except NONE or GPG.

	* mail-preferences.c (mail_preferences_apply): Don't allow someone
	to use anything other than GnuPG.

	* mail-crypto.c (mail_crypto_get_pgp_cipher_context): No need to
	handle pgp5 or pgp6 types anymore since we are no longer
	supporting them. Ding dong the witch is dead!

	* mail-format.c (handle_multipart_encrypted): Rewritten to use
	camel_multipart_encrypted_decrypt.

	* mail-crypto.c (mail_crypto_pgp_mime_part_verify): Removed.
	(mail_crypto_pgp_mime_part_encrypt): Removed.
	(mail_crypto_pgp_mime_part_decrypt): Are we seeing a trend yet?

2002-06-25  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (on_url_requested): Also handle https urls.

	* component-factory.c (mail_add_storage): Some compiler warning
	fixes.

	* mail-crypto.c (mail_crypto_pgp_mime_part_sign): Removed.
	(mail_crypto_get_pgp_cipher_context): New convenience function to
	construct a pgp cipher context.
	(mail_crypto_pgp_mime_part_verify): Use the new
	get_pgp_cipher_context function.
	(mail_crypto_pgp_mime_part_encrypt): Same.
	(mail_crypto_pgp_mime_part_decrypt): Here too.

	* mail-account-gui.c (mail_account_gui_new): Initialise the
	pgp_always_trust checkbox.
	(mail_account_gui_save): Get whether or not to always_trust the
	user's pgp keys.

	* mail-config.c (account_copy): Copy over the pgp_always_trust
	option.
	(config_read): Read in the always_trust option.
	(mail_config_write): Save the always_trust option.

2002-06-21  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-crypto.c (mail_crypto_pgp_mime_part_verify): If the pgp
	type is gpg, then use the gpg context.
	(mail_crypto_pgp_mime_part_sign): Same.
	(mail_crypto_pgp_mime_part_encrypt): Same.
	(mail_crypto_pgp_mime_part_decrypt): Same.

	* mail-format.c (handle_multipart_signed): Use the new gpg cipher
	context.

2002-06-18  Jeffrey Stedfast  <fejj@ximian.com>

	* message-list.c (message_list_change_first_visible_parent): New
	convenience function to find the first parent node that is visible
	and emit a changed signal on it.
	(main_folder_changed): If a message changed, call
	change_first_visible_parent() in case we are in a collapsed thread
	so that our first visible parent gets updated as well. Fixes bug
	#26263.

	* component-factory.c (storage_remove_folder): Simplify the error
	checking.

2002-06-17  Jeffrey Stedfast  <fejj@ximian.com>

	* message-list.c (get_normalised_string): New convenience function
	to get a cached normalised string.
	(subject_compare): Removed, as we strip Re:'s when normalising the
	subject strings now.
	(ml_tree_value_at): Added support for the normalised columns (used
	for a sorting optimisation).
	(message_list_init): Initialise normalised_hash.
	(message_list_destroy): Destroy normalised_hash.
	(message_list_create_extras): Removed subject_compare.
	(main_folder_changed): De-cache normalised strings for any removed
	uids.

2002-06-17  Not Zed  <NotZed@Ximian.com>

	* message-list.c (regen_list_regen): If we dont support searching,
	dont try to.

2002-06-11  Jeffrey Stedfast  <fejj@ximian.com>

	* message-list.c (regen_list_regen): Move m->complete = TRUE; to
	within the cancel-check block, this way complete only ever gets
	set to TRUE if we weren't cancelled. I assume this is how it was
	supposed to work.

2002-06-11  Not Zed  <NotZed@Ximian.com>

	* folder-info.c (do_get_info): If we dont get a folder, dont try
	and get details off it.  Should get rid of most of those annoying
	summary warnings, but not the cause of them.

2002-06-10  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-accounts.c (account_able_clicked): Comment out the code to
	add/remove the store to the folder-tree when it gets
	enabled/disabled.

	* mail-callbacks.c (mail_generate_reply): If we are doing
	Reply-to-All, do not include any of the user's email accounts in
	the To: field. If, after this, the To: field is empty - then
	promote the first recipient in the Cc: list to the To: field.

2002-06-07  Radek Doulik  <rodo@ximian.com>

	* mail-config.c (mail_config_write_account_sig): call
	mail_config_init to be sure we have the db, save auto_signature as
	well

	* mail-composer-prefs.c (sig_add_script_cancel): hook this to
	cancel button in signature script dialog

	* mail-signature-editor.c (mail_signature_editor): fix some typos,
	set label usize to 500, -2
	(menu_help): added help link to Help menu

2002-06-06  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (mail_account_gui_save): If this account is
	not a completely new account (ie, it is an edited account), then
	remove any trace of it from the shell storages. If the new account
	belongs in the folder-tree, add it to the list of storages.

	* component-factory.c (mail_add_storage): New function to add a
	single storage.

2002-06-06  Radek Doulik  <rodo@ximian.com>

	* mail-composer-prefs.c (mail_composer_prefs_construct): disable
	edit and delete when there are no signatures defined

2002-06-06  Not Zed  <NotZed@Ximian.com>

	* message-list.c (mail_regen_list): Keep track of the regeneration
	request in a list.
	(regen_list_free): Remove the request from the regenreation list.
	(message_list_set_folder): If there are any outstanding
	regneration requests, cancel them.
	(regen_list_regened): If we were cancelled, do nothing.
	(regen_list_regen): If we were cancelled, shortcut processing.
	This is all for #23571.

	* message-list.c (regen_list_regen): Change the way we calculate
	the hide deleted messages and tree view options.  Do it based on a
	search and uid's rather than a summary.
	(regen_list_regened): Handle changes to tree storage.
	(mail_regen_list): The tree is now stored between updates, so we
	can update the tree structure incrementally.  This blows out
	memory use some however.  We need an etree that uses this as its
	model directly?
	(message_list_destroy): Free the thread tree.
	(message_list_set_folder): Clear the thread tree when changing
	folder.

2002-06-05  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (mail_get_message_rfc822): Don't forget to free
	the date string buffer.

2002-06-05  Radek Doulik  <rodo@ximian.com>

	* mail-composer-prefs.c (sig_fill_clist): use gtk string instead
	of utf8 one

2002-06-04  Jeffrey Stedfast  <fejj@ximian.com>

	The following changes take a great leap toward fixing bug #1042.

	* mail-display.c (mail_display_push_content_location): New
	function to push a Content-Location value onto the MailDisplay.
	(mail_display_get_content_location): Gets the current
	Content-Location CamelURL value.
	(mail_display_pop_content_location): Pop the Content-Location off
	the stack.

	* mail-format.c (get_location): Do URL merging if the
	Content-Location isn't a full URL. If the Content-Location doesn't
	exist, pretend the URL is actually the Content-Location URL of our
	parent multipart (assuming it exists). If that doesn't exist, then
	yes - return NULL.
	(handle_multipart_related): Push the Content-Location header value
	of the multipart/related so that we can do URL merging in
	get_location() as we process each of the subparts. When we're
	done, pop it back off the stack.

2002-06-04  Christopher James Lahey  <clahey@ximian.com>

	* message-list.etspec: Added priorities.

2002-06-04  Christopher James Lahey  <clahey@ximian.com>

	* folder-browser-ui.c (folder_browser_ui_setup_view_menus): Set
	the title of our GalViewCollection.

2002-06-04  Not Zed  <NotZed@Ximian.com>

	* mail-accounts.c (mail_accounts_tab_construct): Duh, we want to
	set the news_edit/delete buttons for the news page, not overwrite
	the mail ones!  That would've saved a bit of angst ...

	* mail-config-druid.c (extra_prepare): dont call build_extra_conf,
	otherwise it blows away any settings with defaults.

2002-06-04  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (mail_account_gui_save): Write the signature
	after the account has been added.
	(sig_new_html): Don't write the signatures at this time.
	(sig_new_text): Same.

2002-06-03  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-accounts.c (account_delete_clicked): Correctly get the
	GtkWindow ancestor of the prefs widget.

2002-06-03  Not Zed  <NotZed@Ximian.com>

	* mail-callbacks.c (composer_get_message): Changed to check
	everything from the composer before the message is requested.
	Otherwise we could end up signing/encrypting it twice, etc.

	* mail-format.c (handle_multipart_signed): removed some dead wood.

2002-06-03  Jeffrey Stedfast  <fejj@ximian.com>

	* component-factory.c (request_quit): Prompt the user to see if he
	really wants to quit when there are queued messages in the Outbox.

2002-06-01  Not Zed  <NotZed@Ximian.com>

	* mail-local.c (mlf_getv): Implement, return a text description of
	the localfolder.

	* message-list.c (ml_duplicate_value): 
	(ml_free_value): 
	(ml_initialize_value): 
	(ml_value_is_empty): 
	(ml_value_to_string): 
	(ml_tree_value_at): Implement COL_LOCATION, original location of
	message (useful for vfolder).

2002-06-02  Larry Ewing  <lewing@ximian.com>

	* mail-tools.c (mail_tool_quote_message): make these citations as
	well.

	* mail-format.c (handle_text_plain_flowed): make these blockquotes
	into citations.

2002-05-31  Not Zed  <NotZed@Ximian.com>

	* mail-format.c (handle_multipart_signed): Changed to handle new
	multipart-signed type.

2002-05-30  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-send-recv.c (mail_send_receive): Noop if we are in offline
	mode.

	* component-factory.c (mail_remove_storage): If the store is not
	in the storage hash, then it must not have ever been added. Fixes
	bug #25456.

	* mail-callbacks.c (view_msg): Oops, create a message-browser
	window here, not a folder-browser-window window.

2002-05-29  Radek Doulik  <rodo@ximian.com>

	* mail-composer-prefs.c: moved spell checking options to separate
	page, updated UI by Anna's design

	* mail-accounts.c (mail_accounts_load): use _ instead of U_ for
	clist
	(mail_accounts_tab_construct): justify marks column to right

2002-05-28  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser-window.c (folder_browser_window_new): Revert a
	failed idea.

2002-05-24  Radek Doulik  <rodo@ximian.com>

	* mail-composer-prefs.c (mail_composer_prefs_construct): ops,
	revert array size

2002-05-24  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (mail_generate_reply): If we can't find the
	mailing list address in the recipients list, just Reply-to-All
	instead.

2002-05-23  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser-window.c (folder_browser_window_new): Set the ui
	to be the evolution-mail-global.xml file thingy. Still broken but
	oh well. I give up. bonobo-ui sucks.

	* message-browser.c (set_bonobo_ui): Fixed to not crash.

2002-05-23  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser-window.c (folder_browser_window_new): If the
	folder-browser has a parent, reparent it.

	* message-browser.[c,h]: Revert back to the old broken
	implementation since that's what users want. They're not happy
	unless it's broken.

2002-05-23  Radek Doulik  <rodo@ximian.com>

	* mail-composer-prefs.c: be more careful about language_str{_orig}
	(mail_composer_prefs_construct): add auto smiley check button

2002-05-21  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (sig_fill_options): Only clear the text/html
	signature menus if they are non-NULL.

	* mail-composer-prefs.c (spell_save_values): Use a new macro,
	STR_EQUAL, to tell if the 2 values are equal or not rather than
	using strcmp since one or both strings could be NULL.

2002-05-21  Not Zed  <NotZed@Ximian.com>

	* folder-browser.c (folder_browser_config_search): Split the
	search word up for a body search and add it to the tokeniser to
	highlight.

2002-05-18  Not Zed  <NotZed@Ximian.com>

	* e-searching-tokenizer.c
	(e_searching_tokenizer_add_primary_search_string):
	(e_searching_tokenizer_add_secondary_search_string): New functions
	to add additional search strings one at a time.  Maybe it should
	just split the word itself?
	(all): Basically, entirely rewritten.  Now implements the
	Aho-Corasick multiple pattern search algorithm and handles
	multiple search strings and only ever has to decode any utf8
	character once, etc etc.

2002-05-20  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (mail_get_message_body): Only get the contents of
	a mime part if it is marked as "inline". Fixes bug #7527.

	* mail-display.c (mail_display_render): Fixed the "Overdue:"
	string to not contain any HTML tags.

2002-05-20  Ettore Perazzoli  <ettore@ximian.com>

	* subscribe-dialog.c (recursive_add_folder): Pass TRUE for
	@sync_offline to evolution_storage_new_folder().

	* mail-folder-cache.c (real_flush_updates): Pass TRUE for 
	@sync_offline to evolution_storage_new_folder().

2002-05-20  Ettore Perazzoli  <ettore@ximian.com>

	* mail-callbacks.c (composer_sent_cb): Always unref the composer
	[even when we are destroying it], otherwise we leak it and we get
	the nasty bug where you can't quit.

2002-05-16  Jeffrey Stedfast  <fejj@ximian.com>

	* message-list.c (ml_tree_value_at): Check for a label tag when
	doing a lookup on the COLOR column.

	* mail-config.c (mail_config_get_label_color_string): Return the
	colour in string format.

	* folder-browser.c (set_msg_label): Replaces colourise_msg and
	sets the "label" tag rather than the "colour" tag.

	* mail-preferences.c (mail_preferences_apply): Call
	mail_config_write() so that the settings get synced to disk.

2002-05-16  Ettore Perazzoli  <ettore@ximian.com>

	* component-factory.c (request_quit): New.
	(create_component): Pass it as the @request_quit_fn to
	evolution_shell_component_new().

2002-05-15  Ettore Perazzoli  <ettore@ximian.com>

	* component-factory.c (create_component): Pass NULL as
	@request_quit_fn.

2002-05-15  Not Zed  <NotZed@Ximian.com>

	* mail-ops.c (prep_offline_do): 
	(prep_offline_done): 
	(prep_offline_free): 
	(mail_prep_offline): Implement prep_offline for an individual
	folder.
	(set_offline_do): Only call disco_store_set_status or disconnect
	for the store, dont do any offline prep stuff.

	* mail-offline-handler.c: Applied patch from Ettore to hook in
	extra offline interfaces.
	(impl_destroy): Dont free listener here anymore, its removed, but
	free sync table.
	(mail_offline_handler_init): Same for setup.
	(impl_syncFolder): Implement.
	(sync_done): handles finalising synchronisation of 1 folder.
	(sync_status): progress reporting, camel side.
	(sync_timeout): progress reporting, gmainloop side.
	(impl_cancelSyncFolder): Implement.
	(impl_goOffline, storage_go_offline, went_offline): Dont copy the
	listener to our struct - its an argument, not a member, so give
	each thread its own copy.

2002-05-15  Jeffrey Stedfast  <fejj@ximian.com>

	* message-list.c (ml_tree_value_at): Instead of g_assert()ing that
	the msg_info is not NULL, if it is NULL just return NULL. This
	fixes a crash when ETree requests the value at a root node (I
	don't understand why it needs to do that??).

2002-05-14  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-info.h: Added.

2002-05-14  Christopher James Lahey  <clahey@ximian.com>

	* component-factory.c: Added #include "folder-info.h".

	* folder-browser-window.c (folder_browser_window_new),
	mail-account-editor.c (apply_changes), mail-account-gui.c
	(mail_account_gui_save), message-tag-editor.c: Removed some unused
	variables.

	* folder-info.c: Added #include "folder-info.h".  Removed static
	declaration of evolution_folder_info_get_type.

	* folder-info.c (destroy), mail-callbacks.c
	(confirm_goto_next_folder, find_current_folder,
	find_next_folder_r, find_next_folder,
	do_evil_kludgy_goto_next_folder_hack), mail-composer-prefs.c
	(sig_name_changed): Commented out these unused functions.

	* mail-config.c (add_new_storage): Removed this unused function.

	* mail-local.c (mlf_init): Fix the declaration of this function to
	match the required signature.

2002-05-13  Christopher James Lahey  <clahey@ximian.com>

	* message-list.etspec: Added search="string" where appropriate.

2002-05-13  Dan Winship  <danw@ximian.com>

	* (various places): Update for camel_folder_append_message /
	camel_folder_transfer_messages_to API change.

	* mail-ops.c (mail_append_mail): Pass the appended_uid to the
	callback.

	* mail-callbacks.c (composer_save_draft_cb, save_draft_done,
	do_edit_messages): Take advantage of the append_message change to
	keep track of the UID of the saved draft so that we can delete the
	old copy of the draft each time we save a new one. Remove the
	FIXME suggesting we should do that, since we're doing it now. :)

2002-05-10  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (do_view_message): Update for the new
	message-browser api.

	* message-browser.c (message_browser_new): A brand new
	implementation that just shows the message, none of that next/prev
	crap that always caused problems anyway.

	* mail-config.c (mail_config_add_account): Don't add any shortcuts
	here.
	(mail_config_remove_account): And don't remove them here. This
	code has never worked properly.

	* mail-ops.c (save_part_save): Use the exception enum names rather
	than '1' since it makes the code clearer.

2002-05-10  Dan Winship  <danw@ximian.com>

	* mail-ops.c (transfer_messages_transfer): Simplify. Use
	transfer_messages_to instead of picking between copy and move.
	Remove vtrash special-casing since it's all in
	camel-vtrash-folder.c now. Remove duplicate source == dest check.

	* mail-local.c (mail_local_folder_reconfigure): Use
	transfer_messages_to instead of copy_messages_to.

2002-05-09  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (mail_account_gui_save): Make sure that even
	if the new source url is NULL, that we preserve the enabledness of
	the source.

2002-05-09  Ettore Perazzoli  <ettore@ximian.com>

	* component-factory.c (add_storage): Pass %FALSE as
	@has_shared_folders to evolution_storage_new().

2002-05-09  JP Rosevear  <jpr@ximian.com>

	* Makefile.am: dist Spell.idl

2002-05-08  Radek Doulik  <rodo@ximian.com>

	* mail-composer-prefs.c: implemented (c'n'p-ed and updated) spell
	checking settings

2002-05-08  Iain Holmes <iain@ximian.com>

	* component-factory.c (owner_set_cb): Tell the folder info listeners 
	that they're ready.

	* folder-info.c: Add a property bag to the CORBAObject.
	(do_get_info): Remove a load of cruft. Add some error checks.
	(do_free_info): Unref the listener.
	(destroy): Unref the propertybag.
	(set_prop): Set the property.
	(get_prop): Get the property.
	(evolution_folder_info_factory_fn): Create a propertybag.
	(evolution_folder_info_notify_ready): Notify all the listeners that
	the folder info is ready for querying.

2002-05-08  Not Zed  <NotZed@Ximian.com>

	* mail-autofilter.c (mail_filter_rename_uri): Changed for
	rule_context_rename_uri api changes.
	(mail_filter_delete_uri): Same.  Also, popup a dialogue similar to
	vfolder deleted dialogue to notify the user something has
	changed.  Partial fix for #18826.

2002-05-06  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-ops.c (filter_folder_free): Flush the filter log to make
	Tuomas happy :-)

	* mail-session.c (mail_session_flush_filter_log): New convenience
	function to flush the session's filter log file.

	* mail-callbacks.c (mail_reply): Set the Seen flag as well since
	it's safe to assume that if the user has replied to an email
	message that he has read it. Not always true, but usually ;-)

	* folder-browser.c (on_right_click): If we are in a
	Sent/Drafts/Outbox folder, don't show the "Add Sender to
	Addressbook" menu item.

2002-05-06  Not Zed  <NotZed@Ximian.com>

	* component-factory.c (idle_quit): Check all threads are idle as
	well, using new e_thread_busy call.  Should fix #22553?  Also
	sleep a little bit, to let the other threads run.

2002-05-01  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (sig_new_text): Update the code to actually
	work.
	(sig_new_html): Same.

	* mail-composer-prefs.c (mail_composer_prefs_new_signature): Allow
	'prefs' to be NULL.

	* folder-browser.c (on_right_click): Fix the filter_menu static
	array to use the E_POPUP_MENU_CC macros since we plan on using
	custom closures for this.
	(on_right_click): Fixed so that you can "Edit as New" for any Sent
	folder and not just the local Sent folder.

2002-05-01  Not Zed  <NotZed@Ximian.com>

	* folder-browser.h (FOLDER_BROWSER_IS_DESTROYED): Also check
	folder!=NULL.  Fixes race where folder isn't setup yet, and
	neither is bonobo menu status (because its delayed), and we get a
	menu event before we're setup yet.  For bug #21939.

2002-04-30  Dan Winship  <danw@ximian.com>

	* mail-callbacks.c (delete_msg): If the folder's permanent_flags
	don't include CAMEL_MESSAGE_DELETED, don't do anything. (In
	particular, don't move the cursor.)

2002-04-29  Jeffrey Stedfast  <fejj@ximian.com>

	* message-tag-followup.c (message_tag_followup_append_message):
	Convert UTF-8 to gtkstrings since we are using a clist and not an
	E-widget that takes UTF-8.

	* mail-display.c (mail_display_add_url): If the data-urls is NULL,
	add a data-urls hash to the datalist. This finishes up bug #90.

	* mail-account-gui.c (save_service): Strip leading/trailing
	whitespace from the username because users sometimes accidently
	add extra spaces here and there. Fixes bug #24009 (along with a
	number of other "bugs").
	(mail_account_gui_auto_detect_extra_conf): Use a CamelURL instead
	of a GHashTable *settings. Also parse out the port # from the
	hostname.

2002-04-29  Larry Ewing  <lewing@ximian.com>

	* mail-composer-prefs.c (mail_composer_prefs_construct): clean up
	propmanager initialization code.

	* mail-preferences.c (mail_preferences_construct): small clean
	ups to propmanager code.

	* mail-config-factory.c (config_control_factory_cb): handle
	requests for the font manager control.

	* mail-config.glade: add fonts tabs and reorder composer options
	to match the new dialogs from anna.

	* GNOME_Evolution_Mail.oaf.in: add font manager control definition.

	* mail-composer-prefs.c (mail_composer_prefs_construct): hook to
	the gtkhtml propmanager.
	(mail_composer_prefs_apply): apply propmanager changes.
	(mail_composer_prefs_finalise): unref the propmanager.

	* mail-composer-prefs.h: add propmanager member.
	
	* mail-font-prefs.c: initialize gui properly.
	
	* mail-preferences.c (mail_preferences_construct): hook to
	gtkhtml's propmanager.
	(mail_preferences_apply): apply propmanager changes.
	(mail_preferences_finalise): unref the propmanager.

	* mail-preferences.h: add propmanager member.

	* Makefile.am (evolution_mail_SOURCES): add mail-font-prefs.[ch]
	to the build.

	* mail-tools.c (mail_tool_quote_message): use the html reply logic
	even for plain parts so that we can test out the new gtkhtml cite logic.

	* importers/evolution-mbox-importer.c (process_item_fn): add const
	to silence warning.

	* mail-display.c: add gtkhtml.h include so to pick up the
	object_relative prototype.

2002-04-26  Larry Ewing  <lewing@ximian.com>

	* mail-font-prefs.c: Add the font config dialog.

	* mail-font-prefs.h: add font config dialog headers.

2002-04-26  Jeffrey Stedfast  <fejj@ximian.com>

	* Makefile.am: Don't link with libibex anymore, it's been
	deprecated.

	* mail-callbacks.c (next_unread_msg): Do away with the
	goto-next-folder stuff, it's very annoying.

	* mail-config-druid.c (extra_prepare): After building the extra
	config options into a Gtk form, auto-detect any values that we can
	and populate them by calling
	mail_account_gui_auto_detect_extra_conf.

	* mail-account-gui.c (mail_account_gui_auto_detect_extra_conf):
	New function to auto-detect the extra config options for a source.

2002-04-24  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (mail_account_gui_build_extra_conf): Allow
	providers to override text entry boxes too.
	(source_type_changed): Remove the logic to decide upon default
	paths, these paths can now be set by the provider.

2002-04-24  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser.c (label_menu): Update to use
	E_POPUP_MENU_PIXMAP_WIDGET_ITEM_CC so that our callback gets
	called without per-item closure rather than being called with NULL
	and causing a segfault.

	* mail-account-gui.c (mail_account_gui_build_extra_conf): Set the
	default Username label and handle the new
	CAMEL_PROVIDER_CONF_LABEL enum allowing the provider to setup a
	label.

2002-04-23  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-accounts.c: Added back the checkmark icon for enabled
	accounts.
	(account_able_clicked): Don't reload the accounts list, that was
	just lame.

2002-04-22  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (mail_display_render): Plug-in Anna's html for
	the flag-for-followup stuff. Finishes up bug #90.

2002-04-19  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser.c (folder_browser_finalise): Free the
	loading/pending/new/loaded_uid string buffers.

	* mail-config.c (config_read_signature): Free some temporary path
	buffers.

	* mail-display.c (stream_write_or_redisplay_when_loaded): Ref the
	html object here, this is an async handler so it's possible for
	our caller (or someone else) to unref the html object before we
	finish.
	(load_content_free): Unref the async handler's ref of the html
	object here.
	(mail_display_new): Ref the html widget here so that we can be
	sure that so long as the mail-display is "alive", so is the html
	object. See bug #22328 for details. Basically, the message-browser
	is being closed before the message gets loaded and so the html
	object was being destroyed but the mail-display was still alive.
	(mail_display_destroy): Unref the html object when the
	mail-display is destroyed.

2002-04-19  Anna Marie Dirks  <anna@ximian.com>

	* mail-config.glade: Added yet more accelerators for the new config
	dialog--this time for the composer pages

2002-04-19  Anna Marie Dirks  <anna@ximian.com>

	* mail-config.glade: Added a bunch of accelerators for the new config
	dialog

2002-04-18  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (redirect_get_composer): Removed all
	Delivered-To headers before redirecting. Fixes bug #23635.

2002-04-18  Radek Doulik  <rodo@ximian.com>

	* mail-callbacks.c (do_mail_print): use default paper name in case
	of wrong translation

2002-04-15  Not Zed  <NotZed@Ximian.com>

	* mail-identify.c (mail_identify_mime_part): Turn off the code
	which downloads the part if we can't identify it.  See discussion
	in #11778.

2002-04-17  Christopher James Lahey  <clahey@ximian.com>

	* folder-browser.c, mail-display.c: Updated these to match the new
	EPopupMenu.

2002-04-17  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (handle_multipart_signed): Handle broken
	multipart/signed parts such as where the signature part is not the
	last part (as it should be). Fixes bug #23583.

	* folder-browser.c (message_list_drag_data_get): Free the temp
	GByteArrays.

2002-04-17  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-local.c (mail_local_folder_construct): Just use g_basename.
	(mlf_finalize): Free the real_path.

	* folder-browser.c (on_right_click): Unref the GdkGC so we don't
	leak it.

2002-04-16  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-tools.c (mail_tool_destroy_xevolution): Free the format
	string.

	* mail-config.c (config_write_signature): Don't leak the path
	strings here.

	* mail-signature-editor.c (menu_file_save_cb): Free the dirname
	string.

	* mail-config-factory.c (config_control_factory_cb): Ref the prefs
	widget here since we unref in the destroy callback. Caught this
	thanks to purify.

2002-04-13  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-accounts.c: Build fixes for --enable-nntp.

2002-04-13  Christophe Merlet  <redfox@eikonex.org>

	* mail-config.glade: Little typo. s/IS0/ISO/

2002-04-12  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-composer-prefs.c (mail_composer_prefs_construct): Make it
	so that unchecking the "Enable Advanced Options" in the signature
	tab disables the advanced settings and vise versa.

	* mail-accounts.c (mail_accounts_tab_construct): Setup News
	preferences too if it is enabled.

	* mail-account-gui.c (mail_account_gui_new): Set the text of the
	reply-to.
	(mail_account_gui_save): Get the reply-to text here.
	(mail_account_gui_identity_complete): If there is text in the
	reply-to widget make sure it's valid.

	* mail-config.c (identity_copy): Copy the reply-to.
	(config_read): Read in the reply-to for all the accounts.
	(mail_config_write): Save the reply-to.
	(impl_GNOME_Evolution_MailConfig_addAccount): Get the reply-to.
	(identity_destroy): Free the reply-to.

2002-04-11  Jeffrey Stedfast  <fejj@ximian.com>

	* message-list.etspec: s/Sent/Date. This fixes bug #11159.

2002-04-10  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (confirm_expunge): Set the 'No' button as the
	default.

2002-04-10  Dan Winship  <danw@ximian.com>

	* mail-config.c (config_read, mail_config_write,
	mail_config_get_x_mailer_display_style,
	mail_config_set_x_mailer_display_style): Handle the X-Mailer
	display style. (There is currently no GUI for configuring this.)

	* mail-format.c (write_headers, write_xmailer_header): Show
	X-Mailer/User-Agent (and Rupert's stamp of approval) as
	appropriate.
	
2002-04-09  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (setup_service): Kludge around the brokeness
	that is GtkOptionMenu just like we kludge around it for the
	authtype option menu.

2002-04-09  Dan Winship  <danw@ximian.com>

	* component-factory.c (create_view): Add view_info arg, but don't
	do anything with it.

2002-04-08  Not Zed  <NotZed@Ximian.com>

	* mail-send-recv.c (receive_update_got_folderinfo): Argh!
	get_folder_info owns and frees its *OWN* folder info, it shouldn't
	be free'd here!  See mail-ops.c:get_folderinfo_free.
	This should fix #17259 and friends.

2002-04-08  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-signature-editor.c (menu_file_save_cb): Simplify a bit and
	write to a temp file first and then rename() it to the real
	filename. This protects against losing data if the drive is full
	too. Also use a real mode, not 0, so that we can actually
	save/read the content ;-)

	* GNOME_Evolution_Mail.oaf.in: Re-added the config wizard
	interfaces. Ettore accidently removed them thinking they were
	duplicates of the new mail-config interfaces.

	* mail-config.glade: Remove the OK, Apply, Cancel buttons from the
	keyboard shortcut tab in the composer_prefs dialog.

	* mail-account-gui.c: No need to check gui->source before using
	gui->source->url, since gui->source *has* to exist.

2002-04-06  JP Rosevear  <jpr@ximian.com>

	* GNOME_Evolution_Mail.oaf.in: add config_item:type

2002-04-04  Dan Winship  <danw@ximian.com>

	* mail-account-gui.c (mail_account_gui_new): Make the drafts and
	sent folder buttons be EvolutionFolderSelectorButtons. Remove the
	code to deal with drafts_folder_name and sent_folder_name, since
	they were only used to construct the button and aren't needed now.
	(mail_account_gui_save): Remove drafts/sent name references.
	(mail_account_gui_destroy): Likewise
	(folder_selected): Handle the "selected" signal on the folder
	selector button by updating the URI in the MailAccountGui.
	(mail_account_gui_folder_selector_button_new): Glade custom widget
	constructor.

	* mail-callbacks.c (transfer_msg): Update for
	evolution_shell_client_user_select_folder change.

	* message-browser.c (transfer_msg): Likewise. (Sigh. Why is this
	cut+pasted?)

	* mail-config.glade: Make the drafts/sent folder buttons custom
	widgets.

	* mail-config.c (account_copy): Remove drafts/sent folder name
	handling.
	(account_destroy): Likewise.
	(config_read): Likewise.
	(mail_config_write): Likewise.

	* Mail.idl (MailConfig:Account): remove drafts_folder_name and
	sent_folder_name.

2002-04-03  Jeffrey Stedfast  <fejj@ximian.com>

	* message-tag-followup.c (construct): Set the window title/icon
	here instead.

	* message-tag-editor.c (message_tag_editor_init): Don't set the
	title or window icon here, this is a generic class.

	* mail-format.c (handle_multipart_signed): Replace
	get_url_for_icon with the new mail_display_get_url_for_icon
	function.
	(handle_multipart_digest): Here too.
	(get_cid): Use mail_display_add_url instead.
	(get_location): Same.
	(handle_text_enriched): Here too.
	(handle_multipart_signed): And here.

	* message-tag-followup.c (message_tag_followup_i18n_name): Use the
	U_() macro, not the _() macro as it is what we really want.

	* mail-ops.c (mail_send_message): Don't cast the message into a
	CamelMedium before sending anymore.

	* mail-callbacks.c (expunge_folder): Set the followup argument to
	NULL here.
	(done_message_selected): Get the followup value here and pass it
	to the mail-display here.
	(do_mail_fetch_and_print): Again with the NULL followup here.

	* folder-browser.c (folder_browser_set_message_preview): Update to
	pass in NULL as the followup since we are setting the message to
	NULL here.
	(done_message_selected): Get and set the appropriate followup
	value here.
	(do_message_selected): Update to pass in NULL as the followup
	since we are setting the message to NULL here.

	* mail-display.c (mail_display_set_message): Now takes a followup
	tag value.
	(mail_display_init): Set md->followup to NULL.
	(mail_display_destroy): Free md->followup.
	(mail_display_add_url): New: replaces the static add_url function
	originally in mail-format.c
	(mail_display_get_url_for_icon): New: replaces get_url_for_icon
	which was originally in mail-format.c

2002-04-03  Dan Winship  <danw@ximian.com>

	* mail-account-gui.c: Changes to allow combined store/transport
	providers (like exchange and nntp). You can only select the
	transport if the account is also using that provider for the
	source.
	(source_type_changed): If changing away from a combined
	store/transport type, disable that provider on the transport page.
	If change to a combined store/transport type, enable and select
	that provider on the transport page.
	(mail_account_gui_setup): Do some additional bookkeeping here to
	make the above stuff work.
	(transport_type_changed): If the provider is a combined
	store/transport type, pretend it doesn't need any additional URL
	configuration.
	(mail_account_gui_transport_complete): if the transport provider
	is also a store provider, then as long as it matches the source
	for the account, it's considered complete.
	(mail_account_gui_save): If the selected transport is a combined
	store/transport provider, use the source page's information to
	fill in the transport url.

	* mail-local.c (mail_local_provider_init): Don't set up
	service_cache.

2002-04-02  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (do_edit_messages): Pass the UID of the message
	being edited to the save-draft signal handler.
	(composer_save_draft_cb): Pass the old draft uid to our async
	append_message function and let the append_message callback worry
	about deleting the old draft message on success.
	(save_draft_done): Delete the old draft message if we successfully
	appended the new draft message.

2002-04-01  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser-ui.c: Removed an unused pixmap from
	Tools/Settings to avoid a big nasty bonobo warning.

	* mail-composer-prefs.c (mail_composer_prefs_construct):
	Re-Implemented the signature editor stuff (mostly just copy/paste
	from Radeks original code).

	* mail-signature-editor.c (mail_signature_editor): Use the right
	oafiid for the html editor control.

2002-04-01  Dan Winship  <danw@ximian.com>

	* importers/Makefile.am (liboutlook_la_LDFLAGS,
	libmbox_la_LDFLAGS): Use -avoid-version -module. (From Max Horn
	<max@quendi.de>)

2002-03-29  Ettore Perazzoli  <ettore@ximian.com>

	* GNOME_Evolution_Mail.oaf.in: Added priorities for all the
	configuration pages [evolution:config_item:priority].

2002-03-29  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-preferences.c (colorpicker_get_color): Don't shift the r, g
	and b values here either.

	* mail-composer-prefs.c (colorpicker_get_color): Don't shift the
	r, g, b values.

	* mail-preferences.c (mail_preferences_construct): Restore the
	labels & colours options from the grave.
	(mail_preferences_apply): Save these labels & colours options.

2002-03-29  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-composer-prefs.c (mail_composer_prefs_construct): Same
	here.

	* mail-preferences.c (mail_preferences_construct): Do some gtk
	hackery action so we can detect if a option menu has changed.

2002-03-29  Ettore Perazzoli  <ettore@ximian.com>

	* GNOME_Evolution_Mail.oaf.in: Cleaned up a bunch [removing
	duplicates ;-)], set up icons for all the configuration pages.

2002-03-28  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-accounts.c: Use a GtkCList instead of an ETable, for some
	reason the etable was getting into some infinite resize loop or
	something. I probably did something wrong but I can't figure out
	what so I'm using a clist for now.
	(account_cursor_change): Make sure that event is non-NULL here.

2002-03-27  Ettore Perazzoli  <ettore@ximian.com>

	* mail-accounts.c (mail_accounts_tab_construct): Use
	gtk_container_add() to put the toplevel in the parent widget,
	instead of just gtk_widget_set_parent().
	* mail-preferences.c (mail_preferences_construct): Likewise.
	* mail-composer-prefs.c (mail_composer_prefs_construct): Likewise.

2002-03-27  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (mail_generate_reply): Updated to respect the
	new mail-config options for default reply style that NotZed had
	started to implement before there was a gui.

2002-03-27  Dan Winship  <danw@ximian.com>

	* mail-display.c (do_attachment_header): unset GTK_CAN_FOCUS on
	the button so that it can't grab focus when you click it.
	(do_signature): Likewise on the signature button. #3904

2002-03-26  Jeffrey Stedfast  <fejj@ximian.com>

	Sync with yet-another-mail-config branch.

	* mail-composer-prefs.c: Updated to get the right widgets and
	whatnot. Also updated to tell the evolution-config-control that
	stuff has changed.

	* mail-preferences.c: Updated to get the right widgets and
	whatnot. Also updated to tell the evolution-config-control that
	stuff has changed.

	* mail-accounts.etspec: New file needed by mail-accounts.c

2002-03-26  Not Zed  <NotZed@Ximian.com>

	* mail-callbacks.c (addrbook_sender): Changed to get the address
	from the messageinfo of the current selected message rather than
	from the current_message.
	(requeue_mail_reply): Only re-queue if we got a message, could
	potentially cause an infinite loop trying to get a message it
	can't.
	(reply_to_sender, reply_to_list, reply_to_all): Always pass NULL
	as the msg to mail_replay, this forces mail_reply to always load
	the message anew.  Fixes FIXME's and popup behaviour.  Basically
	this and stuff below fixes #8542.  Its probably not the nicest
	way, but it works.
	(mark_as_important): Use the flags properly, we can set all flags
	to any combination of on or off as we want, so we just need to
	call set_flags once, thats why its set flags and not set_option.
	(toggle_flags): Fixed the logic here also, so we dont have to call
	set_message_flags more than once, and also implement a true toggle
	for any number of simultaneous flags (whilst simplifying code).

	* mail-vfolder.c (vfolder_gui_add_from_mlist): Removed the 'msg'
	parameter, its not used, fixed callers.

	* folder-browser.c (on_right_click): Lookup the mlist from
	messageinfo, and change the 'no selected' logic slightly, fixes
	most of #8542.
	(filter_data_free): Free filter data struct.
	(vfolder_type_got_message): Actually create vfolder once we have
	the message we need to use for it.  Code could probably be changed
	to use messageinfo instead.
	(vfolder_type_uid): Lookup a message based on uid, and use that to
	create a vfolder based on type.
	(vfolder_subject_uid, vfolder_sender_uid, vfolder_receipient_uid,
	vfolder_mlist_uid): Callbacks for the popup menu, used to create
	rules based on the uid rather than the message, which it loads as
	required.
	(filter_type_got_message, filter_*_uid): Similar to vfolder
	stuff above.
	(filter_menu[]): Changed callbacks to popup specific ones, not
	folderbrowser specific ones used by bonobo.
	(on_right_click): Initialise callback data for the filter submenu
	so it can look up messages for callback implementation.

	* local-config.glade: New version from anna, with fixed widget
	names.

2002-03-20  Ettore Perazzoli  <ettore@ximian.com>

	* folder-browser.c: Reorder folder_browser_search_menu_items
	according to #16246.

2002-03-24  Ettore Perazzoli  <ettore@ximian.com>

	* mail-send-recv.c: Remove member current_folder from struct
	_send_data.
	(build_dialogue): Remove arg @current_folder.
	(mail_send_receive): Likewise.
	(free_send_data): No need to refresh the current folder here.
	[Well, hopefully, at least.]

	* component-factory.c (send_receive_callback): New.
	(create_component): Connect.

	* mail-callbacks.c (send_receive_mail): Removed.

	* folder-browser-ui.c: Remove "MailGetSend" verb.

2002-03-22  Jeffrey Stedfast  <fejj@ximian.com>

	* GNOME_Evolution_Mail.oaf.in: Add info about the new config
	controls.

	* mail-config-factory.c: New file to handle the creation/etc of
	the config controls.

	* mail-accounts.c:

	* mail-preferences.c:

	* mail-composer-prefs.c: No longer handle their own bonobo control
	creation.

2002-03-22  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (sig_new_text): Temporarily #if 0 this
	function out.
	(sig_new_html): Same.

	* mail-config.c (config_read): Read in the default reply style
	setting.
	(mail_config_write_on_exit): Same the default reply style.
	(mail_config_get_default_reply_style): New function to get the
	default reply style.
	(mail_config_set_default_reply_style): New function to set the
	default reply style.

	* folder-browser-ui.c: There is no longer a Tools/Mail Settings
	menu item.

	* mail-account-gui.c: Updated the widget types for the
	MailAccountsDialog->MailAccountsTab change.

	* mail_account_editor.c: Same.

	* mail-callbacks.c (providers_config): Removed.

	* mail-composer-prefs.c: New file that implements the composer
	preferences tab of anna's new config design.

2002-03-21  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-accounts.c: Reimplemented. This time we only have to worry
	about accounts. Also this now implements Annas config gui changes.

	* mail-preferences.c: Implements the mailer's Preferences tab in
	Anna's new config GUI.

2002-03-19  Larry Ewing  <lewing@ximian.com>

	* mail-display.c: add missing NULL closure data to popup menu
	initialization.

2002-03-19  Dan Winship  <danw@ximian.com>

	* Makefile.am (evolution_mail_LDADD): s/libversit.la/libversit.a/

2002-03-18  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (main): Report a message before entering bonobo_main() to
	simplify debugging.

2002-03-18  Ettore Perazzoli  <ettore@ximian.com>

	* folder-browser.c: Remove E_FILTERBAR_RESET menu entry.

2002-03-15  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser.c (on_right_click): Draw colour rectangles for
	each of the colour items and set a closure on each.
	(colourise_msg): colourise the message, yo.

2002-03-15  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (colour_msg): New callback to set a colour on a
	message.

	* folder-browser.c (on_right_click): Setup our popup icons and
	stuff. Also add a submenu for Labels.

	* mail-display.c (pixmap_press): Sync up with the new EPopupMenu
	API. Note: This code can probably now be fixed to use per-item
	closures - yay!

	* mail-accounts.c (construct): Connect to the label GtkEntry's and
	GnomeColorPickers and also to the Restore Defaults button.

	* mail-config.c (mail_config_get_label_name): New function to get
	a label's name.
	(mail_config_set_label_name): New function to set the label name.
	(mail_config_get_label_color): New function to get the label
	color.
	(mail_config_set_label_color): New function to set the label
	color.
	(config_read): Read in the config options for the labels and their
	colors.
	(mail_config_write_on_exit): Save the label options.

2002-03-15  Larry Ewing  <lewing@ximian.com>

	* mail-display.c: expand the relative urls of the object at the
	point so that relative images can be saved correctly.

	* folder-browser.c: add a closing quote in a comment.

2002-03-15  Ettore Perazzoli  <ettore@ximian.com>

	* folder-browser-factory.c (control_activate): Set the UI
	component on the search bar.

2002-03-14  Dan Winship  <danw@ximian.com>

	* component-factory.c (folder_types): Remove "mailstorage", since
	it's not needed any more.
	(storage_activate): Gone, although some of it is moved to
	storage_connect.
	(create_view): Remove mailstorage code.
	(add_storage): Connect to the storage's open_folder signal.
	Instead of creating a "mailstorage" folder, call
	evolution_storage_has_subfolders to let the shell know we haven't
	finished filling it in yet.
	(storage_connect): Handler for the storage's asyncOpenFolder
	signal. Call mail_note_store() to try to connect.
	(storage_connected): Callback for above. If the connection attempt
	failed, call evolution_storage_has_subfolders again to make the
	shell re-close the storage.

	* mail-folder-cache.c (update_folders): Remove a piece of
	mailstorage legacy code from here.

2002-03-14  Radek Doulik  <rodo@ximian.com>

	* mail-config.c (get_new_signature_filename): create new signature
	file
	(delete_unused_signature_file): be more careful about signature
	file path before unlinking

2002-03-14  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (next_thread): Implemented.

	* message-list.c (message_list_select_next_thread): New function
	to select the next thread.

2002-03-13  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser-window.c (folder_browser_window_new): Set a
	default size of the window, so we don't get this itty-bitty window
	the size of a quarter on the screen when it first gets shown.

2002-03-12  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (on_link_clicked): Handle digest: urls.

	* mail-format.c (setup_mime_tables): Add a handler for
	multipart/digest.
	(handle_multipart_digest): Handle multipart/digest parts.

2002-03-12  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser.c (folder_browser_set_folder): Set the folder on
	a folder-browser object.

	* folder-browser-window.c (folder_browser_window_new): Simple
	window to display a folder-browser.

	* mail-callbacks.c (view_digest): New callback to open a
	folder-browser-window with a digest folder.

2002-03-08  Radek Doulik  <rodo@ximian.com>

	* mail-signature-editor.c (menu_file_save_cb): truncate stream
	before saving

	* mail-config.c (mail_config_signature_set_html): new function

	* mail-accounts.c (sig_event_client): watch for HTML changed event

	* mail-signature-editor.c: added HTML check menu item to Format
	menu

2002-03-08  Dan Winship  <danw@ximian.com>

	* mail-config-druid.c (management_prepare): Rewrite this to not
	use stpcpy, which isn't portable.

2002-03-08  Radek Doulik  <rodo@ximian.com>

	* mail-accounts.c (sig_event_client): handle name changed event
	(sig_load_preview): don't run script before each reload
	(sig_script_activate): run script only if script entry is
	activated

	* mail-signature-editor.c (mail_signature_editor): added signature
	name entry

2002-03-07  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config-druid.c (management_changed): Re-focus the account
	name entry widget.
	(identity_prepare): If a name is not set, try and get the user's
	full name for them and set the text on the entry widget.
	(management_prepare): If the account name is already taken,
	generate a unique one by appending " (%d)".

2002-03-07  Radek Doulik  <rodo@ximian.com>

	* mail-account-gui.c (sig_new_html): make edit button sensitive
	after new signature is created
	(sig_new_text): ditto

2002-03-07  Anna Marie Dirks  <anna@ximian.com>

	* folder-browser.c: Made all the acclerators in the context menu
	on a message work. (There are 22 different menu items here, so
	picking a unique accelerator for each label was tricky, and some
	of the choices I made are different from the ones I would have
	made if there weren't so many stinking menu items.)

2002-03-07  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config.c (config_import_old_signatures): Don't use an
	uninitialized 'id'.

2002-03-07  Radek Doulik  <rodo@ximian.com>

	* mail-signature-editor.c: notify accounts dialog about signature
	content change

	* mail-accounts.c (run_script): run script only if file regular
	file exists and has x flag

	* mail-signature-editor.c (mail_signature_editor): set initial
	focus to editor
	(do_exit): use hasUndo to avoid question dialog when content is
	unchanged

2002-03-07  Dan Winship  <danw@ximian.com>

	* component-factory.c (add_storage): Update for storage changes:
	explicitly create a root folder.

2002-03-06  Dan Winship  <danw@ximian.com>

	* mail-display.c (mail_display_render): Fix the "don't scroll back
	to the top of the HTML widget when opening an attachment" hack
	again by moving it here from mail_display_redisplay(). (It has to
	happen after the gtk_html_begin.)
	(mail_display_redisplay): Pass reset_scroll arg to
	mail_display_render.

	* mail-callbacks.c (do_mail_print): Pass reset_scroll (TRUE) to
	mail_display_render.

2002-03-05  Dan Winship  <danw@ximian.com>

	* folder-browser-ui.c: Don't try to set pixmap for
	/Toolbar/MailCompose, since it doesn't exist any more.

2002-03-05  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (save_service): "use_ssl" can now be 3
	options, modify the code to handle this.
	(setup_service): Toggle the correct ssl option.
	(source_type_changed): Show/hide the ssl hbox container widget.
	(transport_type_changed): Same.

2002-03-05  Dan Winship  <danw@ximian.com>

	* mail-folder-cache.c (mail_note_store): Pull up assertion change
	from evolution-1-0-branch to allow external storages.

2002-03-04  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-accounts.c (mail_unselect): If the clicked column was
	column 0, enable/disable it.
	(mail_select): Same.

	* mail-display.c (load_http): Added more debugging code to help
	figure out why a certain image isn't loading - looks like
	gnome-vfs is getting a premature EOF?

	* folder-browser.c (my_folder_browser_init): Connect to the
	focus-in/out events on the message-list so that we can disable the
	EditInvertSelection and EditSelectThread menu items when the
	message-list is not in focus.

	* folder-browser-ui.c (folder_browser_ui_message_list_unfocus):
	New function to de-sensitize some items if the message-list is not
	in focus.
	(folder_browser_ui_message_list_focus): New function to sensitize
	some items if the message-list is not in focus.

	* mail-callbacks.c (invert_selection): Only invert the selection
	of the message-list if it is the widget in focus.

	* message-list.c (message_list_select): Do not explicitly grab the
	focus here.

2002-03-04  Ettore Perazzoli  <ettore@ximian.com>

	[Fix #19303.]

	* mail-ops.c (mail_send_message): Set X-Mailer to say "Ximian
	Evolution", not just "Evolution".

2002-03-01  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (forward_message): Forward all selected
	messages. Fixes bug #21190.

2002-02-26  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (handle_text_html): Get the Content-Base if the
	header exists and use gtk_html_set_base to set this base url.

	* mail-display.c (on_link_clicked): No longer need to calculate
	the full url. This is now handled by GtkHTML.
	(on_set_base): Removed.
	(on_url_requested): No longer need to calculate the full url.
	(mail_display_initialize_gtkhtml): Don't connect to the set_base
	signal anymore. We don't care.

	* mail-display.h: No longer need base_url (it was broken anyway).

2002-02-26  Not Zed  <NotZed@Ximian.com>

	* mail-display.c (on_url_requested): If a related part is
	requested, remove it from the related undisplayed list.

	* mail-format.c (handle_multipart_related): Check if related parts
	are displayed, if not, remove them.  For #2741.

2002-02-24  Chris Toshok  <toshok@ximian.com>

	* folder-browser.c (folder_browser_search_do_search): rename
	folder_browser_search_query_changed to this.
	(folder_browser_gui_init): hook both query_changed and
	search_activated up to folder_browser_search_do_search, preserving
	current behavior.

2002-02-22  Jeffrey Stedfast  <fejj@ximian.com>

	* message-list.c (on_message_list_built): Removed, this wasn't
	working as intended and seemed to break other features.

2002-02-21  Ettore Perazzoli  <ettore@ximian.com>

	* component-factory.c (create_component): Add an icon for the "New
	message" user creatable item.

2002-02-21  Jeffrey Stedfast  <fejj@ximian.com>

	* message-list.c (on_message_list_built): Connect to our own
	message_list_built signal. Focus the list and select the first
	unread message (or frst message depending). Fixes bug #3900.

2002-02-20  Anna Marie Dirks  <anna@ximian.com>

	* message-tag-editor.c (message_tag_editor_init): Gave the editor 
	window a title and an icon.

2002-02-20  Anna Marie Dirks  <anna@ximian.com>

	* message-tags.glade: Changed the policy for table2 so that it 
	does not expand/fill. This was necessary to allow the message list 
	as much growing room as possible. (And besides, there's no reason for
	table2 to expand/fill; its child widgets can't change size. 

2002-02-19  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (confirm_goto_next_folder): Prompt the user to
	find out if he/she wants to go to the next folder with unread mail
	in it.
	(find_current_folder): Find a given CamelFolderInfo node based on
	a given uri.
	(find_next_folder_r): Recursively look for a CamelFOlderInfo node
	which has unread messages.
	(find_next_folder): Given a currently selected CamelFolderInfo
	node, look for the next node containing unread messages.
	(do_evil_kludgy_goto_next_folder_hack): Find the currently
	selected folder and then find the very next folder after it that
	contains unread messages and then select it via a CORBA call to
	the shell.
	(next_unread_msg): If we fail to find an unread message in the
	message-list, prompt the user to find out if we should jump to the
	next fodler containing unread messages. If so, call
	do_evil_kludgy_goto_next_folder_hack().

	* message-list.c (message_list_select): Return a boolean value
	based on whether the call was successfull or not.

	* mail-config.c (mail_config_get_confirm_goto_next_folder):
	(mail_config_set_confirm_goto_next_folder):
	(mail_config_get_goto_next_folder):
	(mail_config_set_goto_next_folder): All new functions, yay.
	(config_read): Read in the confirm_goto_next_folder and
	goto_next_folder config options.
	(mail_config_write_on_exit): Same the options here.

2002-02-15  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (basename_from_uri): Ack, strip off the
	leading '/' char and also only translate if it is a local uri,
	imap folders and other external folders will be named by the user
	so no need to translate those.

	* mail-display.c (do_attachment_header): Don't display a
	down-arrow if the attachment is undisplayable. Fixes bug #6919.
	(launch_cb): Some programs are buggy when it comes to parsing
	file: uris, so make sure we do file://%s. Fixes bug #20456.

2002-02-14  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (basename_from_uri): Replacement for using
	g_basename and also translates the basename string to fix bug
	#7160.
	(mail_account_gui_save): Use basename_from_uri().
	(folder_picker_clicked): Here too.

	* mail-callbacks.c (mail_generate_reply): Default the from-account
	to the source account. If that fails, then guess the from-account
	based on the recipients. Fixes bug #20479.

2002-02-13  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (drag_data_get_cb): Implement.
	(drag_data_delete_cb): Implement.
	(do_attachment_header): Setup Drag & Drop. This implements
	bugzilla bug #1066.

	* folder-browser-ui.c: Set the followup icon to use the new flag
	icon rather than the exclamation mark icon.

	* mail-callbacks.c (flag_for_followup): Append the selected
	messages to the clist in the followp editor.

	* message-list.c: Include the new flag-for-followup icon.

	* message-tag-followup.c (message_tag_followup_append_message):
	New method to add a message to the message-list.
	(construct): Get the message_list widget and load the flag icon
	pixmap.

2002-02-12  Jeffrey Stedfast  <fejj@ximian.com>

	* message-tag-followup.c (set_widget_values): Fixed a bug.

	* mail-callbacks.c (flag_for_followup): If only 1 message is
	selected and it happens to already be marked for follow-up, set
	the value of the flag on the editor so the settings are restored.

	* folder-browser-ui.c: Set the pixmaps on MarkAsRead, MarkAsUnread
	and MarkAsImportant bonobo verbs. Also connect to
	flag-for-followup verb.
	(folder_browser_ui_set_selection_state): Added MessageFollowUpFlag
	verb to the array of verb strings.

	* folder-browser.c: Set key accelerators on the follow-up
	right-click menu items to match Outlook.

2002-02-12  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (create_msg_composer): No longer need to call
	e_msg_composer_show_sig_file(). This gets handled auto-magically
	by a signal emition when the default From address chooser gets
	created.
	(do_forward_non_attached): No longer need to call it here either
	because e_msg_composer_set_body_text() now makes sure to re-show
	the signature.

2002-02-12  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (do_forward_non_attached): Show the signature.

2002-02-11  Jeffrey Stedfast  <fejj@ximian.com>

	* message-list.c (ml_tree_value_at): Get followup-up message-list
	values. Also highlight the message in red if the due-by date is
	past due (this is what Outlook does).
	(ml_duplicate_value): Handle follow-up columns.
	(ml_free_value): Same.
	(ml_initialize_value): Here too.
	(ml_value_is_empty): And here.
	(ml_value_to_string): And finally here.

	* message-tag-followup.c (message_tag_followup_i18n_name): New
	convenience function.

2002-02-11  Radek Doulik  <rodo@ximian.com>

	* mail-callbacks.c (create_msg_composer): unset changed, drop
	editor undo
	(mail_generate_reply): drop editor undo
	(do_forward_non_attached): ditto
	(do_forward_attach): ditto
	(do_redirect): ditto

2002-02-11  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser.c (followup_tag_complete): Implemented.
	(on_right_click): Do better enabling/hiding of unwanted
	flag-for-followup options.

2002-02-09  Jeffrey Stedfast  <fejj@ximian.com>

	* message-tag-followup.c (set_widget_values): Set the correct
	drop-down menu item.
	(message_tag_followup_encode): Return NULL if the type is NONE.
	(clear_clicked): Set the drop-down menu to None.
	(type_changed): Hide the None menu item.
	(construct): Create a None menu item and set it as the default.

2002-02-08  Jeffrey Stedfast  <fejj@ximian.com>

	* message-tag-followup.[c,h]: New flag-for-followup tag editor
	dialog.

	* mail-callbacks.c (flag_for_followup): New callback that pops up
	a flag-for-followup editor dialog.
	(flag_followup_completed): Marks all flag-for-followup'd messages
	as 'complete'.
	(flag_followup_clear): Clears all flag-for-followup tags from the
	selected messages.

	* message-tags.glade: glade file for tag editors.

2002-02-08  Jeffrey Stedfast  <fejj@ximian.com>

	* message-tag-editor.[c,h]: Base class for a message tag editor.

	* folder-browser.c (on_right_click): Setup the hide/enable masks
	for "Flag for Follow-up"

	* mail-callbacks.c (confirm_expunge): Instead of hiding deleted
	messages and then expunging, disable the use of the message-list
	completely during the expunge operation.
	(expunged_folder): Re-enable the use of the message-list widget
	here.

2002-02-07  Radek Doulik  <rodo@ximian.com>

	* mail-callbacks.c (mail_generate_reply): call set_body later to
	allow ignored words to be sent to gtkhtml control ahead

2002-02-07  JP Rosevear  <jpr@ximian.com>

	* component-factory.c (create_component): remove "New" from user
	creatable menu item

2002-02-07  Christopher James Lahey  <clahey@ximian.com>

	* folder-browser.c, folder-browser.h, folder-browser-ui.c,
	folder-browser-ui.h
	(folder_browser_ui_setup_view_menus,
	folder_browser_ui_discard_view_menus): Changed this to use the new
	GalViewMenus stuff.  Made these exported functions.

	* mail-callbacks.c, message-browser.c: Changed these to not pass
	the now removed row parameter to message_list_select.

	* mail-config.c, mail-config.h (mail_config_folder_to_safe_url):
	Refactored this out of mail_config_folder_to_cachename.

	* message-list.c, message-list.h (message_list_select): Removed
	the row argument.  Changed this to use the new function in ETree
	for finding the next cursor row that matches a test.
	(message_list_construct): Handle a failed construction of the
	ETree here.
	(message_list_setup_etree, save_tree_state): Don't load or save
	the header state.  folder-browser-ui.c deals with this now.

2002-02-06  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (mail_account_gui_new): Rearranged the #if
	checks so that we don't ever try to access any smime widgets
	(since they are now being destroyed) if smime isn't enabled.
	(mail_account_gui_save): Same here.

	* message-list.c: Removed references to NEEDS_REPLY.

	* mail-callbacks.c (mark_as_needing_reply): Removed.
	(mark_as_not_needing_reply): Removed.
	(toggle_need_reply): Removed.

	* folder-browser.c (on_right_click): Remove CAN_MARK_NEEDS_REPLY
	stuff, this is going to be implemented in an entirely different
	way.

	* mail-format.c (handle_text_plain): Look for DOCTYPE XML comments
	too to decide if the message content is really HTML.

2002-02-06  Not Zed  <NotZed@Ximian.com>

	* mail-callbacks.c (mail_generate_reply): Dont double-free the
	text body data.

2002-01-31  Not Zed  <NotZed@Ximian.com>

	* mail-callbacks.c (mail_generate_reply): Add attachments after
	we've seen if the composer object is valid.
	(mail_generate_reply): Support new flag REPLY_NO_QUOTE - if set,
	then dont quote any of the message in the reply.

2002-02-02  Ettore Perazzoli  <ettore@ximian.com>

	* mail-account-gui.c (mail_account_gui_new): Destroy the S/MIME
	frame if not available, instead of just graying it out.  [I would
	just hide it, but it looks like there is a show_all somewhere so
	that doesn't work.]

2002-02-02  Ettore Perazzoli  <ettore@ximian.com>

	* mail-config.glade: Some touchups from me and Anna.

2002-01-31  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (composer_get_message): Don't bother setting
	the auto-cc/bcc recipients here. I'm moving the code to add them
	in the GUI in the composer so they will already be in the
	recipient list by this point.

2002-01-31  Radek Doulik  <rodo@ximian.com>

	* mail-callbacks.c (mail_generate_reply): ignore spell checking of
	words in addresses, move set_body_text after all ignored words are
	set so we don't have to spell check whole document again
	(mail_ignore_address): helper function
	(mail_ignore): ditto

2002-01-30  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-accounts.c (mail_edit): Pass the parent window to
	mail_account_editor_new().

	* mail-account-editor.c (mail_account_editor_new): Set the parent
	window here because construct() inadvertantly
	gtk_widget_show_all's the editor.

	* mail-account-gui.c (mail_account_gui_save): Use g_basename()
	rather than strrchr for '/' especially since the strrchr code
	wasn't doing any NULL checks.

2002-01-30  Radek Doulik  <rodo@ximian.com>

	* mail-format.c (handle_text_plain_flowed): print quoted text in
	italic

2002-01-30  Not Zed  <NotZed@Ximian.com>

	* component-factory.c (create_component): re-enable popup menu.
	(populate_folder_context_menu): If we're on a vfolder, and its not
	UNMATCHED, create a change properties item, and set it up
	approriately.
	(change_prop_popup): Callback to edit the vfolder rule.  For
	#3358.

2002-01-29  Dave West  <kat@unleashed.org>

	* mail-callbacks.c (create_msg_composer): Changed the function
	signature so that we can pass in whom we want to compose as.
	Should fix bug #10391.
	(compose_msg): Get the current profile account and pass it along
	to create_msg_composer.
	(send_to_url): Pass in a NULL profile account to cause
	create_msg_composer to use the default account.

2002-01-29  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-ops.c (mail_send_message): Make X-Evolution-Account take
	priority over X-Evolution-Transport. Should we just get rid of
	X-Evolution-Transport? Anyways, this ought to fix a number of
	complaints.

	* mail-accounts.c (construct): Don't pass NULL text to
	gtk_entry_set_text. Maybe this will fix bug #18971.

2002-01-29  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (redirect): New function that implements the
	Redirect feature.

	* mail-ops.c (mail_send_message): If we are redirecting a message,
	get the Resent-* recipients otherwise get the normal To/Cc/Bcc
	recipients and use them in the CamelTransport::send_to() method.

	* mail-session.c (main_get_filter_driver): Set the beep_func to
	the beep_cb, not the play_sound_func. Oops ;-)

	* folder-browser-ui.c: Add Redirect bonobo verb thingy here.
	(folder_browser_ui_set_selection_state): Add MessageRedirect to
	the proper string arrays.

2002-01-29  Radek Doulik  <rodo@ximian.com>

	* mail-callbacks.c (do_mail_print): initialize line to 0 to make
	everybody happy ;-)
	ops, set local_font to NULL
	(do_mail_print): get rid of static global variables, as they are
	not thread safe (thanks to clahey for pointing this out)
	(footer_info_free): unref footer font

2002-01-28  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (composer_get_message): Don't bother checking
	for invalid recipients anymore. If a recipient is invalid, the
	transport error message will specify that now.

2002-01-28  Radek Doulik  <rodo@ximian.com>

	* mail-callbacks.c (do_mail_print): print footer
	(footer_print_cb): print page number and number of pages

2002-01-27  Ettore Perazzoli  <ettore@ximian.com>

	* importers/Makefile.am: Use IMPORTERS_CFLAGS. 

2002-01-25  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (delete_event_cb): We need to return a value
	here. I think FALSE is fine (I hope).

	* mail-display.c (save_data_cb): Save the pathname.
	(save_part): Use the new mail_config cruft to get the last used
	save pathname.

	* mail-config.c (config_read): Read in last_filesel_dir string.
	(mail_config_write_on_exit): Save the last_filesel_dir setting.
	(mail_config_get_last_filesel_dir): New
	(mail_config_set_last_filesel_dir): New

	* component-factory.c (destination_folder_handle_motion): Do some
	NULL checking on the url before using it.
	(destination_folder_handle_drop): Make sure the uri is non-NULL
	before freeing.

2002-01-24  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am: s/MAILER_CFLAGS/EVOLUTION_MAIL_CFLAGS/,
	s/MAILER_LIBS/EVOLUTION_MAIL_LIBS/.

2002-01-24  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-session.c (session_system_beep): This wrapper for gdk_beep().

	* mail-account-gui.c (is_email): Don't bother trying to see if the
	domain looks like a FQDN.

	* mail-callbacks.c (select_all): If the mail-display is in focus,
	then select-all in the mail display rather than the
	message-list. Fixes bug #19126.

2002-01-23  Ettore Perazzoli  <ettore@ximian.com>

	* component-factory.c (create_component): Pass a NULL icon to
	`evolution_shell_component_add_user_creatable_item()'.

2002-01-23  Jeffrey Stedfast  <fejj@ximian.com>

	Implements bug #15692

	* folder-browser.c (html_button_press_event): New callback that
	checks to make sure that the mouse isn't over a link or image in
	the html view and then calls the on_right_click handler after
	getting the appropriate args.
	(my_folder_browser_init): Connect to the button_press_event here.

2002-01-23  Dan Winship  <danw@ximian.com>

	* Makefile.am (INCLUDES): Define CAMEL_PROVIDERDIR to be the
	configure.in-defined camel_providerdir. (Was supposed to have been
	committed a month ago... oops.)

2002-01-22  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-ops.c (mail_filter_folder): Now takes a boolean notify
	argument. If this is *not* set, then remove the sound-notify
	filter rule that mail-session adds. Kinda kludgy, but good enough
	for the moment.

	* mail-callbacks.c (guess_me): Simplified.

2002-01-21  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (handle_text_plain): If the first "token" in the
	body is "<html>", then treat this as a text/html part rather than
	a text/plain part. Fixes bug #16817.

	* component-factory.c (destination_folder_handle_drop): Removed
	some unused variables.

2002-01-17  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (try_uudecoding): Update to match new uudecode
	interface (ie, no longer need a uulen state variable).

2002-01-15  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (on_set_base): New callback to handle the
	set_base signal.
	(on_url_requested): If the base_url is set, prepend it to the data
	url (we don't want to do this for cid urls or part urls tho).
	(mail_display_init): Initialize md->base_url to NULL.
	(mail_display_destroy): Free the base_url.
	(mail_display_initialize_gtkhtml): Connect to the set_base signal.
	(on_link_clicked): If the base_url is set, prepend it to the url
	string passed to us from gtkhtml.

2002-01-10  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (do_edit_messages): Don't remove any
	X-Evolution* headers here, the composer already knows to ignore
	these. Besides, it needs to know the X-Evolution-Format header.

2002-01-08  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (composer_save_draft_cb): Do proper refcounting
	on the draft folder.

	* message-list.c (message_list_select): When performing a
	wraparound, check to see if the first (or last depending on
	direction) message fits the selection criteria before telling
	etable to find the next/previous matching node.

	* mail-account-gui.c (mail_account_gui_new): When connecting to
	the transport username changed event, pass the gui->transport not
	the gui->source.

2002-01-08  Iain Holmes  <iain@ximian.com>

	* importers/evolution-mbox-importer.c (string_to_int): Takes a hex
	string and converts it to an int.
	(get_info_from_mozilla): Creates a CamelMessageInfo structure from
	the X-Mozilla-Status header.
	(process_item_fn): Check for the X-Mozilla-Status header and if it
	is present call get_info_from_mozilla. If get_info_from_mozilla
	returns that the message was marked as deleted but never expunged
	it isn't imported.

	* importers/mozilla-status-headers.h: Stuff Evolution cares about
	from the mozilla header.

2002-01-07  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config.c (mail_config_set_new_mail_notify_sound_file): Renamed.
	(mail_config_get_new_mail_notify_sound_file): Renamed.

	* mail-accounts.c (notify_radio_toggled): Replace EXEC with
	PLAY_SOUND.
	(construct): renamed the exec_command stuff to play_sound.

	* main.c (main): Init and shutdown gnome_sound.

	* mail-ops.c (fetch_mail_fetch): Don't do any new-mail
	notification here.
	(filter_folder_filter): call camel_filter_driver_flush.

	* mail-session.c (main_get_filter_driver): Set the filter-driver
	exec_func here instead.

	* mail-ops.c (mail_fetch_mail): Don't set the filter-driver
	exec_func here.

2002-01-03  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (composer_get_message): Add an Organization
	header.

2002-01-02  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (list_add_addresses): Simplified. Also no
	longer needs an "ignore_addr" argument as far as I can tell so
	that has been removed.
	(mail_generate_reply): Don't pass an ignore_addr argument to
	list_add_addresses and also change to use g_strcase_hash and
	g_strcase_equal since addresses are not case snesitive
	(mostly). Also, Reply-To can contain multiple addresses, so handle
	this case too.

2002-01-02  JP Rosevear  <jpr@ximian.com>

	* mail-callbacks.c: remove e_gnome_dialog util functions and use
	e-util ones instead

2001-12-21  Jeffrey Stedfast  <fejj@ximian.com>

	The idea here is that if we consistantly name the movemail file
	between Send&Receive sessions that if the user cancells the
	"download" of a mbox spool that the next Send&Receive will not
	"lose" mail that didn't finish the previous session. Fixes bug
	#17759. Well, mostly. If you have 200 messages and cancel after
	the first 100, say, then the next time you hit Send&Receive, it
	will start over from 1 so you'll end up duplicating the first 100
	messages, but at least you won't "lose" mail.

	* mail-tools.c (mail_tool_get_local_movemail_path): Now a static
	internal function, takes a char *uri argument and no longer
	generates movemail.%d filenames... they are now based on the uri
	provided.
	(mail_tool_do_movemail): Pass along the source_uri.

2001-12-20  Jon Trowbridge  <trow@ximian.com>

	* message-list.c (on_click): Makes the auto-undelete behavior when
	changing message flags a bit more sane. (Fixes #17634)

2001-12-20  Ettore Perazzoli  <ettore@ximian.com>

	[Fixes #17377, Evolution doesn't work on multi-depth displays.]

	* main.c (main): Push GdkRGB visual and colormap.

2001-12-19  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (composer_get_message): Add the auto-cc/bcc
	recipients here. The problem with setting them in the composer is
	that what if the user changes which account he wants to use? We'd
	either have to clear the cc/bcc lists *or* we'd have to leave them
	alone. Either way is bad. We can't just clear the entries because
	the user may have added addresses since the composer was
	opened. We don't want to leave any old auto-cc/bcc addresses there
	because that isn't desirable either. So we give up and add them
	here after the user has already hit the send button.

	* mail-config.c (account_copy): Update to copy the always-[b]cc
	options.
	(account_destroy): Update to destroy the above options.
	(config_read): Update to read in those values.
	(mail_config_write): Save those options.

	* mail-account-gui.c (mail_account_gui_new): Setup Always Cc/Bcc
	widgets.
	(mail_account_gui_save): Get the user-entered values for the
	always-cc/bcc stuff.

2001-12-19  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (setup_service): If the provider is NULL,
	don't do anything.

	* mail-accounts.c (construct): Oops, no wonder the exec command
	thing never stuck around... I wasn't getting the right widget from
	libglade. Also connect to the GtkEntry's changed event since a
	GnomeFileEntry doesn't have that signal in its ancestry.

2001-12-18  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-ops.c (filter_folder_free): Argh, don't notify about new
	mail here.
	(fetch_mail_fetch): Notify about new mail here instead.

	* mail-accounts.c (construct): Setup the new-mail-notification
	widgets.
	(notify_command_changed): Update the command-line for new mail
	notification.
	(notify_radio_toggled): Update the new-mail-notification type.

	* mail-ops.c (filter_folder_free): See if we got any new mail and
	"sound the alarm" if we did.

2001-12-17  Jon Trowbridge  <trow@ximian.com>

	* mail-format.c (handle_text_plain_flowed): Set citation color to
	black when we are printing.

	* mail-format.c (attachment_header): Avoid embedding <object> tags
	when we are printing.
	(handle_multipart_signed): Don't do the click-for-info signature
	stuff when we are printing.
	(handle_via_bonobo): Don't embed an <object> tag if we are
	printing.

	* folder-browser.c: Changed context_menu[] array so that we can
	print when the preview pane is closed.

2001-12-14  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-ops.c (mail_fetch_mail): Set the filter driver's shell-exec
	callback.

2001-12-12  Jeffrey Stedfast  <fejJ@ximian.com>

	* mail-config.c (mail_config_check_service): Connect to the
	destroy signal on the popup dialog.

2001-12-12  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (handle_text_plain): Make sure i != num_specials
	after we check for any special text markers. Fixes bug #12265.

2001-12-14  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (compose_msg): Connect to the save-draft signal.
	(send_to_url): Here too.
	(mail_reply): And here...
	(forward_get_composer): Same.
	(do_edit_messages): And finally here.

	* mail-format.c (try_inline_pgp):
	(try_inline_pgp_sig): Start reiplementing The Right Way and not
	danw's fucking half-assed kludge that doesn't work.

2001-12-12  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config.c (mail_config_set_new_mail_notification_command):
	set the new-mail-notify command.
	(mail_config_get_new_mail_notification_command): get the
	new-mail-notify command.
	(mail_config_set_new_mail_notification): set the
	new-mail-notification action.
	(mail_config_get_new_mail_notification): get the
	new-mail-notification action.
	(mail_config_write_on_exit): save the new-mail-notification
	settings.
	(config_read): Read in the new-mail-notification settings.

	* mail-ops.c (mail_execute_shell_command): New function to execute
	a shell command async. Will be used for playing sounds on new mail
	or whatever.

2001-12-11  Jon Trowbridge  <trow@ximian.com>

	* mail-identify.c (mail_identify_mime_part): Fixed for
	mail_content_loaded's new signature.

	* mail-format.c (attachment_header): Don't convert URLs, etc. if
	we are printing.
	(write_address): Don't convert addresses to mailto: links if we
	are printing.
	(write_one_text_plain_chunk): Add a printing flag, that we pass
	along to mail_text_write.
	(handle_text_plain): Pass our printing flag to
	write_one_text_plain_chunk.
	(mail_get_message_rfc822): Don't unneccesarily convert URLs.
	(mail_content_loaded): Add a GtkHTML parameter.

	* mail-display.c (mail_display_initialize_gtkhtml): Added.  Breaks
	all of the signal hookups out of mail_display_new.
	(mail_display_new): Call mail_display_initialize_gtkhtml.
	(mail_text_write): Don't convert URLs, etc., if we are printing.
	Lots of other changes to pass around GtkHTML/GtkHTMLStream objects.

	* mail-callbacks.c (do_mail_print): Call
	mail_display_initialize_gtkhtml on our GtkHTML object.

	* folder-browser.c (update_status_bar): Make the status bar more
	useful when you have a large number of hidden messages.

	* message-list.etspec: Add ETable magic for our new "Needs Reply"
	column.  (The next few entries are for bug #90)

	* message-list.h: Add COL_NEED_REPLY.

	* message-list.c: Move mail_need_reply_xpm to the end of
	states_pixmaps.
	(ml_duplicate_value): Handle COL_NEED_REPLY.
	(ml_free_value): Handle COL_NEED_REPLY.
	(ml_initialize_value): Handle COL_NEED_REPLY.
	(ml_value_is_empty): Handle COL_NEED_REPLY.  Added
	needs_reply_map[] array.
	(ml_value_to_string): Handle COL_NEED_REPLY.
	(ml_tree_value_at): Fix magic numbers, undoing my changes from the
	otehr day.  Add handler for COL_NEED_REPLY.
	(message_list_create_extras): Attach icons for COL_NEED_REPLY.
	(on_click): Undo my previous changes to display need-reply status
	in COL_MESSAGE_STATUS.  Add handing for COL_NEED_REPLY.

	* mail.h: Change mail_format_mime_message, mail_format_raw_message
	and the MailMimeHandlerFn typedef to take GtkHTML and
	GtkHTMLStream args, as per our changes in mail-format.c.

	* mail-format.c: Giant refactoring.  Remove the assumption
	throughout that we will always want to render into the GtkHTML
	object contained in the MailDisplay.  Instead, always pass in the
	GtkHTML and GtkHTMLStream that we want to write to.  Also, ignore
	theme work-arounds if the printing flag is set.  (This and what
	follows fixes bug #82)

	* mail-display.h: Remove GtkHTMLStream *stream from MailDisplay.
	We don't need it anymore.

	* mail-display.c (mail_display_render): Added.  Breaks the code
	that renders the message into the GtkHTML object out of
	mail_display_redisplay.
	(mail_display_redisplay): Call mail_display_render.
	(mail_display_init): Remove reference to ->stream.
	(mail_display_new): Remove reference to ->stream.

	* mail-callbacks.c (do_mail_print): Create a new GtkHTML to render
	our printed version into (via the new function
	mail_display_render.  Set the MailDisplay's printing flag to TRUE
	before we render, and set it back to FALSE afterwards.
	(do_mail_fetch_and_print): If the preview pane isn't open when we
	try to print, fetch the message before printing.
	(print_msg): Call do_mail_fetch_and_print.
	(print_preview_msg): Call do_mail_fetch_and_print.

	* folder-browser-ui.c: Remove "PrintMessage" and
	"PrintPreviewMessage" from message_pane_enables... these now work
	when the preview pane is closed.  Disable printing if multiple
	messages are selected.

2001-12-10  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-ops.c (filter_folder_filter): Don't expunge when we sync
	anymore, this fixes bug #4472.

2001-12-04  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-autofilter.c (rule_from_message): Make sure that the
	message subject is non-NULL beforetrying to base a vfolder rule
	off it. Fixes bug #16284.

2001-12-07  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-accounts.c (construct): Connect to the dialog's "destroy"
	event and close any druids/editors that may be open when that
	signal is caught. Fixes bug #16501.

	* mail-vfolder.c (vfolder_edit): Set the window title to "Virtual
	Folders". Fixes bug #16695.

2001-12-05  Radek Doulik  <rodo@ximian.com>

	* mail-callbacks.c (do_mail_print): set paper size to
	_("US-Letter"), use gtk_html_print_set_master

2001-12-08  Dan Winship  <danw@ximian.com>

	* mail-display.c (on_object_requested): Don't just assume all of
	the GtkHTMLEmbedded's fields are filled in, since HTML messages
	may have <object>s in them that we're not expecting.

2001-12-07  Dan Winship  <danw@ximian.com>

	* mail-send-recv.c (mail_send_receive): Add a "current_folder"
	arg.
	(build_dialogue): Remember the current_folder
	(free_send_data): If current_folder is set, refresh it so it's
	guaranteed to be synced with the folder tree. Fixes #14770.

	* mail-callbacks.c (send_receive_mail): Pass current_folder to
	mail_send_receive().

2001-12-04  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (stream_write_or_redisplay_when_loaded): Check
	that the mail-display hasn't been destroyed.
	(mail_display_redisplay): Same here.

2001-12-07  Dan Winship  <danw@ximian.com>

	* mail-send-recv.c (receive_update_got_store): If updating a store
	that we don't have an associated storage for, just request a
	folder tree and then free it. (For the Connector)

	* mail-callbacks.h: Add missing part of Jeff's 12-03 patch so this
	actually compiles.

2001-12-06  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-ops.c (mail_send_message): s/PREVIEW_RELEASE/VERSION_COMMENT

2001-12-03  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-ops.c (mail_send_message): Don't append "(Preview Version)"
	at the end of the version string. Use the PREVIEW_RELEASE #define
	instead.

2001-12-03  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser-ui.c: Setup the UI for the AddSenderToAddressbook
	ui verb thingy.

	* mail-callbacks.c (add_sender_to_addrbook): New bonobo-ui
	callback that adds a sender to the addressbook.

2001-12-04  Jon Trowbridge  <trow@ximian.com>

	* folder-browser-ui.c (folder_browser_ui_set_selection_state):
	Allow 'n' and 'p' to work when multiple messages are selected.
	Fixes #12062.

2001-11-28  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (save_msg_ok): If the path exists, make sure
	it's a regular file (or we can't possibly save to it). Fix for
	#14127.

2001-11-28  Jeffrey Stedfast  <fejj@ximian.com>
	
	* message-list.c (message_list_select): Cleaned up the code.

	* mail-callbacks.c (previous_unread_msg): Pass wraparound as TRUE.

2001-11-24  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-config.c (pgpopen): Fix the boolean check to be && and not
	||.

2001-11-20  Not Zed  <NotZed@Ximian.com>

	* folder-browser-ui.c: Disable search if no message
	loaded/viewed.  Also for #14348.

	* folder-browser.c: Disable "Add sender to addressbook" if we dont
	have a message loaded (it wont work).  For #14348.

2001-11-20  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (load_content_loaded): Make sure the mail-display
	object is still "alive" before accessing any of it's data.

2001-11-14  Zbigniew Chyla  <cyba@gnome.pl>

	* mail-autofilter.c (rule_match_recipients, rule_from_message,
	rule_from_mlist): s/_/U_/ (filter_rule_set_name requires UTF-8 string)

2001-11-14  Dan Winship  <danw@ximian.com>

	* main.c (segv_redirect): Instead of doing pthread_exit() after
	redirecting the SEGV, try to lock a mutex we know is already
	locked. This will hopefully help debug a bunch of bugs where the
	crashed thread seems to be missing from the bug-buddy report.

2001-11-13  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-session.c (pass_got): Call e_passwords_remember_password()
	for account passwords if the user set the "remember password"
	checkbox.

2001-11-12  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-vfolder.c (vfolder_load_storage): Add a NULL check for
	rule->name.
	(mail_vfolder_add_uri): Same here.

2001-11-09  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (forward_message): If we already have the
	message loaded in the mail-display, don't bother re-loading. This
	happens to fix bug #14848.

2001-11-08  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-tools.c (mail_tools_x_evolution_message_parse): Was
	x_evolution_message_parse from folder-browser.c. A space char is
	no longer used to separate the folder URI and the first uid,
	instead this is now done with a nul-char so update to parse the
	newer/better format.

	* component-factory.c (destination_folder_handle_drop): Update to
	parse the new/better format.

	* folder-browser.c (x_evolution_message_parse): Moved to
	mail-tools.c
	(message_list_drag_data_get): Instead of placing a space char
	after the folder URI, instead use a nul-char.

2001-11-06  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-accounts.c (pgp_path_changed): Call
	mail_config_pgp_type_detect_from_path() instead of doing our own
	lame auto-detection that didn't even work ;-)

	* mail-config.c (auto_detect_pgp_variables): Execute the pgp
	binary and look at it's version string if we have a version string
	to compare to.
	(mail_config_pgp_type_detect_from_path): New function that takes a
	pgp path and attempts to figure out what pgp version it is.

2001-11-07  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (try_inline_pgp): Add a "x-inline-pgp-hack=true"
	paramter to the multipart's content-type.

2001-11-05  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-editor.c (construct): Don't make the account editor
	modal either.

	* mail-accounts.c (mail_add): Use the new global account druid
	variable so that we can avoid having more than a single druid at a
	time. If a druid already exists, bring it to the top.
	(mail_edit): Same idea only for the account editor this time.
	(mail_editor_destroyed): Set the global editor to NULL.
	(mail_add_finished): Set the global druid to NULL.
	(mail_delete): Don't allow any deletes if an account editor is
	opened (we don't want to be able to delete the account we are
	editing...)
	(news_edit): Same thing for the news editor.
	(news_editor_destroyed): Set the news editor to NULL.
	(news_add): And again for the news add.

	* mail-account-gui.c (service_check_supported): Updated to pass a
	GtkWindow argument to mail_config_check_service().

	* mail-config.c (mail_config_check_service): Now takes a GtkWindow
	argument so we can set our parent window. Also, don't make this
	dialog modal either.

	* mail-config-druid.c (construct): Don't make this druid modal.

2001-11-05    <NotZed@Ximian.com>

	* message-browser.c (set_bonobo_ui): Override the Move/Copy
	handlers setup by the folder_browser_ui code, and use our own,
	because we need to pass it a live window which we can't.
	(transfer_msg): Our own version of mail-callbacks.c:transfer_msg,
	so we can properly pass the parent to the user_select_folder.
	(transfer_msg_done): Also copy this so we can pass it diff args.
	All fix #13919.

	* mail-callbacks.c (transfer_msg): Set physical/uri to NULL before
	calling, because althought he shell client api call is supposed to
	null these out, it doesn't with its stupid assertion checks on
	entry.  Also free physical to plug a memleak.  Bugs exposed by
	#13919.

2001-11-01  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.h (mail_html_write): Renamed from
	mail_html_write_string.

	* mail-display.c (mail_text_write): Don't bother with varargs
	since nothing used them, we were only passing strings anyway...
	(mail_error_printf): Renamed from mail_error_write, this makes
	more sense.
	(mail_html_write): Removed.

	* mail-format.c: Updated to use gtk_html_stream_printf directly
	and s/mail_html_write_string/mail_html_write.
	(mail_lookup_handler): Don't use %.*s here either...
	(handle_text_enriched): Same.
	(write_one_text_plain_chunk): And finally here (also update for
	new mail_text_write api).
	(handle_multipart_signed): Update for new mail_text_write api.
	(format_mime_part): Update for new mail_error_text/printf name
	change.
	(handle_multipart_encrypted): Same.

	* mail-tools.c (mail_tool_generate_forward_subject): Same as
	mail_generate_reply.

	* mail-callbacks.c (mail_generate_reply): Don't use %.*s in any
	*printf* functions.

2001-11-02  Christopher James Lahey  <clahey@ximian.com>

	* message-list.c (ml_tree_value_at): Use GINT_TO_POINTER here for
	platforms where simply casting an int to void * won't work.
	(build_flat_diff, main_folder_changed): Call
	e_tree_model_pre_change here.

2001-11-02    <NotZed@Ximian.com>

	* message-browser.c (message_browser_message_list_built):
	Disconnect from the message_list_built function so we dont do it
	every time the list is rebuilt.

	* mail-callbacks.c (composer_send_cb): Disable autosave when we're
	sending mail.
	(composer_sent_cb): Re-enable autosave.

	* folder-browser-ui.c (fbui_sensitize_timeout): Make sure we reset
	any data we're using on the folderbrowser before doing anything
	'cause things could vanish while we're doing it, and also
	ref/unref the folderbrowser so it doesn't vanish while w'ere
	working.

	* folder-browser.c (folder_browser_set_ui_component): If we are
	changing the ui comp, remove any pending timeouts.  For #13719.

2001-11-01  Larry Ewing  <lewing@ximian.com>

	* folder-browser.c (folder_browser_copy): fix cut & paste from the
	message body.

2001-11-01  Dan Winship  <danw@ximian.com>

	* mail-format.c (handle_multipart_signed): Write out the url
	before callind add_url since add_url may free it. Fixes #13839.
	Remove debug printf.

	* mail-display.c (on_object_requested): Remove debug printf.

2001-10-31  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (list_add_addresses): Don't use a
	case-sensitive comparison.

2001-10-31  Dan Winship  <danw@ximian.com>

	* mail-format.c (try_inline_pgp_sig): Make this work again.

2001-10-30  Larry Ewing  <lewing@ximian.com>

	* mail-account-gui.c (delete_event_cb): add delete_event_handler.
	(menu_file_save_close_cb): add save and close command.
	(launch_signature_editor): initial the editor as having changed
	and attach the delete event handler.

2001-10-30    <NotZed@Ximian.com>

	* message-browser.c (d): Turn it off.

	* mail-mt.c: Added exception strings to some of the op logging.
	
	* mail-format.c (elide_quotes): Remove, uh, what was this for, its
	not used anywhere?  Also loops the instant it had a ", good one
	trow! :)
	(write_address): Remove name_arg/email_arg, these aren't used
	anywhere.

	* mail-mt.c (mail_msg_received): If we have a cancellation setup,
	destroy it immediately, to save fd's.
	(mail_msg_cancel): Check cancel != NULL.
	(mail_msg_free): Same.

	* folder-info.c: Comment out the Folder: and you've got mail
	prints.

	* mail-config-druid.c (wizard_next_cb): If we have a next
	function, honour if it tells us its going to set the page, and
	dont set it, otherwise, set it to the next page, unless we're at
	the end of our pages, and let the wizard do it itself.
	(wizard_back_cb): Same for going back.  Rest of fix for #12127,
	see e-shell-startup-wizard for the rest.
	(next_func): If we're not on the last page, tell the druid we're
	gonna handle the next button, so we can sync properly with it,
	needed for above changes.
	(back_func): Similarly for going back past page 0.
	(wizard_listener_event): We want to set the page to the actual one
	asked for not, pagenum-1.

	* mail-local.c (mls_rename_folder): Oops, dont use the url storage
	path to offset the folder name we're renaming/opening, etc.

	* subscribe-dialog.c (fe_cancel_op_foreach): Argh!!! Dont free the
	async op data here, the async op is still running and will access
	it!  Just try to cancel it and mark it as cancelled (id == -1)
	(fe_done_subscribing): Only remove outselves from the hash table
	if we're not cancelled.  The handle should always be set here,
	since this code runs in the gui thread.

	* message-list.c (on_cursor_activated_idle): If nothing
	selected/cursor not activated, then select no message.

	* mail-folder-cache.c (update_1folder): Make the trash count
	optional on EVOLUTION_COUNT_TRASH, becuase some lusers are just
	too stupid to understand what its for.

	* component-factory.c (storage_xfer_folder): Return slightly
	better error codes for copying folders, since its not implemented
	yet.

	* mail-vfolder.c, mail-local.c, mail-folder-cache.c,
	message-list.c component-factory.c, mail-ops.c,
	subscribe-dialog.c, mail-session.c: d() out some debug printfs,
	w() out some warnings.

	* folder-browser-ui.c (folder_browser_ui_add_message): Fix typo,
	Resent->Resend.

2001-10-29  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-ops.c (transfer_messages_transfer): Don't warn the user if
	the source and destination folders are the same.

2001-10-29  Dan Winship  <danw@ximian.com>

	* mail-format.c (handle_multipart_signed): add some debug spew re
	13839.

	* mail-display.c (on_object_requested): here too

2001-10-29  Christopher James Lahey  <clahey@ximian.com>

	* e-searching-tokenizer.c (search_info_set_match_size_increase):
	Fixed a warning by #if 0ing out this function.

	* folder-browser.c, folder-browser.h (on_selection_changed):
	Update status bar in an idle call.  Fixes Ximian bug #13929.

	* mail-folder-cache.c (folder_renamed, store_folder_renamed):
	Fixed some warnings here.

2001-10-29  Dan Winship  <danw@ximian.com>

	* folder-browser.c (folder_browser_copy): Fix the focus check.
	It's not fb->message_list that has focus, it's one of its
	children. #13616.

2001-10-29    <NotZed@Ximian.com>

	* mail-folder-cache.c (store_folder_renamed): Sort the folder
	updates first, since we dont seem to get them in the right order,
	or infact in any tree representation whatsoever when using IMAP
	...? get_folder_info bugs?

	Unrelated note to self, the subscribe dialogue may interfere with
	the folder cache.
	
	* mail-vfolder.c (rule_changed): Copy the folder's full_name
	before trying to use it to rename.
	(vfolder_edit_rule): Set 'orig' to be a reference of the original
	rule.
	(edit_rule_clicked): Dont lookup orig by name, copy it over
	instead.

	* folder-browser.c (got_folder): oops, emit signal before
	unreffing object, incase we got killded during getting folder.
	(got_folder): Reset get_id.
	(folder_browser_new): Set get_id of the get_folder task.
	(folder_browser_init): Init get_id.
	(folder_browser_destroy): IF we have outstanding 'get folder' op,
	cancel it.

2001-10-28  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (mail_account_gui_save): Call
	mail_autoreceive_setup() instead of
	mail_autoreceive_setup_account() since that code was completely
	broken anyway.

	* mail-send-recv.c (mail_autoreceive_setup_account): Removed. 

	* mail-callbacks.c (transfer_msg_done): Move the message-list
	cursor to the next message.
	(transfer_msg): If we are moving messages, then pass
	transfer_msg_done() to mail_transfer_messages() so when it
	finishes it can move the cursor to the next undeleted message.

	* mail-format.c (try_inline_pgp): Check that the special PGP lines
	begin and end with \n so as to avoid matching against quoted PGP
	lines.

2001-10-28    <NotZed@Ximian.com>

	* mail-callbacks.c (mark_all_as_seen): fb = user_data, not fb =
	fb!, fixes 13844.

	* mail-local.c (mlf_rename): add the folder name to the path when
	passing down to the subordinate folder.

	* folder-browser-ui.c (fbui_sensitize_timeout): Remove uic, kill
	dumb warning.

	* mail-autofilter.c (mail_filter_rename_uri): Implement function
	for filters to keep track of uri's being renamed.
	(mail_filter_delete_uri): Similarly for deleting uri's.  Note that
	these functions are just noops though.

2001-10-28  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser.c: Deactivate the Print right-click menu option
	if the message isn't loaded. Fixes bug #10346.

2001-10-28    <NotZed@Ximian.com>

	* mail-vfolder.c (mail_vfolder_rename_uri): Implemented.
	(mail_vfolder_rename_uri): We do want to check renamed uri's from
	vstores.
	(mail_vfolder_delete_uri): Same.
	(store_folder_renamed): Fix the folder hash at the same time.

	* mail-folder-cache.c (real_flush_updates): Pass the rename event
	to vfolder rename uri.
	(real_flush_updates): Also rename and delete uri's from filters.

	* mail-local.c (mail_local_folder_reconfigure): Change the store
	path to be same as parent + mbox to be full path.
	(mls_delete_folder): Change store path to be parent path, and mbox
	to be full path.
	(mail_local_folder_reconfigure): Fix a leak of tmpname.
	(mls_delete_folder): Unref the store when done.
	(mls_rename_folder): Fix implementation, shell already created
	destination folder, so we can't just rename :(

	* component-factory.c (xfer_folder): Only do a rename if we have
	remove set, cleaned up logic a bit.
	(idle_quit): Put the components still active check last last of
	all.
	(storage_create_folder): IF we have a fragment, use that as part
	part for parent.
	(xfer_folder): Manually call rename code, since the shell will do
	a remove/add later on, AND there's no way we can determine the new
	path from the crock of an api we have to work with.

2001-10-27  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (mail_format_get_data_wrapper_text): Allow the
	user to shoot him/herself in the foot when overriding message
	charsets. Permanantly fixes bug #921.

2001-10-26  Dan Winship  <danw@ximian.com>

	* folder-browser.c (etree_key): Work around something that we
	think is a GtkHTML bug, where sometimes the adjustments have
	slightly bogus values and scrolling ends up working backwards.
	(Ximian 4939)

	* mail-display.c (do_signature, do_attachment_header): Set the
	icon to be 24x24 here so that (assuming it's not a thumbnail), no
	resizes will have to be queued later. (There's still a bug with
	the text to the left of the button being drawn twice for some
	reason though.)

	* mail-callbacks.c (delete_msg): Fix a bug here that makes
	deleting multiple messages cause a gratuitous message body fetch.
	(Ximian 12355)

2001-10-25  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (providers_config): Set the GdkWindow of the
	FolderBrowser, not the GtkWindow...

2001-10-26    <NotZed@Ximian.com>

	* mail-local.c (mlf_set_folder): Changed to open the source store
	from '/', so we can do renames across directories.  Of course,
	this doesn't quite work with different filesystems, but we'll
	assume this isn't a problem we're going to have.
	(mail_local_folder_get_type): Setup parent_class.
	(mlf_rename): Implement folder rename call, rename internal data.

	Is this a security issue?  Well, not really, no more than anything
	else.

	* mail-folder-cache.c (mail_note_store): Listen to rename event.
	(store_folder_renamed): Function to handle it, empty.
	(mail_note_store_remove): Unhook from rename event.
	(mail_note_folder): Hook onto renamed event.
	(unset_folder_info): Unhook from renamed event.
	(folder_finalised): Lock around update.
	(folder_deleted): Lock around update.
	(real_flush_updates): If we have a path to remove remove it.
	(rename_folders): Scan folderinfo's, if we can find ones renamed,
	rename them, otherwise add them.

	* component-factory.c (owner_unset_cb): Use a timeout not an idle
	handler.
	(storage_xfer_folder): Implementation of xfer_folder signal
	handler, so we can rename imap/vfolders/etc.

	* component-factory.c (owner_unset_cb): Use a timeout not an idle
	handler.

	* mail-callbacks.c (providers_config): Only set the parent window.

	* mail-accounts.c (mail_edit): Set the parent on the account editor.

2001-10-25    <NotZed@Ximian.com>

	* openpgp-utils.c (openpgp_verify): s/iconv/e_iconv/.

2001-10-25  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-ops.c (send_mail_free): Don't forget to unref the filter
	driver here.

2001-10-25    <NotZed@Ximian.com>

	* folder-browser-ui.c (fbui_sensitize_timeout): So apparently the
	uicomp can just 'vanish' while we're using it.  Joy.  Take care of
	that case here, fixes #13482.
	(fbui_sensitise_item): Check here too just for kicks.

	* mail-folder-cache.c (store_finalised): If we can't destroy our
	async event, then queue another one to do it.
	(store_finalised_finish): And handle it here, until we can, then
	free it.
	(mail_note_store): Queue an async event to get folderinfo, dont
	use mail_get_folderinfo.
	(update_folders_get): thread-async event to retrieve the
	folderinfo, and build it, then queues gui-async event to update
	the gui.
	(add_unmatched_info): Taken from mail-ops, adds unmatched if
	required.
	(add_vtrash_info): From mail-ops, add trash if required.
	(update_folders): Thread async event to update gui.
	(mail_note_store): Ref the store and storage when created.
	(update_1folder): Changed to assume we have info_lock, and store
	updates in an updates list.
	(setup_folder): Same.
	(folder_changed): Changed to call update_1folder directly.
	(real_folder_changed): Removed.
	(mail_note_folder): Changed to call update_1folder directly.
	(real_note_folder): Removed.
	(store_folder_subscribed): Call setup_folder directly.
	(real_folder_created): Removed.
	(real_flush_update): Function that actually does the updates in
	the gui thread.
	(mail_note_store): Go back to using mail_get_folderinfo.
	(update_folders): Fixed upf ro changed api's.
	(unset_folder_info): Changed to queue pending updates.
	(real_folder_deleted): Removed.
	(store_folder_unsubscribed): Do the removal work directly.
	(mail_note_store): Dont link to finalised event of store - we now
	ref it.
	(mail_note_store_remove): If we have any pending updates, clear
	them out.  Also cancel any pending folderinfo retrieve operations.
	(update_folders): Remove our update from the storeinfo list, if it
	still exists.
	(update_1folder): Make 'sent folder shows all counts' optional via
	an environmental variable EVOLUTION_COUNT_SENT for all those
	bloody whinging lusers out there.
	(mail_note_store_remove): Unref the storage when done.

	* mail-mt.c (mail_async_event_emit): If we're in main and have a
	gui task, set it to run via an idle function.
	(idle_async_event): Wrapper for calling do_async_event from idle
	function, and freeing the message when done.
	(idle_async_event): Call mail_msg_free not free on the finished
	message.

	* component-factory.c (mail_remove_storage): Destroy the storage
	async.
	(store_disconnect): This does the work.
	(free_storage): Un-note the store when we remove it, so the store
	noting code can unref things properly.
	(idle_quit): Return false when done, dont loop.

2001-10-24    <NotZed@Ximian.com>

	* component-factory.c (owner_set_cb): Setup an async_event
	handler.
	(idle_quit): Try to destroy the async_event, or keep dropping out
	if it can't (deadlock).

	* mail-mt.c (do_async_event): Set the threadid of the thread we're
	running in so we know its running/which thread its in.
	(mail_async_event_emit): Added new argument 'type' which is the
	type of thread to execute against, gui or another one.  Fixed all
	callers.
	(mail_async_event_destroy): Return -1 if this operation will fail
	(deadlock possibility).  If we're in the thread of the task
	we're going to wait for, then return a failure (since we will
	deadlock).
	(mail_async_event_emit): Changed to use MailAsyncFunc type as the
	function type, which just takes 3 void args, change args to suit.

	* mail-folder-cache.c (mail_note_store): Record the pending update
	events in a pending list.  We should really be able to use an
	async event for this, but that doesn't return to the gui loop when
	done :-/
	(update_folders): Remove from pending update when done.

2001-10-25  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-send-recv.c (get_receive_type): Check for a NULL provider.
	(build_dialogue): Check for invalid source urls.
	(mail_receive_uri): Same.

2001-10-24  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (mail_generate_reply): No longer need to pass a
	settext argument.
	(do_forward_non_attached): Same.

	* mail-format.c (mail_get_message_body): Fix to not always return
	NULL for html parts, doh!.

2001-10-24    <NotZed@Ximian.com>

	* folder-browser-ui.c (ui_add): 
	(fbui_sensitize_timeout): Same.

	* folder-browser-factory.c (control_activate): Comment out freeze/thaw.
	(control_deactivate): 

2001-10-24  Jon Trowbridge  <trow@ximian.com>

	* mail-search.c (mail_search_construct): Fixed some weird casting
	crack that got in here somehow, removed superfluous box-packing
	that was generating a gtk warning.

2001-10-23  Jeffrey Stedfast  <fejj@ximian.com>

	* component-factory.c (owner_unset_cb): Unref the global
	search_context.
	(owner_set_cb): create the global search_context.

	* folder-browser.c (folder_browser_gui_init): Pass along the
	global search_context to the e_filter_bar_new call.

2001-10-24    <NotZed@Ximian.com>

	* message-browser.c (message_browser_message_loaded): Call
	ui_message_loaded when we are.

	* folder-browser-factory.c (control_activate): Freeze/thaw around
	all updates.
	(control_deactivate): Freeze/thaw around all updates.

	* folder-browser.c (folder_browser_init): Setup a hashtable to
	keep track of *our* sensitise state, so we can optimise pushes to
	bonobo.
	(folder_browser_finalise): Free hash here.
	(folder_browser_set_message_preview): Call a ui_message_loaded,
	even though it isn't, so it updates sensitivities right.
	(done_message_selected): Call ui_message_loaded when it really is,
	rather than the very fucked up idea of reversing the loaded_uid
	check.

	* folder-browser-ui.c (folder_browser_ui_set_selection_state):
	Dont enable the message-enabled options if the message display is
	hidden, e.g. print, view headers, etc.
	(folder_browser_ui_rm_all): Forget sensitise state.
	(fbui_sensitise_item): Sensitise items via a current-state table,
	so we dont have to do bonobo calls every time.
	(folder_browser_setup_property_menu): Call sensitise_item.
	(folder_browser_ui_add_message): 
	(folder_browser_ui_add_global): Leave current set_prop "sensitive"
	for the stop button, so it doesn't get lost by the stuff in
	mail-mt.c
	(fbui_real_sensitize_items): Removed.
	(fbui_sensitize_timeout): Cleaned up, use sensitise_item to do
	work.
	(folder_browser_ui_message_loaded): Setup sensitive based on
	preview_shown too.
	(folder_browser_ui_set_selection_state): And here too.

2001-10-23  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-account-gui.c (service_check_supported): Don't allow an
	auth-type to be set when saving the service.
	(mail_account_gui_new): Initialize the source and transport
	provider_type's here so we don't forget to do it when it matters.
	(mail_account_gui_setup): Don't bother setting the provider_type's
	here, they are already set in mail_account_gui_new() now.

2001-10-23    <NotZed@Ximian.com>

	* mail-display.c (mail_display_destroy): Remove the idle_id when
	we're destroyed so the idle func doesn't run on an invalid object.

	* message-list.c (regen_list_regened): Dont do anything if we're
	destroyed #13021.

	* mail-mt.c (mail_user_message): 
	(mail_get_password): Removed, all functionality moved to
	mail-session.

	* mail-config.c (mail_config_write_on_exit): Check
	threaded/preview hash is null before using it, its setup on demand
	so itmight nto be initialised here.

	* mail-session.c (request_password): Remove password_current
	stuff.
	(alert_user): Redont, similar to get_pass.  Do things as async as
	possible, and dont even wait for a response if we're not asking
	for the cancel button (this may or may not be right behaviour -
	need to check).  mail_user_message() code replaced from the stuff
	in mail-mt.c
	(MailSession): Added a lock field.
	(init): Setup lock.
	(finalise): fRee lock.
	(register_timeout): Redone.  We now allocate our own 'timeoutid's,
	and <> to the real things asynchronously.  Use async_event's so we
	can make sure we have no outstanding ones after shutdown.
	(mail_session_enable_interaction): If interaction has been
	disabled, and we have either a message-box open, or a password
	request open and/or any pending message boxes/passwords, blow 'em
	away.
	(main_register_timeout): If we have pending remove of this same
	timeout, dont do anything.
	(timeout_timeout): Properly honour the result, remove the timout
	if it returns false.
	(do_user_message): Setup the message_destroy_id when we setup the
	destroy handler so it doesn't get called twice.

2001-10-23  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (reply_to_sender): Make sure the fb and it's
	message-list exist.
	(reply_to_list): same.
	(reply_to_all): And here...
	(forward_message): Here too.
	(forward_attached): Again here.
	(transfer_msg): Here too.
	(apply_filters): Same.
	(select_all): Yet again here...
	(select_thread): And here.
	(invert_selection): Same.
	(flag_messages): Here too.
	(mark_as_unseen): and here...
	(mark_all_as_seen): ...
	(zoom_in): 
	(zoom_out): 
	(zoom_reset): 
	(search_msg): 
	(load_images): 
	(save_msg): 
	(next_msg): 
	(next_flagged_msg): 
	(next_unread_msg): 
	(previous_msg): 
	(previous_unread_msg): 
	(expunge_folder): 
	(configure_folder): 
	(empty_trash): 

2001-10-23    <NotZed@Ximian.com>

	* mail-mt.c: Added missing errno.h
	(mail_msg_new): Fix the logic a bit, dont try to open the log file
	unless logging is actually requested.
	(mail_enable_stop, mail_disable_stop, do_set_busy,
	mail_operation_statys): Dont bother propagating events if
	global_shell_client isn't up yet.

2001-10-23  Dan Winship  <danw@ximian.com>

	* mail-mt.c (mail_msg_new): If the fopen() fails (eg, because
	evolution-mail was started by oafd with PWD=/), don't try to use
	the NULL file handle.

2001-10-23    <NotZed@Ximian.com>

	* mail-session.c (get_password): Completely re-done.  We now hae a
	completely async dialogue when requested from antoehr thread, and
	dont use gtk_main() if we can avoid it (which is normally the
	case).  This stuff is only partially finished, and will mena the
	removal of the same from mail-mt.c, and the mail_user_message()
	code will be moved here and changed to work in a similar way.

	* mail-callbacks.c (empty_trash): Dont try and connect to remote
	stores just to get the trash.  Also, always run empty trash async,
	and make sure we unref the trash.
	(empty_trash): Hmm, dont unref the trash, causes a problem on
	exit, i suspect something else is doing funky unrefs on it.

	* mail-tools.c (mail_tool_get_trash): Pass a 'connect' arg, tell
	it whether it should tryand connect or not to the parent service,
	if it isn't already connected.

	* component-factory.c (owner_unset_cb): Dont try wait_all here,
	could potentially deadlock.
	(idle_quit): Keep returning TRUE if we have outstanding
	processing.  Note that this may busy-wait during exit processign
	with busy tasks :(
	(idle_quit): Keep calling ourselves till we no longer get called
	(i.e. gtk_main really quits).

	* mail-mt.c (mail_msg_active): New function, returns TRUE if
	events are still active/outstanding.
	(do_op_status): @$@$#@@!#@!!  didn't unlock the mail_msg_lock if
	data->activity was NULL and we had no global_shell_client anymore!
	Also shortcut processing if this is going to be the case.
	(mail_msg_init): Setup a temporary other gui_port for redoing with
	new semantics password, user message and progress reporting.
	(mail_get_password): #ifdef'd out all this code temporarily, till
	it gets fully moved to mail-session.c

2001-10-22    <NotZed@Ximian.com>

	* component-factory.c (owner_set_cb): Dont call enable_interaction
	here.
	(interactive_cb): But here instead, let the shell tell us when its
	ok to go interactive.

2001-10-22  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (write_one_text_plain_chunk): Oops, revert my
	change to this function.  

	* mail-display.h (mail_html_write_string): New fun macro.

	* mail-format.c (write_one_text_plain_chunk): Use gtk_html_write
	instead of mail_html_write so we avoid strdup'ing the text.
	(handle_text_plain_flowed): Use the mail_html_write_string macro.
	(handle_message_rfc822): Here too.
	(mail_format_raw_message): We can do it here also...
	(attachment_header): We can do it a little bit here...
	(write_address): A microscopic bit here...
	(write_hr): same.

2001-10-22  Anna Marie Dirks  <anna@ximian.com>

	* mail-config.glade: Added several new accelerators to the edit account
	dialog, and fixed the focus targets on all existing accelerators. I 
	was hoping that since the widgets used in the account editor are also 
	used in the first-time start-up druid and them mail-config druid, 
	that this would fix all accelerator problems for those druids as well,
	but there is something wrong with Bonobo which is preventing
	the druids from responding to their accelerators. Sigh. Anyway,
	most accelerators in the edit account dialog work correctly 
	now, though there are few (such as _Full Name) which fail to
	do anything. I don't know why. 

2001-10-22  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-stream-gtkhtml.c (mail_stream_gtkhtml_new): New class that
	wraps writing to a GtkHTML stream so that we don't have to write
	to an intermediate GByteArray.

	* mail-display.c (on_url_requested): Use the new Camel->GtkHTML
	stream - this means we don't have to chew up nearly as much
	memory...yay!
	(try_part_urls): Here too.

2001-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* mail-mt.c (do_op_status): Don't free `clientid' as it's
	uninitialized.

2001-10-22  Christopher James Lahey  <clahey@ximian.com>

	* message-list.etspec (Score): disable this column.  Fixes Ximian
	bug #12381.

2001-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* mail-mt.c: #include "component-factory.h".
	(do_op_status): Pass the component ID instead of the msg ID.

	* component-factory.h (COMPONENT_ID): #define here instead of
	`component-factory.c'.
	(SUMMARY_FACTORY_ID): Likewise.

2001-10-22  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-format.c (format_mime_part): Don't wrap error text with
	<blockquote>, this is done inside mail_error_write.
	(handle_multipart_encrypted): If we get an exception trying to
	decrypt the mime part, display an error rather than trying to
	treat it as multipart/mixed.

	* mail-callbacks.c (empty_trash): Confirm expunge.

	* folder-browser.c (folder_browser_destroy): Move the folder sync
	code along with a few other things from folder_browser_finalise()
	into here instead.
	(folder_browser_finalise): Moved some cleanup functions into
	destroy.

2001-10-22  Dan Winship  <danw@ximian.com>

	PGP verification UI changes to make it not HTML spoofable.

	* mail-format.c (handle_application_pgp): Remove this unused
	hack.
	(mail_format_mime_message): Initialize a fourth hash table, used
	to keep track of fake MIME parts.
	(mail_part_set_default_displayed_inline): New routine to set the
	default disposition of a part (doesn't change it if the user has
	already overridden it).
	(format_mime_part): Wrap a blockquote around the error text (moved
	here from mail_error_write since it doesn't apply in other cases).
	(write_hr): Write a <hr> with appropriate padding between MIME
	parts.
	(write_one_text_plain_chunk): Write some plain text with
	appropriate margins.
	(handle_text_plain): Use write_one_text_plain_chunk. Update for
	inline specials handler API change.
	(fake_mime_part_from_data): Use the "fake_parts" hash to avoid
	recreating the same fake parts again if the message is
	redisplayed. Lets you toggle the shown/hiddenness of uudecode
	parts, and do the new pgp verification thing for inline pgp
	signatures.
	(try_inline_pgp): Don't do any actual PGP handling here: Just
	rewrite as a multipart/encrypted.
	(try_inline_pgp_sig): Likewise, just do a multipart/signed (with
	the x-inline-pgp-hack parameter set).
	(try_uudecoding, try_inline_binhex): Update for API changes.
	(handle_multipart_signed): Exciting and new. Use <object> to
	create a button which the user must click to do the
	verification. Change the formatting of the gpg output text a bit.

	* mail-display.c (on_link_clicked): Remove x-evolution-decode-pgp
	hack, which is no longer used.
	(pixbuf_gen_idle): Add a hack for the PGP verification button.
	(do_attachment_header, do_external_viewer): Split out of
	on_object_requeested for clarity.
	(do_signature): New routine to do the PGP verification button.
	(on_object_requested): Now just dispatches to
	do_attachment_header, do_external_viewer, or do_signature.
	(mail_error_write): Don't do <blockquote> here. Fixed the problem
	that was trying to fix elsewhere.

2001-10-22  Dan Winship  <danw@ximian.com>

	* mail-callbacks.c (transfer_msg): Fix these functions so they
	don't crash evolution-mail. Too bad it still crashes in the
	shell.

2001-10-21  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-display.c (on_url_requested): Use
	mail_format_get_data_wrapper_text for text parts so we get free
	charset conversion.

	* mail-format.c (mail_format_get_data_wrapper_text): Renamed from
	get_data_wrapper_text and now returns a GByteArray.
	(handle_text_plain): Updated to use the new get_data_wrapper_text.
	(handle_application_pgp): Same. Wow...also fixed a mem leak and
	made a bit more efficient by doing so.
	(handle_text_enriched): Here too. Also use string->len instead of
	strlen (string->str).
	(mail_format_raw_message): Same.

2001-10-22    <NotZed@Ximian.com>

	* mail-callbacks.c (mark_all_as_seen): Instead of select_all()
	then using the tree's selected nodes to iterate, just do it on the
	folder which keeps the current selection.  Fixes #3658.

2001-10-21  Jeffrey Stedfast  <fejj@ximian.com>

	* folder-browser.c: Call the new move/copy_msg_cb's

	* mail-callbacks.c (move_msg_cb): Renamed from move_msg.
	(copy_msg_cb): Renamed from copy_msg.
	(move_msg): The bonobo-ui-component callback.
	(copy_msg): Same.

2001-10-21    <NotZed@Ximian.com>

	* mail-vfolder.c (mail_vfolder_shutdown): Clear variables once
	done, for debugging.
	(mail_vfolder_add_uri, mail_vfolder_delete_uri): Dont do anything
	if we're shutdown (context == NULL).

	* component-factory.c (idle_quit): Move mail_vfolder_shutdown
	here, it should be one of the last things shutdown.

	* mail-format.c (handle_text_plain): Dont use (if (!p++), and then
	check p!= later, since its now 1, oops.  Fixes #13106, thought it
	was a start of uuencoded stuff!

	* folder-browser.c (on_right_click): Escape _'s before adding them
	to menu from mailing list name, also remove some dead code that
	someone forgot to remove when refactoring.  #11307.
	(folder_browser_is_drafts): Use the store's uri_cmp function to
	compare to the drafts uri's.
	(folder_browser_is_sent): Same.  Slight cleanup for #11351.

2001-10-21  Dan Winship  <danw@ximian.com>

	* mail-callbacks.c (mail_generate_reply): Update for
	e_msg_composer_add_messages_attachments arg change.
	(do_forward_non_attached): Likewise.

2001-10-20  Jon Trowbridge  <trow@ximian.com>

	* mail-display.c (mail_display_new): Don't leak our
	ESearchingTokenizer.

2001-10-20  Larry Ewing  <lewing@ximian.com>

	* folder-browser-ui.c: hook up zoom functions.

	* mail-callbacks.h: add prototypes.

	* mail-callbacks.c (zoom_in): added.
	(zoom_out): added.
	(zoom_reset): added.

2001-10-19  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (transfer_msg): Allow copy/move to/from vTrash
	folders as well.

	* component-factory.c (destination_folder_handle_drop): Properly
	handle local vTrash folders.

2001-10-19    <NotZed@Ximian.com>

	* mail-account-gui.c (build_auth_menu): Dont translate camel strings.
	(mail_account_gui_setup): "

2001-10-19  Ettore Perazzoli  <ettore@ximian.com>

	* component-factory.c (destination_folder_handle_motion): Get
	@folder_type here too [to match the changes in the
	EvolutionShellComponentDnd interface].  Also, remove a debugging
	message.
	(destination_folder_handle_drop): Likewise.

2001-10-19  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (mail_generate_reply): Update to reflect API
	changes to e_msg_composer_add_message_attachments().
	(do_forward_non_attached): Same.
	(providers_config): Oops, pass a GdkWindow instead of a GtkWindow.

2001-10-19    <NotZed@Ximian.com>

	* mail-folder-cache.c (store_finalised): Free folders_uri.
	(real_folder_deleted): If folder is deleted, remove it from the
	hashtables.

2001-10-18    <NotZed@Ximian.com>

	* subscribe-dialog.c (get_short_folderinfo_get): Remove the
	register/unregister, they're already done above us.

	* mail-vfolder.c (vfolder_adduri): Added remove flag - its not
	adduri, its removeuri, its less typing than creating a removeuri.
	(vfolder_adduri_do): Implement the remove flag.
	(mail_vfolder_remove_uri): Changed to mail_vfolder_delte_uri, to
	indicate its actually been deleted.
	(mail_vfolder_add_uri): Added remove flag.
	(rule_changed): When adding existing folders to a new rule, strdup
	the list data.
	(mail_vfolder_delete_uri): Dont do any work to remove the actual
	folder from the vfolder (we'd have to look it up first), let the
	vfolder remove it itself.  Just update the rules.

	* mail-folder-cache.c (store_finalised): Unhook from all events
	when done.
	(mail_note_store_remove): Remove a store from being noted.
	(free_folder_info): Also if we have a folder, unhook all events.
	Also remove the uri from vfolders.
	(mail_note_folder): Remove warning about adding folders to stores
	that aren't added yet - we might actually be removing the store.

	* component-factory.c (mail_remove_storage): Call
	mail_note_store_remove when we remove the storage.

2001-10-18  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-callbacks.c (providers_config): Don't make the mail
	settings dialog modal.

2001-10-17  Ettore Perazzoli  <ettore@ximian.com>

	* mail-account-gui.c (folder_picker_clicked): Pass the toplevel to
	`evolution_shell_client_user_select_folder()'.
	* mail-callbacks.c (transfer_msg): Likewise.

2001-10-18    <NotZed@Ximian.com>

	* mail-send-recv.c (build_dialogue): call setup_send_data *after*
	we've setup the global dialogue thingy.
	(mail_send_receive): Instead of using static local to check for
	re-running of dialogue, use a global, setup by build_dialogue.
	These fix #12335.
	(mail_send_receive): Dont assert dialogue is realized, it might
	still be being built, so only show if it is realized.

2001-10-18  Dan Winship  <danw@ximian.com>

	* mail-mt.c (mail_call_main): Use G_VA_COPY to make this compile
	on ppc again.
	(do_call): Here too.	

2001-10-17    <NotZed@Ximian.com>

	* mail-folder-cache.c (store_folder_subscribed): Clone the
	folderinfo before passing to async event.
	(real_folder_created): Free when done.
	(store_folder_unsubscribed): 
	(real_folder_deleted): And same here.

	* mail-ops.c (mail_expunge_folder): Use the queued thread for
	expunging folders.

2001-10-17  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-ops.c (mail_send_message): No longer need to copy the
	description now that camel-exceptions have been fixed.

	* subscribe-dialog.h (subscribe_dialog_show): Helper macro.

	* subscribe-dialog.c (subscribe_dialog_run_and_close): Removed.

	* mail-callbacks.c (check_send_configuration): Don't use
	gnome_dialog_run_and_close() here, we can easily get away with
	just using a gtk_widget_show().
	(providers_config): Don't use a gnome_dialog_run_and_close() here
	either. No longer need to use e_gnome_dialog utils.
	(manage_subscriptions): Don't run_and_close().

2001-10-17    <NotZed@Ximian.com>

	* mail-callbacks.c (empty_trash): Only empty trash on enabled
	accounts, fixes #12821.

2001-10-17  Dan Winship  <danw@ximian.com>

	* mail-format.c (write_default_header): Make Reply-To bold too
	since no one ever figures out why it's not currently.

2001-10-17  Iain Holmes  <iain@ximian.com>
	
	* importers/evolution-mbox-importer.c: Fix the typo.

2001-10-16  Jeffrey Stedfast  <fejj@ximian.com>

	* mail-ops.c (uid_cachename_hack): Lets put the UID cache in
	~/evolution/mail/pop3 as this makes more sense than ~/mail/config
	does. Perform checking to see what flavor cache-path the user is
	on and compensate.

	* message-list.c (on_cursor_activated_idle): Check that the
	cursor_uid is non-NULL before emitting a "message_selected"
	signal. Fixes bug #6015.

2001-10-16  Jon Trowbridge  <trow@ximian.com>

